#!/bin/sh

drive=$1
no=$2
drive_no=${drive}$2
mount_dir=$3

####################################################
## Drive check 
ls /dev/mmcblk1p1 > /dev/null
if [ $? -ne 0 ] ; then
  echo "ERROR: drive not found"
  exit 1
fi

####################################################
## Umount
umount /dev/mmcblk1p1
if [ $? -ne 0 ] ; then
  echo "INFO: umount fail"
fi

####################################################
## Fdisk
## Delete all partition.
fdisk /dev/mmcblk1  << EOF
p
d
4
d
3
d
2
d
1
p
w
EOF
if [ $? -ne 0 ] ; then
  echo "ERROR: fdisk"
  exit 1
fi

echo "End fdisk"
sleep 5

####################################################
## Umount 
## Correspond to auto mount
umount /dev/mmcblk1
if [ $? -ne 0 ] ; then
  echo "ERROR: umount"
fi

####################################################
## Format to EXT4
mkfs.ext4 /dev/mmcblk1
if [ $? -ne 0 ] ; then
  echo "ERROR: mkfs.ext4"
  exit 1
fi

####################################################
## Mount
if [ "/media/mmcblk1" ] ; then
  mkdir -p /media/mmcblk1
fi
mount -t ext4 /dev/mmcblk1 /media/mmcblk1
if [ $? -ne 0 ] ; then
  echo "ERROR: mount"
  exit 1
fi

####################################################
## Copy

cp -rp /usr/hirotech/* /media/mmcblk1

sync
umount /media/mmcblk1
echo "Copy End"

exit 0

