<?php


if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	define('HDD_DIR',			'C:\xampp\htdocs\xampp\tmp');
}else{
	define('HDD_DIR',			'/media/sda1');
}

define('WGET_SH_FILE',			HDD_DIR . '/wget.sh');
define('WGET_INI_FILE',			HDD_DIR . '/wget.ini');
define('WGET_END_PROC',			'/var/www/hdd_play/hdd_play_set_file_wget_ctrl_end.php');
define('WGET_PATH',				'/home/root/bin/hwget');
define('WGET_LAST_RESULT',		HDD_DIR . '/wget_result.txt');
define('WGET_LIMIT_RATE',		100000000);		// hwgetの転送速度
define('WGET_TIMEOUT',			2147483647);	// hwgetのタイムアウト時間

define('PHP_PATH',				'/usr/hirotech/arm/bin/php');
define('HDD_PLAY_FILE_MAX',		65535);
define('HDD_PLAY_GROUP_FILE_MAX',30);			// グループに登録できるファイル数の最大値
define('HDD_PLAY_PATH_MAX',		127);			// HDD生成のパス長最大値 

define('LIST_PLAY_OPT_LOOP',	0x0001);		// TSファイル リスト再生オプション Loop 
define('LIST_PLAY_OPT_DELETE',	0x1000);		// TSファイル リスト再生オプション Delete 

/**
 * HDD再生の情報設定処理
 * @param type $old_config		変更前INI情報
 * @param type $group_config	変更前group情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function hdd_play_save_conf_input( &$old_config, &$group_config, $new_config, $filename ){
	// 再生種別で変更
	if(0 == $new_config['play_type']){
		// 個別のファイル
		if(0 != $new_config['status']){
			if(!isset($new_config['set_play'])){
				return array('RESULT'  => false,
							 'MESSAGE' => '再生するファイルが設定されていません。');
			}
		}
		$old_config['HDDPlay']['PLAY_FILE'] = $new_config['set_play'];
	}else if(1 == $new_config['play_type']){
		// グループ再生
		$group = $new_config['hdd_play_group'];
		
		if(0 == $group){
			if( !isset( $new_config['hdd_play_group_file_list' . $group] ) || 
				0 == count( $new_config['hdd_play_group_file_list' . $group] ) ){
				// 登録するグループの選択なし
				return array('RESULT'  => false,
							 'MESSAGE' => 'グループに登録するファイルが選択されていません。');
			}
		}
		
		if( isset( $new_config['hdd_play_group_file_list' . $group] ) &&
			HDD_PLAY_GROUP_FILE_MAX < count($new_config['hdd_play_group_file_list' . $group])){
			return array('RESULT'  => false,
						 'MESSAGE' => 'グループに登録されているファイルが多すぎます。最大'.HDD_PLAY_GROUP_FILE_MAX.'ファイルまで可能です。');
		}
		
		if(0 != $new_config['status']){		// 再生設定時
			// 選択しているグループを取得
			if(  (!isset($new_config['hdd_play_group_file_list'. $group]) ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '再生中にグループを削除することはできません。');
			}
		}else{
			if( (0 != $group) && (!isset($new_config['hdd_play_group_file_list'. $group]) ) ){
				// グループの削除
				unset( $group_config['GROUP'.$group] );
				$old_config['HDDPlay']['PLAY_GROUP'] = 1;
			}
		}
		
		if( isset($group_config['GROUP'.$group]) || $group == 0){	// 削除でない or 新規登録の場合はここで新しいリストを作成
			// グループのリストを新たに作成
			$out = array();
			$cnt = 1;
			foreach( $new_config['hdd_play_group_file_list' . $group] as $key => $val ){
				$out[$cnt] = $val;
				$cnt++;
			}
			
			if( 0 == $group ){		// 設定が新規グループの場合、未設定の最小番号を割り当てる
				$max = 0;
				if(isset($group_config)){
					for( $i = 1 ; $i < 65535 ; $i++ ){
						if( !isset( $group_config['GROUP'.$i] ) ){
							$max = $i - 1;
							break;
						}
					}
				}
				$group = $max + 1;
			}
			
			$group_config['GROUP'.$group] = $out;
			
			ksort( $group_config );
			
			$old_config['HDDPlay']['PLAY_GROUP'] = $group;
		}
	}
	
	// 設定値を保存
	$old_config['HDDPlay']['STATUS']		= $new_config['status'];
	$old_config['HDDPlay']['PLAY_TYPE']		= $new_config['play_type'];
	$old_config['HDDPlay']['BACK_PLAY_TYPE']= $new_config['play_type'];
	$old_config['HDDPlay']['BITRATE_ADJ']	= $new_config['bitrate_adj'];
	
	if(1 == $new_config['play_type']){
		// ファイルへ保存
		if( false == save_ini_file( $filename['Group'], $group_config ) ) {
			return array('RESULT'  => false,
						 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
		}
	}
	
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * HDD内のファイル検索処理
 * @param type $old_config		INI情報
 * @param type $group_config	group情報
 * @param type $new_config		POSTデータ
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function hdd_play_refrash_file_list( &$old_config, &$group_config, $new_config, $filename ){
	
	// 状態を停止にして再生情報を初期化
	$old_config['HDDPlay']['STATUS'] = 0;
	$old_config['HDDPlay']['PLAY_FILE'] = 1;
	$old_config['HDDPlay']['PLAY_GROUP'] = 0;
	$old_config['HDDPlay']['PLAY_TYPE'] = 0;
	$old_config['HDDPlay']['BACK_PLAY_TYPE'] = 0;
	
	unset($old_config['FILES']);
	$cnt = 1;
	foreach(search_dir_file(HDD_DIR , 'ts', true) as $path){
		// ファイルに書き出し
		$old_config['FILES']['FILE_PATH'.$cnt] = $path;
		$cnt++;
	}
	
	// グループ設定の削除
	unset($group_config);
	if(file_exists($filename['Group'])){
		unlink($filename['Group']);
	}
	
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * ファイルの削除処理
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_hdd_play_file_delete( &$old_config, $new_config, $filename ){
	// 選択されていない場合は正常終了
	if(!isset($new_config['delete'])){
		return array('RESULT'  => false,
					 'MESSAGE' => '削除するファイルが選択されていません。');
	}
	
	// 使用するファイルでないかチェック
	// 個別再生中ではないか？
	if( isset( $old_config['FILES']['FILE_PATH' . $old_config['HDDPlay']['PLAY_FILE'] ] ) &&
		(1 == $old_config['HDDPlay']['STATUS']) &&
		(0 == $old_config['HDDPlay']['PLAY_TYPE']) ){
		$each_file = $old_config['FILES']['FILE_PATH' . $old_config['HDDPlay']['PLAY_FILE'] ];
		foreach($new_config['delete'] as $key => $val ){
			if( 0 == strcmp($val, $each_file) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '削除するファイル「'. basename( $val ) .'」が再生中です。<br>再生終了後、ファイルを削除してください。');
			}
		}
	}
	
	// リストファイルに含まれているかのチェック
	$list_files = hdd_play_get_list_filepath( $old_config['LIST']['LIST_PATH'] );	// 使用するリスト
	if( (null != $list_files) && count($list_files)){
		foreach($new_config['delete'] as $key => $val ){
			foreach($list_files as $list_file){
				if( 0 == strcmp($val, $list_file) ){
					return array('RESULT'  => false,
								 'MESSAGE' => '削除するファイル「'. basename( $val ) .'」がリスト再生で登録されています。<br>リスト再生終了後、ファイルを削除してください。');
				}
			}
		}
	}
	$list_files = hdd_play_get_list_filepath( $old_config['LIST']['NEXT_PATH'] );	// 次に使用するリスト
	if( (null != $list_files) && count($list_files)){
		foreach($new_config['delete'] as $key => $val ){
			foreach($list_files as $list_file){
				if( 0 == strcmp($val, $list_file) ){
					return array('RESULT'  => false,
								 'MESSAGE' => '削除するファイル「'. basename($val) .'」がリスト再生で登録されています。<br>リスト再生終了後、ファイルを削除してください。');
				}
			}
		}
	}
	
	if(file_exists($old_config['GROUPS']['FILE_PATH'])){
		// グループ選択ファイルがあれば削除させない
		// 削除する配列の要素を$old_configから削除
		$file_name = '';
		$group_conf = parse_ini_file( $old_config['GROUPS']['FILE_PATH'], true );

		$find_file = false;
		foreach($new_config['delete'] as $key => $val ){
			// ファイルを削除
			if(isset($old_config['GROUPS']['FILE_PATH']) && file_exists($old_config['GROUPS']['FILE_PATH'])){
				foreach($group_conf as $group){
					foreach ($group as $path){
						if( 0 == strcmp( $path,$val)){
							
							$file_name .= "「" . basename($path) . "」";
							$find_file = true;
							break;
						}
					}
					if($find_file) break;
				}
			}
			if($find_file) break;
		}

		if( $file_name != ''){
			return array('RESULT'  => false,
						 'MESSAGE' => '削除するファイル「'.$file_name.'」がグループ再生で登録されています。<br>グループから削除後、ファイルを削除してください。');
		}
	}
	
	// 選択中のファイルを保存
	$sel_file = $old_config['FILES']['FILE_PATH'.$old_config['HDDPlay']['PLAY_FILE']];
	
	// 削除する配列の要素を$old_configから削除
	foreach($new_config['delete'] as $key => $val ){
		// ファイルを削除
		unlink($val);
		
		// configから削除
		foreach( $old_config['FILES'] as $old_key => $old_val ){
			if( 0 == strcmp($old_val, $val)){
				unset( $old_config['FILES'][$old_key] );
			}
		}
	}
	
	// 保存する配列を作成
	$new_config = array();
	$new_config['HDDPlay'] = $old_config['HDDPlay'];
	$i = 1;
	foreach($old_config['FILES'] as $key => $val ){
		$new_config['FILES']['FILE_PATH'.$i] = $val;
		if($sel_file == $val){
			// 選択しているファイルを更新
			$new_config['HDDPlay']['PLAY_FILE'] = $i;
		}
		
		$i++;
	}
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * 再生操作処理
 * @param type $type			操作種別
 * @param type $param			操作パラメータ
 * @return なし
 */
function hdd_play_control( $type, $param ){
	// maincontrolへ出力
	system("echo '[HDDPlayControl]\r\nTYPE=".$type."\r\nPARAM=".$param."\r\n' > ".MAINCONTROL );
}

/**
 * 再生時間変換
 * @param type $second			再生秒数
 * @return 再生時間文字列
 * @note	X秒を XX時間 XX分 XX秒に変換する
 *          変換後の時間により表示形式は変更する
 */
function hdd_play_get_time( $second ){
	$str = "";
	
	$hour = (int)($second / 3600);
	if( 0 < $hour ){
		$str = $hour . '時間';
	}
	
	$min = (int)(($second - $hour * 3600 ) / 60 );
	if( 0 < $min ){
		if( 0 < $hour ){
			$str = $str . " " . sprintf( '%02d', $min ) . '分';
		}else{
			$str = $str . " " . sprintf( '%d', $min ) . '分';
		}
	}
	
	$sec = (int)( $second % 60 );
	if( 0 < $sec ){
		$str = $str . " " . sprintf( '%02d', $sec ) . '秒';
	}
	
	return $str;
}

/**
 * リストファイルからファイルパス取得
 * @param type $filename		リストファイルパス
 * @return ファイルのパスを保存した配列
 */
function hdd_play_get_list_filepath( $filename ){
	$ret = array();

	if(file_exists( $filename )){
		$fp = fopen( $filename, 'r' );
		if( $fp ){
			if( $datas = fgetcsv($fp) ){
				// var_dump($datas);	// ダミー読み
			}else{
				return null;
			}
			
			while( $datas = fgetcsv($fp) ){
				if(file_exists($datas[2])){
					array_push($ret, $datas[2]);
				}
			}
			fclose($fp);
			return $ret;
		}else{
			return null;
		}
	}else{
		return null;
	}
}

/**
 * 緊急再生ファイルの設定
 * @param type $old_config		変更前INI情報
 * @param type $group_config	変更前group情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function hdd_play_save_emergency( &$old_config, &$group_config, $new_config, $filename ){
	// ファイルの存在チェック
	if( isset( $old_config['FILES']['FILE_PATH' . $new_config['emergency_file_no'] ] ) &&
		file_exists( $old_config['FILES']['FILE_PATH' . $new_config['emergency_file_no'] ] )){
		$old_config['HDDPlay']['EMERGENCY_FILE'] =  $old_config['FILES']['FILE_PATH' . $new_config['emergency_file_no'] ];
	}else{
		var_dump($new_config['emergency_file_no']);
		echo  $old_config['FILES']['FILE_PATH' . $new_config['emergency_file_no'] ];
		return array('RESULT'  => false,
					 'MESSAGE' => '指定されたファイルが機器に保存されていません。再生ファイルリストの更新を実行後、緊急再生ファイルの選択を行ってください。');
	}
	
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

?>
