<?php

/*
 * wgetによるファイル転送後に実行する処理
 * ファイルリストに転送したファイルを追加し、wget.sh wget.iniファイルを最後に削除する
 */

// 共通情報の読み込み
if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	require_once("C:/xampp/htdocs/xampp/web/libdefault.php");
	require_once("C:/xampp/htdocs/xampp/web/libfunction.php");
	require_once("C:/xampp/htdocs/xampp/web/hdd_play/hdd_play_lib.php");
}else{
	require_once("/var/www/libdefault.php");
	require_once("/var/www/libfunction.php");
	require_once("/var/www/hdd_play/hdd_play_lib.php");
}

// wget.ini のオープン
$wget_conf = parse_ini_file( WGET_INI_FILE, true );
if( NULL != $wget_conf ){
	$board = $wget_conf['INFO']['BOARD'];
	$ini_file = '';
	if($board != ''){
		// wgetの最終結果の読込
		if( file_exists(WGET_LAST_RESULT) ){
			$wget_result = parse_ini_file( WGET_LAST_RESULT, true );
		}else{
			system( 'echo \'Result file not found\' >> /tmp/wget.log ' );
			exit;	// ありえない
		}
		
		if( $wget_result['hwget_Result']['RESULT'] == 0 ){
			// Setupファイル名を取得
			$ini_file = get_setup_file( $function_conf, $board );
			if( is_file( $ini_file['Setup'] ) ){
				$setup_conf = parse_ini_file( $ini_file['Setup'], true );

				for($cnt = 1 ; $cnt <= HDD_PLAY_FILE_MAX ; $cnt++ ){
					if ( basename($setup_conf['FILES']['FILE_PATH' . $cnt]) == basename($wget_conf['INFO']['FILE_NAME']) ){
						// 既に登録済みであれば終了
						break;
					}

					if ( false == array_key_exists('FILE_PATH' . $cnt, $setup_conf['FILES'])) {
						if(file_exists($wget_conf['INFO']['FILE_NAME'])){
							// ここに登録
							$setup_conf['FILES']['FILE_PATH' . $cnt] = HDD_DIR  . "/" . $wget_conf['INFO']['FILE_NAME'];

							// ファイルに書き込み
							if( false == save_ini_file( $ini_file['Setup'], $setup_conf ) ) {
								echo "Ini file save error\n";
							}
							if( false == save_ini_file( $ini_file['Save'], $setup_conf ) ) {
								echo "Ini file save error\n";
							}
						}
						break;
					}
				}
			}else {
				echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
				exit(1);
			}
		}else{
			// ファイルのダウンロードに失敗　ダウンロード途中ファイルを削除
			unlink(HDD_DIR . "/" . basename($wget_conf['INFO']['FILE_NAME']));
		}
	}
	unlink(WGET_INI_FILE);
	unlink(WGET_SH_FILE);
}
?>
