<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("hdd_play_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// PSIの拡張機能の設定ファイルを取得する
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			$status =  my_parse_ini_file( $status_file );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			//echo "INI File Not Found(". $status_file .")<br>\n";
			//exit(1);
			$loading = true;
		}
	}
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">TSファイル再生ステータス</h3>
			<table style="table-layout: fixed;">
				<tr>
					<th>再生状態</th>
					<td class="<?php echo (($status['HDDPlay']['STATUS'] != 0) ? "on":"off"); ?>">
						<?php echo (($status['HDDPlay']['STATUS'] != 0) ? "再生中\n":"停止中\n"); ?>
					</td>
				</tr>
				<tr>
					<th>再生種別</th>
					<td>
<?php
	switch ( $status['HDDPlay']['PLAY_TYPE'] ){
		case 0:
			echo "						個別ファイル\n";
			break;
		case 1:
			echo "						グループ\n";
			break;
		case 2:
			echo "						DLリスト\n";
			break;
		case 3:
			echo "						緊急切替\n";
			break;
		case 4:
//			echo "						自動\n";
			echo "						DLリスト\n";
			break;
		default:
			echo "						-\n";
			break;
	}
?>
					</td>
				</tr>
				<tr>
					<th>再生中ファイル</th>
					<td class="<?php echo (file_exists( $status['HDDPlay']['PLAY_FILE'] ) ? "on":"off"); ?>" style="word-break:break-all;">
<?php 
	if(file_exists( $status['HDDPlay']['PLAY_FILE'] )){
		echo htmlspecialchars( basename($status['HDDPlay']['PLAY_FILE']) );
	}else{
		echo "						File not found.\n";
	}
?>
					</td>
				</tr>
				<tr>
					<th>再生時間</th>
					<td>
						<?php echo hdd_play_get_time($status['HDDPlay']['TOTAL_TIME']) . "\n";?>
					</td>
				</tr>
				<tr>
					<th>再生位置</th>
	
					<td width="200px" class="graph_mux_in_graph_base_white">
						<?php draw_graph( 0, $status['HDDPlay']['TOTAL_TIME'], $status['HDDPlay']['CURRENT_TIME'], "graph_div_ok" ) ?>					
					</td>
				</tr>
<?php
	if( 4 == $status['HDDPlay']['PLAY_TYPE'] ){
		if( ( $status['HDDPlay']['STATUS'] == 0 ) ||
			( "default.ts" == basename( $status['HDDPlay']['PLAY_FILE'] ) ) ){
			$status['LIST']['PROG_NO'] = "-";
			$status['LIST']['MAT_NO'] = "-";
		}
?>
				<tr>
					<th>再生中プログラム#</th>
					<td><?php echo $status['LIST']['PROG_NO']; ?></td>
				</tr>
				<tr>
					<th>再生中素材#</th>
					<td><?php echo $status['LIST']['MAT_NO']; ?></td>
				</tr>
				<tr>
					<th>プレイリスト</th>
					<td><a href="./hdd_play_status_playlist.php?board=<?php echo $_GET['board']; ?>" target="_blank">表示</a></td>
				</tr>
<?php
	}
?>
			</table>
<?php
	if( 2 == $status['HDDPlay']['PLAY_TYPE'] ){
		$time_play = 0;
		if(file_exists($status['LIST']['LIST_PATH'])){
			$fp = fopen( $status['LIST']['LIST_PATH'], 'r' );
			if( $datas = fgetcsv($fp) ){
				$time_play = $datas[0];
?>
			<br/>
			<br/>
			<h3 class="table_caption">再生中リスト情報</h3>
			<table>
				<tr>
					<th width="30%">リスト名</th>
					<td>
						<?php echo(basename($status['LIST']['LIST_PATH'])); ?>
					</td>
				</tr>
				<tr>
					<th>再生方式</th>
					<td>
						<?php if ( isset($datas[0]) ){ echo ($datas[0] == 0) ? '順次再生' : '時間再生' ; } ?>
					</td>
				</tr>
				<tr>
					<th>リピート再生</th>
					<td>
						<?php if ( isset($datas[1]) ){ echo ($datas[1] == 0) ? 'なし' : 'あり' ; } ?>
					</td>
				</tr>
				<tr>
					<th>適用時間</th>
					<td>
						<?php if ( isset($datas[2]) && preg_match('/[0-9]{14}/', $datas[2]) ){ echo format_YYYYMMDDHHMMSS($datas[2]); } else{echo '即時';} ?>
					</td>
				</tr>
			</table>
			<table>
				<tr>
					<th style="text-align:center;">#</th>
					<th style="text-align:center;">ファイル名</th>
<?php
	if($time_play){
		echo "					<th style=\"text-align:center;\">再生開始時間</th>\n";
	}
?>
					<th style="text-align:center;">OPT</th>
				</tr>
<?php
			}
			while( $datas = fgetcsv($fp) ){
				echo "					<tr>\n";
				if(isset($datas[0])){ echo '						<td style="text-align:center;">' . $datas[0] . "</td>\n"; }
				if(isset($datas[2])){ echo '						<td>' . basename($datas[2]) . "</td>\n"; }
				if($time_play){
					if(isset($datas[3])){ echo '						<td style="text-align:center;">' . format_YYYYMMDDHHMMSS( $datas[3] ) . "</td>\n"; }
					if(isset($datas[4])){ echo '						<td style="text-align:center;">' . $datas[4] . "</td>\n"; }
				}else{
					if(isset($datas[3])){ echo '						<td style="text-align:center;">' . $datas[3] . "</td>\n"; }
				}
				echo "					</tr>\n";
			}
?>
			</table>
<?php
		}
		
		$time_play = 0;
		if(file_exists($status['LIST']['NEXT_PATH'])){
			$fp = fopen( $status['LIST']['NEXT_PATH'], 'r' );
			if( $datas = fgetcsv($fp) ){
				$time_play = $datas[0];
?>
			<br/>
			<br/>
			<h3 class="table_caption">次に再生するリスト情報</h3>
			<table>
				<tr>
					<th width="30%">リスト名</th>
					<td>
						<?php echo(basename($status['LIST']['NEXT_PATH'])); ?>
					</td>
				</tr>
				<tr>
					<th>再生方式</th>
					<td>
						<?php if ( isset($datas[0]) ){ echo ($datas[0] == 0) ? '順次再生' : '時間再生' ; } ?>
					</td>
				</tr>
				<tr>
					<th>リピート再生</th>
					<td>
						<?php if ( isset($datas[1]) ){ echo ($datas[1] == 0) ? 'なし' : 'あり' ; } ?>
					</td>
				</tr>
				<tr>
					<th>適用時間</th>
					<td>
						<?php if ( isset($datas[2]) && preg_match('/[0-9]{14}/', $datas[2]) ){ echo format_YYYYMMDDHHMMSS($datas[2]); } else{echo '即時';} ?>
					</td>
				</tr>
			</table>
			<table>
				<tr>
					<th style="text-align:center;">#</th>
					<th style="text-align:center;">ファイル名</th>
<?php
	if($time_play){
		echo "					<th style=\"text-align:center;\">再生開始時間</th>\n";
	}
?>
					<th style="text-align:center;">OPT</th>
				</tr>
<?php
			}
			while( $datas = fgetcsv($fp) ){
				echo "					<tr>\n";
				if(isset($datas[0])){ echo '						<td style="text-align:center;">' . $datas[0] . "</td>\n"; }
				if(isset($datas[2])){ echo '						<td>' . basename($datas[2]) . "</td>\n"; }
				if($time_play){
					if(isset($datas[3])){ echo '						<td style="text-align:center;">' . format_YYYYMMDDHHMMSS( $datas[3] ) . "</td>\n"; }
					if(isset($datas[4])){ echo '						<td style="text-align:center;">' . $datas[4] . "</td>\n"; }
				}else{
					if(isset($datas[3])){ echo '						<td style="text-align:center;">' . $datas[3] . "</td>\n"; }
				}
				echo "					</tr>\n";
			}
?>
			</table>
<?php
		}
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
