<?php

require_once( get_common_lang_file() );
require_once( get_lang_file(__FILE__) );	// Languageファイル読み込み

define ( 'VOIP_HDD_CONTROL',		0 );			// VOID/HDDの切り替えコントロールの有効(1)／無効(0) 

define ( 'INPUT_SW_ENA_TUNER' ,	0x00000001 );		// 入力切り替え チューナ有効フラグ（DBS_System.iniのSystemInfo）
define ( 'INPUT_SW_ENA_VOIPRX',	0x00000002 );		// 入力切り替え VoIP RX有効フラグ（DBS_System.iniのSystemInfo）
define ( 'INPUT_SW_ENA_VOIPTX',	0x00000004 );		// 入力切り替え VoIP TX有効フラグ（DBS_System.iniのSystemInfo）
define ( 'INPUT_SW_ENA_HDD',	0x00000010 );		// 入力切り替え HDD有効フラグ（DBS_System.iniのSystemInfo）
define ( 'INPUT_SW_ENA_ASI',	0x00020000 );		// 入力切り替え ASI入力有効フラグ（DBS_System.iniのOptionInfo）

define ( 'INPUT_SW_ENA_RVOIPRX',0x00010000 );		// 入力切り替え VoIP Rx(冗長化)有効フラグ（DBS_System.iniのOptionInfo）


$input_sw_device_name = array(
	BOARD_TYPE_MUX =>			$lng['LBL_MUX'],
	BOARD_TYPE_TUNE =>			$lng['LBL_TUNER'],
	BOARD_TYPE_VOIP =>			$lng['LBL_VOIP'],
	BOARD_TYPE_HDD_PLAY =>		$lng['LBL_TSPLAY'],
	BOARD_TYPE_ASIINPUT =>		$lng['LBL_ASI'],
	BOARD_TYPE_HDSD =>			$lng['LBL_ENC'],
	BOARD_TYPE_IN_ASI_IN =>		$lng['LBL_ASI'],
	BOARD_TYPE_RVOIP_RX =>		$lng['LBL_VOIP'],
);

/**
 * 入力設定
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_input( &$old_config, $new_config, $filename ){
	global $clng;
	
	// 入力情報のチェック

	// 設定値を保存
	if(isset($new_config['input'])){
		$old_config['INPUT_SW']['INPUT1'] = $new_config['input'];
		if( false == ENABLE_TS2 ){
			$old_config['INPUT_SW']['INPUT2'] = $new_config['input'];
		}
	}else if(isset($new_config['input1'])){
		$old_config['INPUT_SW']['INPUT2'] = $new_config['input1'];
	}
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => $clng['ER_FILE_WRITE_NG']);
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => $clng['ER_FILE_WRITE_NG']);
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => $clng['ER_FILE_WRITE_OK']);
	}
}

/**
 * 入力設定(緊急切り替え用)
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_emergency( &$old_config, $new_config, $filename ){
	global $clng;
	
	// 入力情報のチェック

	// 設定値を保存
	$old_config['INPUT_SW']['EMERGENCY'] = $new_config['emergency'];
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => $clng['ER_FILE_WRITE_NG']);
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => $clng['ER_FILE_WRITE_NG']);
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => $clng['ER_FILE_WRITE_OK']);
	}
}

function input_sw_hdd_play_ctrl($status, $filename){
	global $clng;
	
	// INIファイルから読み込み
	$old_config = parse_ini_file( $filename['Setup'], true );
	
	if($status){
		$old_config['HDDPlay']['STATUS'] = 1;
	}else{
		$old_config['HDDPlay']['STATUS'] = 0;
	}
	
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => $clng['ER_FILE_WRITE_NG']);
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => $clng['ER_FILE_WRITE_NG']);
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => $clng['ER_FILE_WRITE_OK']);
	}
}
function input_sw_voiprx_ctrl($status, $filename){
	// INIファイルから読み込み
	$old_config = parse_ini_file( $filename['Setup'], true );
	
	if($status){
		$old_config['VOIPRx']['Status'] = 1;
	}else{
		$old_config['VOIPRx']['Status'] = 0;
	}
	
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => $clng['ER_FILE_WRITE_NG']);
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => $clng['ER_FILE_WRITE_NG']);
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => $clng['ER_FILE_WRITE_OK']);
	}
}
?>
