<?php
define('EXP_BOARD_MAX',			4);
define('INT_BOARD_MAX',			1);

define('BOARD_TYPE_ASIINPUT',	'00');		// ASI入力
define('BOARD_TYPE_OFDM',		'01');
define('BOARD_TYPE_HDSD',		'02');
define('BOARD_TYPE_MAMEDO',		'03');
define('BOARD_TYPE_TUNE_SIANO',	'05');		// TOTサーバ
define('BOARD_TYPE_MUX',		'08');		// MUX(外部)
define('BOARD_TYPE_PSI_SI_EXT',	'09');		// PSI/SI(外部）
define('BOARD_TYPE_ONEENC',		'99');		// ワンセグエンコーダ（番号は仮）

define('BOARD_TYPE_TUNE',		'81');
define('BOARD_TYPE_VOIP',		'82');
define('BOARD_TYPE_VOIP_TX',	'83');
define('BOARD_TYPE_SCHEDULE',	'84');
define('BOARD_TYPE_HDD_PLAY',	'85');
define('BOARD_TYPE_HDD_REC',	'86');
define('BOARD_TYPE_INPUT_SW',	'87');
define('BOARD_TYPE_MUX_IN',		'88');		// MUX(内部)
define('BOARD_TYPE_PSI_SI',		'89');
define('BOARD_TYPE_SIMPLE_DVB',	'8A');
define('BOARD_TYPE_IN_ASI_OUT',	'8B');		// 内部基板のASI出力
define('BOARD_TYPE_IN_ASI_IN',	'8C');		// 内部基板のASI入力

define('BOARD_TYPE_TUNE_DVB',	'8D');		// DVB-S/S2 チューナ

define('BOARD_TYPE_RVOIP_RX',	'8E');		// 冗長化VoIP Rx
define('BOARD_TYPE_RVOIP_TX',	'8F');		// 冗長化VoIP Tx

define('BOARD_TYPE_TRANSCODER',	'90');		// トランスコーダ
define('BOARD_TYPE_OUTPUTSW',	'92');		// 出力切り替え

define('BOARD_TYPE_MUX_2',		'93');		// MUX Ver.2(仮番号)
define('BOARD_TYPE_MUX_3',		'94');		// MUX Ver.3(仮番号)

define('OPTION_MUX_IN2_REMUX',	0x00000020);	// MUX Ver2 -> Remux mode
define('OPTION_EIT_COLLECT' ,	0x00000040);	// EIT 収集機能オプション

define('FUNCTION_OEM',			0x80);		// Function（共通）：OEM
define('FUNCTION_ASI_IN',		0x40);		// Function（共通）：ASI IN
define('FUNCTION_PSI',			0x20);		// Function（共通）：PSI
define('FUNCTION_MUX',			0x10);		// Function（共通）：MUXあり ＝ ASIあり

// b1 が 1の場合SFN機能ありと判断する
// その場合にb0をみてSFN送信／受信を識別する
define('FUNCTION_SFN_MSK',		0x03);		// Function（基板毎）：MASK     b1-b0
define('FUNCTION_SFN_SRC',		0x02);		// Function（基板毎）：SFN 送信 b1:1 b0:0
define('FUNCTION_SFN_DST',		0x03);		// Function（基板毎）：SFN 受信 b1:1 b0:1
define('FUNCTION_GPS_LOCK',		0x02);		// Function（基板毎）：GPS      b1:1

define('FUNCTION_TS_AUTO',		0x01);		// Function（基板毎）：HDD再生 USB再生あり b1:1

//define('FUNCTION_RVOIP_EN',		0x01);		// Function（基板毎）：冗長化VoIP 冗長化機能あり b0:1
define('FUNCTION_RVOIP_EN',		0x00);		// Function（基板毎）：冗長化VoIP 冗長化機能あり b0:1 ★ 冗長化機能は未使用となった

define('STATUS_CONF',			SYS1_DIR."/Status_%s.ini");
define('SETUP_CONF',			SYS1_DIR."/Setup_%s.ini");

define('STATUS_OFDM_MUX_CONF',	SYS1_DIR."/Status_MUX_%s.ini");
define('STATUS_OFDM_MUX_SAVE',	SD_DIR."/Status_MUX_%s.ini");
define('SETUP_OFDM_MUX_CONF',	SYS1_DIR."/Setup_MUX_%s.ini");
define('SETUP_OFDM_MUX_SAVE',	SD_DIR."/Setup_MUX_%s.ini");

define('EXP_SLOT_MAX',			15);		// 拡張基板の最大枚数

define('GRAPH_COLOR', '#008000');

define('PORT_MIN',				1);
define('PORT_MAX',				65535);

define('HNU_NONE',				0);
define('HNU_1XXX',				1);
define('HNU_2XXX',				2);
define('HNU_3XXX',				3);

define('RVOIP_STREAM_NUM',		8);

// INIファイル読み込み
// $function_conf = parse_ini_file( FUNCTION_CONF, true );
$function_conf = my_parse_ini_file( FUNCTION_CONF );
if( $function_conf == NULL ){
	echo "Now Loading...";
	echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
	exit(1);
}

switch( is_mux() ){
	default:
	case 0:	// MUX器なし
	case 2:	// MUX V2(内部 Rev3)
	case 3:	// MUX(外部)
		// TS2無効(TSの入力としては1本のみ選択可)
		define('ENABLE_TS2',			0);
		// PIDフィルタ設定未使用
		define('USE_PIDF_SETTING',		0);
		// 入力ステータス未使用
		define('USE_INPUT_STATUS',		0);
		break;
	case 1:
		// MUX V1(内部Rev3)
		define('ENABLE_TS2',			1);
		// 各入力別にフィルタ設定とステータスがある
		define('USE_PIDF_SETTING',		1);
		define('USE_INPUT_STATUS',		1);
		break;
}

if( is_enable_emergency_switch() ){
	// 緊急切替使用
	define('USE_EMERGENCY_CHANGE',	1);
}else{
	// 緊急切替使用
	define('USE_EMERGENCY_CHANGE',	0);
}

if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	define( 'FACT_FILE',			'C:\xampp\htdocs\xampp\tmp\ofdm_fact' );
	define( 'DISP_DEBUG_FILE',		'C:\xampp\htdocs\xampp\tmp\disp_debug');
	
}else{
	define( 'FACT_FILE',			'/tmp/ofdm_fact' );
	define( 'DISP_DEBUG_FILE',		'/tmp/disp_debug');
}

// hwgetの結果
$hwget_result = array(
	0 => array( 'result' => true,
				'message' => 'ダウンロード成功' ),
	3 => array( 'result' => false,
				'message' => '通信切断・タイムアウト' ),
	4 => array( 'result' => false,
				'message' => 'ネットワーク異常' ),
	5 => array( 'result' => false,
				'message' => 'SSL認証異常' ),
	6 => array( 'result' => false,
				'message' => 'サーバー認証異常' ),
	7 => array( 'result' => false,
				'message' => 'プロトコル異常' ),
	8 => array( 'result' => false,
				'message' => 'サーバー異常・ファイル無し' ),
	9 => array( 'result' => false,
				'message' => 'チェックサム異常' ),
	10 => array( 'result' => false,
				'message' => 'ファイルサイズ異常' ),
);

/* デバッグ表示用
$str = "";
foreach( $function_conf as $key1 => $val1 ){
	if( strlen( $key1 ) > 0 ){
		$str .= "[".$key1."]\n";
			foreach( $val1 as $key2 => $val2 ){
			$str .= $key2."=".$val2."\n";
		}
	}
}
*/

// メニュー表示
function show_function_menu($fconf) {
	global $system_conf;
	
	$menu_type = array();
	$board_function = array();
	
	$lng_tag_name = array(
		"Name",
		"Name_en",
	);
	
	echo "					<tr>\n";
	echo "						<td>\n";
	echo "							<select class=\"select_board\">\n";
	$mux2_setup = null;
	// 内部スロット表示
	for( $i = 1 ; $i <= $fconf['DBSFunction']['IntSlotNum'] ; $i++ ){
		$slot_name = "IntSlot" . $i;
		$board_id = $fconf[$slot_name]['BoadID'] . "_" . $fconf[$slot_name]['SubID'];
		
		if( isset( $fconf[$slot_name][ $lng_tag_name[ $system_conf['DBSSystem']['Language'] ] ] ) ){
			echo "								<option value=\"". $board_id ."\">". $fconf[$slot_name][ $lng_tag_name[ $system_conf['DBSSystem']['Language'] ] ] ."</option>\n";
		}else{
			// デフォルトは日本語
			echo "								<option value=\"". $board_id ."\">". $fconf[$slot_name]['Name'] ."</option>\n";
		}
		
		// メニュー表示用にどれがどの基板か記録
		$menu_type[$board_id] = $fconf[$slot_name]['BoadID'];
		$board_function[$board_id] = $fconf[$slot_name]['Func'];
		if( BOARD_TYPE_MUX_2 == $fconf[$slot_name]['BoadID'] ){
			$mux2_setup = my_parse_ini_file($fconf[$slot_name]['Setup']);
		}
	}
	
	// 外部スロットの複数枚チェック
	$num_check = get_board_num($fconf);
	
	// 外部スロット表示
	for( $i = 1 ; $i < EXP_SLOT_MAX ; $i++ ){		// ExpSlotNumが実際にある外部機能個数よりも少ない場合があるため、ExpSlotxxが定義されていないときに読み込みを終了する
		
		$slot_name = "ExpSlot" . $i;
		
		if( !isset($fconf[$slot_name]) ) continue;
		
		$board_id = $fconf[$slot_name]['BoadID'] . "_" . $fconf[$slot_name]['SubID'];
		
		if( isset( $fconf[$slot_name][ $lng_tag_name[ $system_conf['DBSSystem']['Language'] ] ] ) ){
			echo "								<option value=\"". $board_id ."\">". $fconf[$slot_name][ $lng_tag_name[ $system_conf['DBSSystem']['Language'] ] ] ."</option>\n";
		}else{
			// デフォルトは日本語
			echo "								<option value=\"". $board_id ."\">". $fconf[$slot_name]['Name'] ."</option>\n";
		}
		
		// 複数設定されているボードの場合は番号をつける
		if( 1 < $num_check[$fconf[$slot_name]['BoadID']] ){
			echo "[" . $fconf[$slot_name]['SubID'] ."]</option>\n";
		}else{
			echo "</option>\n";
		}
		
		// メニュー表示用にどれがどの基板か記録
		$menu_type[$board_id] = $fconf[$slot_name]['BoadID'];
		$board_function[$board_id] = $fconf[$slot_name]['Func'];
	} 
	echo "							</select>\n";
	echo "						</td>\n";
	echo "					</tr>\n";
	$ofdm_exist = is_fucnction($fconf,BOARD_TYPE_OFDM);
	// 各ボード用のメニューを表示
	$i = 0;
	foreach( $menu_type as $board_id => $val ){
		switch( $val ){
			case BOARD_TYPE_OFDM:
				show_menu_ofdm( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_HDSD:
				show_menu_hdsd( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_TUNE:
				show_menu_tune( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_VOIP:
				show_menu_voip( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_VOIP_TX:
				show_menu_voiptx( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_RVOIP_RX:
				show_menu_rvoip( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_RVOIP_TX:
				show_menu_rvoiptx( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_SCHEDULE:
				show_menu_schedule( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_MAMEDO:
				show_menu_mamedo( $board_id, $i, $board_function[$board_id] );
				break;
//			case BOARD_TYPE_MUX:
//				show_menu_mux( $board_id, $i, $board_function[$board_id], $fconf );
//				break;
			case BOARD_TYPE_HDD_PLAY:
				$mux1_exist = is_fucnction($fconf,BOARD_TYPE_MUX_IN);
				show_menu_hdd_play( $board_id, $i, $board_function[$board_id],$mux1_exist );
				break;
			case BOARD_TYPE_HDD_REC:
				show_menu_hdd_rec( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_INPUT_SW:
				show_menu_input_sw( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_MUX:
			case BOARD_TYPE_MUX_IN:
				show_menu_mux_in( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_MUX_2:
				show_menu_mux_in( $board_id, $i, $board_function[$board_id],$mux2_setup,$ofdm_exist);
				break;
			case BOARD_TYPE_PSI_SI:
			case BOARD_TYPE_PSI_SI_EXT:
				show_menu_psi_si( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_SIMPLE_DVB:
				show_menu_simple_dvb( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_IN_ASI_IN:
				show_menu_in_asi_in( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_TUNE_DVB:
				show_menu_tune_dvb( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_TRANSCODER:
				show_menu_transcoder( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_OUTPUTSW:
				show_menu_output_sw( $board_id, $i, $board_function[$board_id] );
				break;
			case BOARD_TYPE_TUNE_SIANO:
				show_menu_tune_siano( $board_id, $i, $board_function[$board_id] );
				break;
			default:
				/* 処理なし */
				break;
		}
		$i++;
	}
}

// OFDM用のメニュー表示
function show_menu_ofdm($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./ofdm/ofdm_set_base.php?board=". $board_id ."\" target=Display_Contents>". $lng['ofdm']['SET_BASE'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./ofdm/ofdm_set_rf.php?board=". $board_id ."\" target=Display_Contents>". $lng['ofdm']['SET_RF'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./ofdm/ofdm_set_file.php?board=". $board_id ."\" target=Display_Contents>". $lng['ofdm']['SET_INI_DATA'] ."</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./ofdm/ofdm_status_base.php?board=". $board_id ."\" target=Display_Status>". $lng['ofdm']['STATUS_BASE'] ."</a></td></tr>\n";
	$func_hex = hexdec($func);
	if( $func_hex & FUNCTION_SFN_MSK ){		// GPS Lock有効時のみ
		echo "									<tr><td class=\"sub\"><a href=\"./ofdm/ofdm_status_sfn.php?board=". $board_id ."\" target=Display_Status>". $lng['ofdm']['STATUS_SFN'] ."</a></td></tr>\n";
	}
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// MAGNUM HD/SD Encoder用のメニュー表示
function show_menu_hdsd($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_set_hd.php?board=". $board_id ."\" target=Display_Contents>". $lng['hdsd']['SET_HD'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_set_sd.php?board=". $board_id ."&sdno=1\" target=Display_Contents>". $lng['hdsd']['SET_SD1'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_set_sd.php?board=". $board_id ."&sdno=2\" target=Display_Contents>". $lng['hdsd']['SET_SD2'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_set_sd.php?board=". $board_id ."&sdno=3\" target=Display_Contents>". $lng['hdsd']['SET_SD3'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_set_sd.php?board=". $board_id ."&sdno=4\" target=Display_Contents>". $lng['hdsd']['SET_SD4'] ."</a></td></tr>\n";
	if(USE_PIDF_SETTING){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_set_pid.php?board=". $board_id ."\" target=Display_Contents>". $lng['hdsd']['SET_PID_FILTER'] ."</a></td></tr>\n";
	}
	if(FUNCTION_OEM & $func){
		// OEM
	}
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_status_hd.php?board=". $board_id ."\" target=Display_Status>". $lng['hdsd']['STS_HD'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_status_sd.php?board=". $board_id ."&sdno=1\" target=Display_Status>". $lng['hdsd']['STS_SD1'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_status_sd.php?board=". $board_id ."&sdno=2\" target=Display_Status>". $lng['hdsd']['STS_SD2'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_status_sd.php?board=". $board_id ."&sdno=3\" target=Display_Status>". $lng['hdsd']['STS_SD3'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./magnum/magnum_hdsd_status_sd.php?board=". $board_id ."&sdno=4\" target=Display_Status>". $lng['hdsd']['STS_SD4'] ."</a></td></tr>\n";
	if(USE_INPUT_STATUS){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_status_pid.php?board=". $board_id ."\" target=Display_Status>". $lng['hdsd']['STS_INPUT'] ."</a></td></tr>\n";
	}
	if(FUNCTION_OEM & $func){
		// OEM
	}
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// SonyTuner用のメニュー表示
function show_menu_tune($board_id, $no, $func){
	global $lng;
	global $system_conf;
	
	$option_info = hexdec($system_conf['DBSSystem']['OptionInfo']);
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./tuner/tuner_set.php?board=". $board_id ."\" target=Display_Contents>チャンネル設定</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./tuner/tuner_status.php?board=".$board_id."\" target=Display_Status>基本情報</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./tuner/tuner_tmcc.php?board=".$board_id."\" target=Display_Status>TMCC情報</a></td></tr>\n";
	if( $option_info & OPTION_EIT_COLLECT ){
		echo "									<tr><td class=\"sub\"><a href=\"./tuner/tuner_eit_bin.php\" target=Display_Status>EIT binary</a></td></tr>\n";
	}
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// VoIP Rx用のメニュー表示
function show_menu_voip($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./voip/voip_network_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['voip']['SET_NETWORK'] ."</a></td></tr>\n";
	if(USE_PIDF_SETTING){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_set_pid.php?board=". $board_id ."\" target=Display_Contents>". $lng['voip']['SET_PID_FILTER'] ."</a></td></tr>\n";
	}
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./voip/voip_status.php?board=". $board_id ."\" target=Display_Status>". $lng['voip']['STS_NETWORK'] ."</a></td></tr>\n";
	if(USE_INPUT_STATUS){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_status_pid.php?board=". $board_id ."\" target=Display_Status>". $lng['voip']['STS_INPUT'] ."</a></td></tr>\n";
	}
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// VoIP Tx用のメニュー表示
function show_menu_voiptx($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./voiptx/voiptx_network_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['voiptx']['SET_NETWORK'] ."</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./voiptx/voiptx_status.php?board=". $board_id ."\" target=Display_Status>". $lng['voiptx']['STS_NETWORK'] ."</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// VoIP Rx用のメニュー表示
function show_menu_rvoip($board_id, $no, $func){
	global $system_conf;
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	
	$hnu = check_hnu();
	switch( $hnu ){
		case HNU_1XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu1000_setting.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
		case HNU_2XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu2000_setting.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
		case HNU_3XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu1000_setting.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
	}
	echo "									<tr><td class=\"sub\"><a href=\"./rvoip/rvoip_network_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoip']['SET_NETWORK']. "</a></td></tr>\n";
	$func_hex = hexdec($func);
	if( $func_hex & FUNCTION_RVOIP_EN ){		// 冗長化機能有効時のみ
		echo "									<tr><td class=\"sub\"><a href=\"./rvoip/rvoip_network_set_detail.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoip']['SET_DETAIL']. "</a></td></tr>\n";
	}
	
	echo "									<tr><td class=\"sub\">". $lng['rvoip']['SET_SRC_LBL'] . "</td></tr>\n";
	$num = get_voip_stream_num();
	for( $i = 1 ; $i <= $num ; $i++ ){
		echo "									<tr><td class=\"sub\"><a href=\"./rvoip/rvoip_network_set_src.php?board=". $board_id ."&n=". $i ."\" target=Display_Contents>". $lng['rvoip']['SET_SRC'] . $i ."</a></td></tr>\n";
	}
	
	
	if(USE_PIDF_SETTING){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_set_pid.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoip']['SET_PID_FILTER']. "</a></td></tr>\n";
	}
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	switch( $hnu ){
		case HNU_1XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu1000_status.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
		case HNU_2XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu2000_status.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
		case HNU_3XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu1000_status.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
	}
	echo "									<tr><td class=\"sub\"><a href=\"./rvoip/rvoip_status.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoip']['STS_NETWORK']. "</a></td></tr>\n";
	
	echo "									<tr><td class=\"sub\">". $lng['rvoip']['STS_SRC_LBL'] . "</td></tr>\n";
	for( $i = 1 ; $i <= $num ; $i++ ){
		echo "									<tr><td class=\"sub\"><a href=\"./rvoip/rvoip_status_detail.php?board=". $board_id ."&n=". $i ."\" target=Display_Status>". $lng['rvoip']['STS_DETAIL'] . $i ."</a></td></tr>\n";
	}
	if(USE_INPUT_STATUS){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_status_pid.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoip']['STS_INPUT']. "</a></td></tr>\n";
	}
	echo "								</table>\n";
	echo "							</td>\n";
}

// VoIP Tx用のメニュー表示
function show_menu_rvoiptx($board_id, $no, $func){
	global $lng;
	global $system_conf;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	$hnu = check_hnu();
	switch( $hnu ){
		case HNU_1XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu1000_setting.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
		case HNU_2XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu2000_setting.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
		case HNU_3XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu1000_setting.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
	}
	echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_network_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoiptx']['SET_NETWORK'] ."</a></td></tr>\n";
	$func_hex = hexdec($func);
	if( $func_hex & FUNCTION_RVOIP_EN ){		// 冗長化機能有効時のみ
		echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_network_set_detail.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoiptx']['SET_DETAIL'] ."</a></td></tr>\n";
	}
	
	echo "									<tr><td class=\"sub\">". $lng['rvoiptx']['SET_DEST_LBL'] . "</td></tr>\n";
	$num = get_voip_stream_num();
	for( $i = 1 ; $i <= $num ; $i++ ){
		echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_network_set_dest.php?board=". $board_id ."&n=". $i ."\" target=Display_Contents>". $lng['rvoiptx']['SET_DEST'] . $i ."</a></td></tr>\n";
	}
	
	
	if(USE_PIDF_SETTING){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_set_pid.php?board=". $board_id ."\" target=Display_Contents>". $lng['rvoiptx']['SET_PID_FILTER'] ."</a></td></tr>\n";
	}
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	switch ( $hnu ){
		case HNU_1XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu1000_status.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
		case HNU_2XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu2000_status.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
		case HNU_3XXX:
			echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_hnu1000_status.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoiptx']['SET_BLOCK'] ."</a></td></tr>\n";
			break;
	}
	echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_status.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoiptx']['STS_NETWORK'] ."</a></td></tr>\n";
	
	echo "									<tr><td class=\"sub\">". $lng['rvoiptx']['STS_DEST_LBL'] . "</td></tr>\n";
	for( $i = 1 ; $i <= $num ; $i++ ){
		echo "									<tr><td class=\"sub\"><a href=\"./rvoiptx/rvoiptx_status_detail.php?board=". $board_id ."&n=". $i ."\" target=Display_Status>". $lng['rvoiptx']['STS_DETAIL'] . $i ."</a></td></tr>\n";
	}
	
	if( USE_INPUT_STATUS ){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_status_pid.php?board=". $board_id ."\" target=Display_Status>". $lng['rvoiptx']['STS_INPUT'] ."</a></td></tr>\n";
	}
	echo "								</table>\n";
	echo "							</td>\n";
}

// スケジューラ用のメニュー表示
function show_menu_schedule($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./schedule/schedule_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['schedule']['SET_SCHEDULE'] ."</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./schedule/schedule_status_download02.php?board=". $board_id ."\" target=Display_Status>". $lng['schedule']['STS_BASE'] ."</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// MAMEDO用のメニュー表示
function show_menu_mamedo($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mamedo/mamedo_setup.php?board=". $board_id ."\" target=Display_Contents>". $lng['mamedo']['SET_BASE'] ."</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mamedo/mamedo_status.php?board=". $board_id ."\" target=Display_Status>". $lng['mamedo']['STS_BASE'] ."</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// マルチプレクサ用のメニュー表示
function show_menu_mux($board_id, $no, $func, $fconf){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_set_input.php?board=". $board_id ."\" target=Display_Contents>入力設定</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_set_psi.php?board=". $board_id ."\" target=Display_Contents>PSI設定</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_set_epg.php?board=". $board_id ."\" target=Display_Contents>EPG設定</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_set_bml.php?board=". $board_id ."\" target=Display_Contents>BML設定</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_set_dvb_ts.php?board=". $board_id ."\" target=Display_Contents>DVB TS設定</a></td></tr>\n";

	// PIDを設定するボードの設定
	for($i = 1 ; $i <= $fconf['DBSFunction']['IntSlotNum'] ; $i++){
		switch($fconf['IntSlot'.$i]['BoadID']){
			case BOARD_TYPE_HDD_REC:	// HDD録画は出力
			case BOARD_TYPE_SCHEDULE:	// スケジューラは設定なし
				// ここは出力ボードの処理が入る
				break;
			default:
				echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_set_input_pid.php?board=". $fconf['IntSlot'.$i]['BoadID'] . "_" . $fconf['IntSlot'.$i]['SubID'] ."\" target=Display_Contents>".$fconf['IntSlot'.$i]['Name']." PID設定</a></td></tr>\n";
				break;
		}
	}

	$board_num = get_board_num($fconf);
	// DBS_FunctionのBordIdとSubIdを使用してリストボックスを作成
	for($i = 1 ; $i <= $fconf['DBSFunction']['ExpSlotNum'] ; $i++){
		switch( $fconf['ExpSlot'.$i]['BoadID'] ){
			case BOARD_TYPE_MUX:
				break;
			default:
				if( $board_num[$fconf['ExpSlot'.$i]['BoadID']] > 1 ){
					echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_set_input_pid.php?board=". $fconf['ExpSlot'.$i]['BoadID'] . "_" . $fconf['ExpSlot'.$i]['SubID'] ."\" target=Display_Contents>".$fconf['ExpSlot'.$i]['Name']. "[". $fconf['ExpSlot'.$i]['SubID'] ."]"." PID設定</a></td></tr>\n";
				}else{
					echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_set_input_pid.php?board=". $fconf['ExpSlot'.$i]['BoadID'] . "_" . $fconf['ExpSlot'.$i]['SubID'] ."\" target=Display_Contents>".$fconf['ExpSlot'.$i]['Name'] ." PID設定</a></td></tr>\n";
				}
				break;
		}
	}
	
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_status_input.php?board=". $board_id ."\" target=Display_Status>入力</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mux/mux_status_mux.php?board=". $board_id ."\" target=Display_Status>マルチプレクサ</a></td></tr>\n";
	echo "								</table>\n";
	echo "							</td>\n";
}

// HDD再生機能
function show_menu_hdd_play($board_id, $no, $func, $mux1_exist){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./hdd_play/hdd_play_set_file.php?board=". $board_id ."\" target=Display_Contents>". $lng['hdd_play']['SET_FILE'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./hdd_play/hdd_play_set_file_del.php?board=". $board_id ."\" target=Display_Contents>". $lng['hdd_play']['SET_DELETE'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./hdd_play/hdd_play_set_file_wget.php?board=". $board_id ."\" target=Display_Contents>". $lng['hdd_play']['SET_GET'] ."</a></td></tr>\n";
if($mux1_exist ){
	echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_set_pid.php?board=". $board_id ."\" target=Display_Contents>". $lng['hdd_play']['SET_PID_FILTER'] ."</a></td></tr>\n";
}
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./hdd_play/hdd_play_status_file.php?board=". $board_id ."\" target=Display_Status>". $lng['hdd_play']['STS_FILE'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./hdd_play/hdd_play_status_file_wget.php?board=". $board_id ."\" target=Display_Status>". $lng['hdd_play']['STS_GET'] ."</a></td></tr>\n";
	if(USE_INPUT_STATUS){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_status_pid.php?board=". $board_id ."\" target=Display_Status>". $lng['hdd_play']['STS_INPUT'] ."</a></td></tr>\n";
	}
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// HDD録画機能
function show_menu_hdd_rec($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./body_left.php?board=". $board_id ."\" target=Display_Contents>録画ファイル</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./body_right.php?board=". $board_id ."\" target=Display_Status>録画ステータス</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// 入力切替機能
function show_menu_input_sw($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./input_sw/input_sw_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['input_sw']['SET_INPUT_SW'] ."</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./input_sw/input_sw_status.php?board=". $board_id ."\" target=Display_Status>". $lng['input_sw']['STS_DISPLAY'] ."</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// マルチプレクサ(内部)機能
function show_menu_mux_in($board_id, $no, $func, $mux2_setup = null , $ofdm_exist = false ){
	global $lng;
	global $system_conf;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	$boards = preg_split( "/_/" , $board_id );
	switch($boards[0]){
		case BOARD_TYPE_MUX:
			// 外部MUX器の場合
			break;
		case BOARD_TYPE_MUX_IN:
			// 内部MUX v1(ARMマザー内FPGA MUX v1の場合)
			echo "									<tr><td class=\"sub\"><a href=\"./mux_in/mux_in_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['mux_in']['SET_BASE'] ."</a></td></tr>\n";
			echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_set_pid.php?board=". $board_id ."\" target=Display_Contents>". $lng['mux_in']['SET_PID_FILTER'] ."</a></td></tr>\n";
			break;
		case BOARD_TYPE_MUX_2:
			$temp_dec = hexdec(OPTION_MUX_IN2_REMUX);
			$remux_mode = $system_conf['DBSSystem']['OptionInfo'] & $temp_dec;
			if( (isset($mux2_setup['MUX']['DEBUG']) && ( true == $mux2_setup['MUX']['DEBUG'] )) ||
				( (false == $remux_mode) && (false == $ofdm_exist)) ){
				echo "									<tr><td class=\"sub\"><a href=\"./mux_in/mux_in_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['mux_in']['SET_BASE'] ."</a></td></tr>\n";
			}
			if( $remux_mode ){
				
			}else{
				echo "									<tr><td class=\"sub\">". $lng['mux2_in']['LBL_PID_SET_TITLE'] ."</td></tr>\n";
				echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux2_inputsrc_set_pid.php?board=". $board_id ."&ts=1&service=0\" target=Display_Contents>". $lng['mux2_in']['SET_PID_FILTER_SERVICE1'] ."</a></td></tr>\n";
				echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux2_inputsrc_set_pid.php?board=". $board_id ."&ts=1&service=1\" target=Display_Contents>". $lng['mux2_in']['SET_PID_FILTER_SERVICE2'] ."</a></td></tr>\n";
				echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux2_inputsrc_set_pid.php?board=". $board_id ."&ts=1&service=2\" target=Display_Contents>". $lng['mux2_in']['SET_PID_FILTER_SERVICE3'] ."</a></td></tr>\n";
				echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux2_inputsrc_set_pid.php?board=". $board_id ."&ts=1&service=3\" target=Display_Contents>". $lng['mux2_in']['SET_PID_FILTER_SERVICE4'] ."</a></td></tr>\n";
				if( false == $mux2_setup['MUX']['DEBUG'] ){
					echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux2_inputsrc_set_pid.php?board=". $board_id ."&ts=2&service=0\" target=Display_Contents>". $lng['mux2_in']['SET_PID_FILTER_ONESEG'] ."</a></td></tr>\n";
				}
			}
			break;
		case BOARD_TYPE_MUX_3:
			// HNU3000の場合
			break;
		default:
			break;
	}
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_status_pid.php?board=". $board_id ."\" target=Display_Status>". $lng['mux_in']['STS_INPUT'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./mux_in/mux_in_status_pid.php?board=". $board_id ."\" target=Display_Status>". $lng['mux_in']['STS_OUTPUT'] ."</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// PSI/SI設定機能
function show_menu_psi_si($board_id, $no, $func){
	global $lng;
	
	global $system_conf;
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./psi_si/psi_si_set_base.php?board=". $board_id ."\" target=Display_Contents>". $lng['psi_si']['SET_BASE'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./psi_si/psi_si_set_area.php?board=". $board_id ."\" target=Display_Contents>". $lng['psi_si']['SET_AREA'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./psi_si/psi_si_set_epg.php?board=". $board_id ."\" target=Display_Contents>". $lng['psi_si']['SET_EPG'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./psi_si/psi_si_set_file.php?board=". $board_id ."\" target=Display_Contents>". $lng['psi_si']['SET_UPDATE'] ."</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// 簡易DVB設定
function show_menu_simple_dvb($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./simple_dvb/simple_dvb_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['simple_dvb']['SET_BASE'] ."</a></td></tr>\n";
if(USE_PIDF_SETTING){
	echo "									<tr><td class=\"sub\"><a href=\"./simple_dvb/simple_dvb_set_pid.php?board=". $board_id ."\" target=Display_Contents>". $lng['simple_dvb']['SET_PID_FILTER'] ."</a></td></tr>\n";
}
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./simple_dvb/simple_dvb_status.php?board=". $board_id ."\" target=Display_Status>". $lng['simple_dvb']['STS_BASE'] ."</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// ASI入力（内部）
function show_menu_in_asi_in($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	if(USE_PIDF_SETTING){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_set_pid.php?board=". $board_id ."\" target=Display_Contents>". $lng['asi']['SET_PID_FILTER'] ."</a></td></tr>\n";
	}
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	if(USE_INPUT_STATUS){
		echo "									<tr><td class=\"sub\"><a href=\"./mux_inputsrc/mux_inputsrc_status_pid.php?board=". $board_id ."\" target=Display_Status>". $lng['asi']['STS_INPUT'] ."</a></td></tr>\n";
	}
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// DVB-S/S2 Tuner用のメニュー表示
function show_menu_tune_dvb($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./tuner_dvb/tuner_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['tuner_dvb']['SET_CHANNEL'] ."</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./tuner_dvb/tuner_status.php?board=".$board_id."\" target=Display_Status>". $lng['tuner_dvb']['STS_DISPLAY'] ."</a></td></tr>\n";
	for( $i = 1 ; $i <= 8 ; $i++ ){
		echo "									<tr><td class=\"sub\"><a href=\"./tuner_dvb/tuner_status_detail.php?board=". $board_id ."&n=". $i ."\" target=Display_Status>". $lng['tuner_dvb']['STS_DETAIL'] . $i ."</a></td></tr>\n";
	}
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// トランスコーダ用のメニュー表示
function show_menu_transcoder($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./transcoder/transcoder_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['transcoder']['SET_TRANSCODE'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./transcoder/transcoder_set_detail.php?board=". $board_id ."\" target=Display_Contents>". $lng['transcoder']['SET_DETAIL'] ."</a></td></tr>\n";
	if(is_fact()){
		echo "									<tr><td class=\"sub\"><a href=\"./transcoder/transcoder_set_pid.php?board=". $board_id ."\" target=Display_Contents>". $lng['transcoder']['SET_PID_FILTER'] ."</a></td></tr>\n";
	}
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./transcoder/transcoder_status.php?board=".$board_id."\" target=Display_Status>". $lng['transcoder']['STS_DISPLAY'] ."</a></td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./transcoder/transcoder_status_pid.php?board=".$board_id."\" target=Display_Status>". $lng['transcoder']['STS_INPUT_PID'] ."</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// 出力切り替え用のメニュー表示
function show_menu_output_sw($board_id, $no, $func){
	global $lng;
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./output_sw/output_sw_set.php?board=". $board_id ."\" target=Display_Contents>". $lng['output_sw']['SET_OUTPUT_SW'] ."</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./output_sw/output_sw_status.php?board=".$board_id."\" target=Display_Status>". $lng['output_sw']['STS_DISPLAY'] ."</a></td></tr>\n";
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// TOT用のメニュー表示
function show_menu_tune_siano($board_id, $no, $func){
	global $lng;
	global $system_conf;
	
	$option_info = hexdec($system_conf['DBSSystem']['OptionInfo']);
	
	echo "							<tr class=\"board" . $no . "\"><td> \n";
	echo "								<table cellSpacing=0 cellPadding=0 border=0>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_SET'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./tot/tuner_set.php?board=". $board_id ."\" target=Display_Contents>チャンネル設定</a></td></tr>\n";
	echo "									<tr><td><br /></td></tr>\n";
	echo "									<tr><td class=\"subject\">". $lng['LBL_STATUS'] ."</td></tr>\n";
	echo "									<tr><td class=\"sub\"><a href=\"./tot/tuner_status.php?board=".$board_id."\" target=Display_Status>基本情報</a></td></tr>\n";
	if( $option_info & OPTION_EIT_COLLECT ){
		echo "									<tr><td class=\"sub\"><a href=\"./tot/tuner_eit_bin.php\" target=Display_Status>EIT binary</a></td></tr>\n";
	}
	echo "								</table>\n";
	echo "								</td>\n";
	echo "							</tr>\n";
}

// SETUPファイルのパス取得
// $id は 「ID_SUBID」の文字列
function get_setup_file($conf, $id_sub){
	$result = array();

	$board_info = explode('_', $id_sub);
	
	foreach( $conf as $key => $val ){
		if( array_key_exists('BoadID', $val ) &&
			array_key_exists('SubID', $val ) ){
			if(($val['BoadID'] == $board_info[0]) && ($val['SubID'] == $board_info[1])) {
				$result['Setup'] = $val['Setup'];
				$result['Save'] = $val['Save'];
				return $result;
			}
		}
	}
	
	return '';
}

// INIファイル（オプション機能）のファイル名を取得
function get_setup_file_option($conf, $id_sub, $option){
	$result = array();

	$board_info = explode('_', $id_sub);
	
	$result['Setup'] = sprintf( INI_SETUP_FILE_OPT_FORMAT, 
								$id_sub,
								$option );
	$result['Save'] = sprintf( INI_SETUP_FILE_OPT_FORMAT_SD, 
								$id_sub,
								$option );
	
	return $result;
}

// ボードの情報取得
// $id は 「ID_SUBID」の文字列
function get_board_info($conf, $id){
	$board_info = explode('_', $id);
	
	foreach( $conf as $key => $val ){
		if( array_key_exists('BoadID', $val ) &&
			array_key_exists('SubID', $val ) ){
			if(($val['BoadID'] == $board_info[0]) && ($val['SubID'] == $board_info[1])) {
				return $val;
			}
		}
	}
	return NULL;
}

// STATUSファイルのパス取得
// $id は 「ID_SUBID」の文字列
function get_status_file($conf, $id_sub){
	$board_info = explode('_', $id_sub);
	
	foreach( $conf as $key => $val ){
		if( array_key_exists('BoadID', $val ) &&
			array_key_exists('SubID', $val ) ){
			if(($val['BoadID'] == $board_info[0]) && ($val['SubID'] == $board_info[1])) {
				return $val['Status'];
			}
		}
	}
	
	return '';
}


// DBS_Functionの情報を取得
// $id_sub は 「ID_SUBID」の文字列
function get_function_file_info($conf, $id_sub){
	$board_info = explode('_', $id_sub);
	
	foreach( $conf as $key => $val ){
		if( array_key_exists('BoadID', $val ) &&
			array_key_exists('SubID', $val ) ){
			if(($val['BoadID'] == $board_info[0]) && ($val['SubID'] == $board_info[1])) {
				return $val;
			}
		}
	}
	
	return '';
}

// ボードのバージョンを取得
// $id は 「ID_SUBID」の文字列
function get_board_version($conf, $id_sub){
	$result = array();
	
	$board_info = explode('_', $id_sub);
	
	foreach( $conf as $key => $val ){
		if( array_key_exists('BoadID', $val ) &&
			array_key_exists('SubID', $val ) ){
			if(($val['BoadID'] == $board_info[0]) && ($val['SubID'] == $board_info[1])) {
				return $val['Version'];
			}
		}
	}
	
	return '';
}

// 指定した機器が接続されているか確認
function is_fucnction( $fconf, $board_id ){
	for( $i = 1 ; $i <= $fconf['DBSFunction']['IntSlotNum'] ; $i++ ){
		$slot_name = "IntSlot" . $i;
		if( $board_id == $fconf[$slot_name]['BoadID'] ){
			// 発見
			return true;
		}
	}
	// 外部スロット表示
	for( $i = 1 ; $i <= EXP_SLOT_MAX ; $i++ ){
		$slot_name = "ExpSlot" . $i;
		
		if( !isset($fconf[$slot_name]))continue;
		
		if( $board_id == $fconf[$slot_name]['BoadID'] ){
			// 発見
			return true;
		}
	} 
	
	return false;
}


// 指定した機器が接続されているか確認
function get_fucnction( $fconf, $board_id ){
	$function = array();
	for( $i = 1 ; $i <= $fconf['DBSFunction']['IntSlotNum'] ; $i++ ){
		$slot_name = "IntSlot" . $i;
		if( $board_id == $fconf[$slot_name]['BoadID'] ){
			
			array_push( $function, $fconf[$slot_name]['Func'] );
		}
	}
	// 外部スロット表示
	for( $i = 1 ; $i <= EXP_SLOT_MAX ; $i++ ){
		$slot_name = "ExpSlot" . $i;
		
		if( !isset($fconf[$slot_name]))continue;
		
		if( $board_id == $fconf[$slot_name]['BoadID'] ){
			// 発見
			
			array_push( $function, $fconf[$slot_name]['Func'] );
		}
	} 
	
	return $function;
}

// 指定した機器に$optionで指定した機能があるかチェック
function is_function_option( $fconf, $board_id, $option )
{
	for( $i = 1 ; $i <= $fconf['DBSFunction']['IntSlotNum'] ; $i++ ){
		$slot_name = "IntSlot" . $i;
		if( $board_id == $fconf[$slot_name]['BoadID'] ){
			// 発見
			if( $option & hexdec( $fconf[$slot_name]['Func'] ) ){
				return true;
			}	// 見つからない場合は検索を継続
		}
	}
	// 外部スロット表示
	for( $i = 1 ; $i <= EXP_SLOT_MAX ; $i++ ){
		$slot_name = "ExpSlot" . $i;
		if( !isset($fconf[$slot_name]))continue;
		
		if( $board_id == $fconf[$slot_name]['BoadID'] ){
			// 発見
			if( $option & hexdec( $fconf[$slot_name]['Func'] ) ){
				return true;
			}	// 見つからない場合は検索を継続
		}
	}
	
	return false;
}

// 拡張基板枚数を取得する
function get_board_num(&$conf){
	$num_check = array();
	
	// 外部スロットの複数枚チェック
	for( $i = 1 ; $i <= EXP_SLOT_MAX ; $i++ ){
		$slot_name = "ExpSlot" . $i;
		
		if( !isset($conf[$slot_name]) ) continue;
		
		if( isset($num_check[$conf[$slot_name]['BoadID']]) ){
			$num_check[$conf[$slot_name]['BoadID']]++;
		}else{
			$num_check[$conf[$slot_name]['BoadID']] = 1;
		}
	}
	
	return $num_check;
}

// ファイルサイズを文字列で取得
function get_file_size( $file_name ){
	if( file_exists($file_name) ){
		$size = filesize($file_name);
		if( $size >= 1000000000 ){
			$size = round(($size / 1000000000), 1) . ' GByte';
		}else if( $size >= 1000000 ){
			$size = round(($size / 1000000), 1) . ' MByte';
		}else if( $size >= 1000 ){
			$size = round(($size / 1000), 1) . ' KByte';
		}else{
			$size = ($size) . ' Byte';
		}
	}else{
		$size = '-1 Byte';
	}
	
	return $size;
}

// 引数のプロセス名が実行中であるかチェックする
// プロセス名に「grep」が含まれている場合は正常に動作しない
function check_process( $proc_name ){
	$result = exec("ps | grep '". $proc_name ."' | grep -v grep");
	if( 0 == strlen($result) ){
		return false;
	}else{
		return true;
	}
}

/**
 * ファイル検索
 * @param type $path		検索ディレクトリ
 * @param type $ext			拡張子（例:'ts','txt','php'） 指定しない場合は空文字''を設定
 * @param type $sub			サブディレクトリを検索する場合はtrue、しない場合はfalseを指定
 * @param type $timestamp	タイムスタンプ情報を含む場合はtrue、含まない場合はfalseを指定　デフォルトはfalse
 * @return 配列				検索したファイルへのパス
 * @note					サブディレクトリを検索する場合は再起処理を行うため、リソースの枯渇に注意すること。
 */
function search_dir_file( $parent_path, $ext, $sub, $timestamp = false ){
	$result = array();
	//echo ($parent_path. '\*' . $ext);
	foreach(glob($parent_path . '/*') as $path){
		$file_info = pathinfo($path);
		if(is_dir($path) && $sub){
			$result = array_merge( $result, search_dir_file( $path, $ext, $sub, $timestamp ) );
		} else if( ($ext == '' || ( isset($file_info['extension']) && $ext == $file_info['extension'] ))){		// 拡張子指定なし、もしくは拡張子が一致
			// 結果に追加
			if($timestamp){
				$result[ "0" . filemtime( $path ) ] = $path;	// 先頭のゼロはダミー
			}else{
				array_push( $result, $path );
			}
		}
	}
	return $result;
}

/**
 * マルチキャストIP判定
 * @param type $ip			チェック対象のIPアドレス
 * @return 配列				TRUE:マルチキャストIP／FALSE：マルチキャストIP以外
 * @note					引数のIPアドレスがマルチキャストIPであるかチェック
 */
function is_multicast_ip4($ip){
	if( '' == $ip ){
		return FALSE;
	}
	
	$oct = preg_split('/\./', $ip);
	if( 224 <= $oct[0] && 223 <= $oct[0] ){
		return TRUE;
	}else{
		return FALSE;
	}
}

/**
 * 工場出荷設定画面の表示有無
 * @return 表示有無
 */
function is_fact(){
	return file_exists( FACT_FILE );
}

/**
 * OFDMのRF情報設定(工場出荷情報)の表示有無設定
 * @param type $set				表示有無
 */
function set_fact($set){
	if($set){
		touch(FACT_FILE);
	}else{
		if( file_exists( FACT_FILE ) ){
			unlink(FACT_FILE);
		}
	}
}

/**
 * MUX機能の有無取得		
 * @return MUX機能有無
 *			0:MUX機能なし
 *			1:MUX（内部 Rev4）あり
 *			2:MUX V2 (内部 Rev3) あり
 *			3:MUX（外部）あり
 */
function is_mux(){
	global $function_conf;
	// return is_fucnction( $function_conf, BOARD_TYPE_MUX_IN ) || is_fucnction( $function_conf, BOARD_TYPE_MUX );
	if( is_fucnction( $function_conf, BOARD_TYPE_MUX_IN ) ){		// 内部MUXあり
		return 1;
	}else if( is_fucnction( $function_conf, BOARD_TYPE_MUX_2 ) ) {	// 内部MUX V2あり
		return 2;
	}else if( is_fucnction( $function_conf, BOARD_TYPE_MUX ) ) {	// 外部MUXあり
		return 3;
	}else{															// MUXなし
		return 0;
	}
}

/**
 * 緊急スイッチ有効確認
 * @return 緊急スイッチ有効・無効
 * TS再生機能がある場合に緊急スイッチを有効にする
 */
function is_enable_emergency_switch(){
	global $function_conf;
	return is_fucnction( $function_conf, BOARD_TYPE_HDD_PLAY );
}

/**
 * グラフ描画
 * @param type $min			$valueがとる最小値
 * @param type $max			$valueがとる最大値
 * @param type $value		グラフで表示する値
 * @param type $css_class	グラフ表示のCSS名
 * @note					グラフはDIVタブを使用して描画し、その描画方法は$css_classでCSSのクラス名を指定する
 */
function draw_graph( $min, $max, $value, $css_class ){
	// 上限下限ガード
	$width = ( $value < $min ) ? $min : ( ( $max < $value ) ? $max : $value ) ;
	$range = ( $max - $min );
	$range = ( $range <= 0 ) ? 1 : $range ;
	$width = $width / ( $range ) * 100;
	$width = ( $width < 0 ) ? 0 : ( ( 100 < $width ) ? 100 : $width ) ;
	echo '<div class="' . $css_class . '" style="width:'. sprintf("%.4lf", $width) .'%;" />';
}

function is_debug(){
	return file_exists( DISP_DEBUG_FILE );
}

// 無用なエスケープシーケンスを削除する
function strip_magic_quotes_slashes($arr)
{
	if( get_magic_quotes_gpc() ){
		return is_array($arr) ? array_map('strip_magic_quotes_slashes', $arr) : stripslashes($arr);
	}else{
		return $arr;
	}
}

// CSVファイルを読み込んで配列として返す
function read_csv_file( $filename, $num = 0 ){
	if( file_exists( $filename ) ){
		// ファイルを読み込み
		$fp = fopen( $filename, 'r' );
		if( $fp ){
			$ret = array();
			
			while( $datas = fgetcsv($fp) ){
				if( $num == 0 || $num == count( $datas ) ){
					array_push($ret, $datas);
				}
			}
			fclose($fp);
			return $ret;
		}else{
			return null;
		}
	}else{
		return null;
	}
}

// ネットマスクのビット数を取得
function get_netmask_bit( $mask ){
	if(preg_match('/^(([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]).){3}([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$/', $mask)){
		// 先頭からチェックして
		$masks = preg_split( "/[.]/", $mask );
		
		if( count($masks) < 4){
			return 0;
		}
		
		$bin = sprintf( "%08b%08b%08b%08b" , $masks[ 0 ], $masks[ 1 ], $masks[ 2 ], $masks[ 3 ] );
		
		for( $i = 0 ; $i < strlen( $bin ) ; $i++){
			if( $bin[$i] != '1'){
				break;
			}
		}
		return $i;
	}
	return 0;
}

// HNU判定
function check_hnu(){	
	global $system_conf;
	
	if( 0 == strncmp( 'HNU1', $system_conf['DBSSystem']['UnitName'], strlen( 'HNU1' ) ) ){
		return HNU_1XXX;
	}else if( 0 == strncmp( 'HNU2', $system_conf['DBSSystem']['UnitName'], strlen( 'HNU2' ) ) ){
		return HNU_2XXX;
	}else if( 0 == strncmp( 'HNU3', $system_conf['DBSSystem']['UnitName'], strlen( 'HNU3' ) ) ){
		return HNU_3XXX;
	}else{
		return HNU_NONE;
	}
}

// EU向けのTuner x8 / IP変換装置であるかの判定
function check_tuner8toip(){
	global $function_conf;
	return ( 0 < count(get_fucnction( $function_conf, BOARD_TYPE_TRANSCODER ))) ? true : false;
}

// ブラウザ履歴で「戻る」ボタンの表示
function show_back_button()
{
?>
			<div style="text-align: right; font-size: 10px; width:400px; padding: 0em; margin: 0em; margin-bottom: -2em;">
				<input type="button" value="Back"  onClick="history.back(); return false;" />
			</div>
<?php
}

// TS over IPの送受信ストリーム個数を取得
function get_voip_stream_num(){
	global $system_conf;
	
	$num = ( hexdec( $system_conf["DBSSystem"]['UnitID'] ) & 0x0000000F );
	$num++;
	return $num;
}

?>
