<?php
define('MAGNUM_HD_VIDEO_RATE_MAX',   '500');	// 20.0Mbps
define('MAGNUM_HD_VIDEO_RATE_START', '20');		// 2.0Mbps
define('MAGNUM_HD_VIDEO_RATE_END',   '200');	// 20.0Mbps
define('MAGNUM_HD_VIDEO_RATE_INC',   '1');		// 0.2Mbps刻み
define('MAGNUM_HD_VIDEO_RATE_LSB',   '0.1');	// LSBは0.1Mbps
define('MAGNUM_HD_VIDEO_RATE_LSB_INI','0.000001');	// LSBは0.000001Mbps

define('MAGNUM_HD_DELAY_START',      '8');		// 0.8sec
define('MAGNUM_HD_DELAY_END',        '30');		// 30.0sec
define('MAGNUM_HD_DELAY_INC',        '1');		// 0.1sec刻み
define('MAGNUM_HD_DELAY_LSB',        '0.1');	// LSBは0.1sec
define('MAGNUM_HD_DELAY_LSB_INI',    '0.001');	// LSBは0.001sec

define('MAGNUM_HD_AUDIO_RATE_MAX',   '500');	// 500.0kbps
define('MAGNUM_HD_AUDIO_RATE_LSB',   '1');		// LSBは1kbps
define('MAGNUM_HD_AUDIO_RATE_LSB_INI','0.001');// LSBは1bps

define('MAGNUM_SD_VIDEO_RATE_MAX',   '250');	// 10.0Mbps
define('MAGNUM_SD_VIDEO_RATE_START', '10');		// 1.0Mbps
define('MAGNUM_SD_VIDEO_RATE_END',   '80');		// 8.0Mbps
define('MAGNUM_SD_VIDEO_RATE_INC',   '2');		// 0.2Mbps刻み
define('MAGNUM_SD_VIDEO_RATE_LSB',   '0.1');	// LSBは0.1Mbps
define('MAGNUM_SD_VIDEO_RATE_LSB_INI','0.000001');	// LSBは0.000001Mbps

define('MAGNUM_SD_AUDIO_RATE_MAX',   '300');	// 300.0Mbps
define('MAGNUM_SD_AUDIO_RATE_LSB',   '1');		// LSBは0.1Mbps
define('MAGNUM_SD_AUDIO_RATE_LSB_INI','0.001');// LSBは1bps

define('MAGNUM_GRAPH_WIDTH',         200 );		// MAGNUMグラフ最大値

$encode_type = array( 
			0 => "HD/SD 1ch",
			1 => array( 0 => "SD 4ch(NTSC)",
						1 => "SD 4ch(PAL)" ),
		);

$input_type_hd = array( 
			0 => "SDI(HD/SD)",
			1 => "SDI(HD/SD)+ｱﾅﾛｸﾞｵｰﾃﾞｨｵ",
			2 => "SFP1",
			3 => "SFP1+ｱﾅﾛｸﾞｵｰﾃﾞｨｵ",
		);

$input_type_sd = array( "SD1" => array(
								0 => "SDI(SD)",
								1 => "SDI(SD)+ｱﾅﾛｸﾞｵｰﾃﾞｨｵ",
								2 => "SFP1",
								3 => "SFP1+ｱﾅﾛｸﾞｵｰﾃﾞｨｵ",
							 ),
						"SD2" => array(
								0 => "SFP1-2",
							 ),
						"SD3" => array(
								0 => "SFP2-1",
							 ),
						"SD4" => array(
								0 => "SFP2-2",
							 ),
		);

/**
 * HDエンコード設定情報保存
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_magnum_hdsd_hd( &$old_config, $new_config, $filename ){
	// 入力情報のチェック

	// 設定値の反映
	if($new_config['type'] == '0'){
		$old_config['MAGNUM']['MODE']		= 0;
		$old_config['MAGNUM']['NTSC_PAL']	= 0;
	}else if($new_config['type'] == '1'){
		$old_config['MAGNUM']['MODE']		= 1;
		$old_config['MAGNUM']['NTSC_PAL']	= 0;
	}else if($new_config['type'] == '2'){
		$old_config['MAGNUM']['MODE']		= 1;
		$old_config['MAGNUM']['NTSC_PAL']	= 1;
	}else{
		return array('RESULT'  => false,
					 'MESSAGE' => 'エンコードタイプの設定値が異常です。');
	}
	
	$old_config['HD1']['ENABLE']       = $new_config['status'];
	$old_config['HD1']['ENC_MODE']     = $new_config['mode'];
	$old_config['HD1']['INPUT_TYPE']   = $new_config['input'];
	$old_config['HD1']['VIDEO_FORMAT'] = $new_config['video_format'];
	$old_config['HD1']['VIDEO_RATE']   = $new_config['video_rate'] * MAGNUM_HD_VIDEO_RATE_LSB / MAGNUM_HD_VIDEO_RATE_LSB_INI;
	$old_config['HD1']['DELAY']        = $new_config['delay'] * MAGNUM_HD_DELAY_LSB / MAGNUM_HD_DELAY_LSB_INI;
	$old_config['HD1']['ASPECT']       = $new_config['aspect_rate'];
	$old_config['HD1']['AUDIO_MODE']   = $new_config['audio_mode'];
//	$old_config['HD1']['AUDIO_SAMPLE']  = $new_config['audio_sample'];
	$old_config['HD1']['AUDIO_RATE']   = $new_config['audio_rate'];

	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

function save_conf_magnum_hdsd_sd( &$old_config, $new_config, $filename, $sd_sec ){
	// 入力情報のチェック

	if($new_config['type'] == '0'){
		$old_config['MAGNUM']['MODE']		= 0;
		$old_config['MAGNUM']['NTSC_PAL']	= 0;
	}else if($new_config['type'] == '1'){
		$old_config['MAGNUM']['MODE']		= 1;
		$old_config['MAGNUM']['NTSC_PAL']	= 0;
	}else if($new_config['type'] == '2'){
		$old_config['MAGNUM']['MODE']		= 1;
		$old_config['MAGNUM']['NTSC_PAL']	= 1;
	}else{
		return array('RESULT'  => false,
					 'MESSAGE' => 'エンコードタイプの設定値が異常です。');
	}
	// 設定値の反映
	$old_config[$sd_sec]['ENABLE']       = $new_config['status'];
	$old_config[$sd_sec]['ENC_MODE']     = $new_config['mode'];
	$old_config[$sd_sec]['INPUT_TYPE']   = $new_config['input'];
	$old_config[$sd_sec]['VIDEO_RATE']   = $new_config['video_rate'] * MAGNUM_SD_VIDEO_RATE_LSB / MAGNUM_SD_VIDEO_RATE_LSB_INI;;
	$old_config[$sd_sec]['ASPECT']       = $new_config['aspect_rate'];
	$old_config[$sd_sec]['AUDIO_MODE']   = $new_config['audio_mode'];
//	$old_config[$sd_sec]['AUDIO_SAMPLE'] = $new_config['audio_sample'];
	$old_config[$sd_sec]['AUDIO_RATE']   = $new_config['audio_rate'];

	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

function get_sd_color($no){
	$str = "";
	switch($no){
		case 1;
			$str = "class=\"sd1\"";
			break;
		case 2;
			$str = "class=\"sd2\"";
			break;
		case 3;
			$str = "class=\"sd3\"";
			break;
		case 4;
			$str = "class=\"sd4\"";
			break;
	}
	
	return $str;
}
?>
