<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("magnum_hdsd_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	if($_GET['sdno'] != ''){
		$sd_no = $_GET['sdno'];
		$sd_sec = "SD" . $sd_no;
	}else{
		exit;
	}
	
	$sd_color = get_sd_color($sd_no);
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	$cst = get_customer();
?>
		<link rel="stylesheet" href="../<?php echo $oem_css[$cst] ?>/sd.css">
		<script type="text/javascript" src="../js/magnum_hdsd.js"></script>
	</head>
	<body  onload="loadInit(this.magnum_set_sd, <?php echo $setup_conf[$sd_sec]['AUDIO_MODE']; ?>, <?php echo $setup_conf[$sd_sec]['AUDIO_RATE']; ?>);">
		<div class="page_body">
			<form action="./magnum_hdsd_set_sd_ctrl.php" method="POST" name="magnum_set_sd">
				<h3 class="table_caption"><span <?php echo $sd_color;?>>SD<?php echo $sd_no;?></span> エンコーダ設定</h3>
				<table class="list">
					<tr>
						<th width="150px">エンコーダタイプ</th>
						<td>
							<select name="type">
								<option value="0" <?php echo (($setup_conf['MAGNUM']['MODE']==0) ? "selected" : "" ); ?>><?php echo $encode_type[0]; ?></option>
								<option value="1" <?php echo (($setup_conf['MAGNUM']['MODE']==1 && $setup_conf['MAGNUM']['NTSC_PAL']==0) ? "selected" : "" ); ?>><?php echo $encode_type[1][0]; ?></option>
								<option value="2" <?php echo (($setup_conf['MAGNUM']['MODE']==1 && $setup_conf['MAGNUM']['NTSC_PAL']==1) ? "selected" : "" ); ?>><?php echo $encode_type[1][1]; ?></option>
							</select>
						</td>
					</tr>
					<tr>
						<th>エンコーダ</th>
						<td>
							<select name="status">
								<option value="0" <?php echo (($setup_conf[$sd_sec]['ENABLE']==0) ? "selected" : "" ); ?>>停止</option>
								<option value="1" <?php echo (($setup_conf[$sd_sec]['ENABLE']==1) ? "selected" : "" ); ?>>起動</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>エンコードモード</th>
						<td>
							<select name="mode">
								<option value="0" <?php echo (($setup_conf[$sd_sec]['ENC_MODE']==0) ? "selected" : "" ); ?>>MPEG</option>
								<option value="1" <?php echo (($setup_conf[$sd_sec]['ENC_MODE']==1) ? "selected" : "" ); ?>>H.264</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>入力種別</th>
						<td>
							<select name="input">
<?php
	foreach( $input_type_sd as $sd_no => $sd_ch ){
		if( $sd_no == $sd_sec ){
			foreach( $sd_ch as $no => $label ){
?>
								<option value="<?php echo $no; ?>" <?php echo (($setup_conf[$sd_sec]['INPUT_TYPE']==$no) ? "selected" : "" ); ?>><?php echo $label; ?></option>
<?php
			}
		}
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>ビデオレート</th>
						<td>
							<select name="video_rate">
<?php
	//$video_rate = $setup_conf[$sd_sec]['VIDEO_RATE'] * MAGNUM_SD_VIDEO_RATE_LSB_INI / MAGNUM_SD_VIDEO_RATE_LSB;
	//$video_rate = $setup_conf[$sd_sec]['VIDEO_RATE'] * 0.000001 / 0.1;
	$video_rate = $setup_conf[$sd_sec]['VIDEO_RATE'] / 100000;	// 誤差が出るのでこの形式で
	for($i = MAGNUM_SD_VIDEO_RATE_START ; $i <= MAGNUM_SD_VIDEO_RATE_END ; $i += MAGNUM_SD_VIDEO_RATE_INC){
		echo "								<option value=\"".$i."\" ". (($video_rate== $i) ? "selected" : "" ) . ">" . sprintf("%.1f", $i * MAGNUM_SD_VIDEO_RATE_LSB) ." Mbps</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>アスペクト比</th>
						<td>
							<select name="aspect_rate">
								<option value="0" <?php echo (($setup_conf[$sd_sec]['ASPECT']==0) ? "selected" : "" ); ?>>16:9</option>
								<option value="1" <?php echo (($setup_conf[$sd_sec]['ASPECT']==1) ? "selected" : "" ); ?>>4:3</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>オーディオモード</th>
						<td>
							<select name="audio_mode" onChange="changeRate(this);">
								<option value="0" <?php echo (($setup_conf[$sd_sec]['AUDIO_MODE']==0) ? "selected" : "" ); ?>>モノラル</option>
								<option value="1" <?php echo (($setup_conf[$sd_sec]['AUDIO_MODE']==1) ? "selected" : "" ); ?>>ステレオ</option>
								<option value="2" <?php echo (($setup_conf[$sd_sec]['AUDIO_MODE']==2) ? "selected" : "" ); ?>>DUAL</option>
<?php
	if( OEM_YOOZMA != $system_conf[ 'DBSSystem' ][ 'CustumInfo' ] ) {
?>
								<option value="3" <?php echo (($setup_conf[$sd_sec]['AUDIO_MODE']==3) ? "selected" : "" ); ?>>EXT</option>
<?php
	}
?>
							</select>
						</td>
					</tr>
<!--					<tr>
						<th>オーディオサンプリング</th>
						<td>
							<select name="audio_sample" onChange="changeRate(this);">
								<option value="0" <?php echo (($setup_conf[$sd_sec]['AUDIO_SAMPLE']==0) ? "selected" : "" ); ?>>44100bps</option>
								<option value="1" <?php echo (($setup_conf[$sd_sec]['AUDIO_SAMPLE']==1) ? "selected" : "" ); ?>>48000bps</option>
							</select>
						</td>
					</tr>-->
					<tr>
						<th>オーディオレート</th>
						<td>
							<select name="audio_rate"  onload="changeRate(this);">
							</select>
						</td>
					</tr>
				</table>
				<input type="hidden" name="set_sd" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="hidden" name="sdno" value="<?php echo $_GET['sdno'];?>">
				<input type="submit" value="設定">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
