<?php


if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	define('CMD_STATUS',   CONF_DIR . '\cmdstat.txt');
}else{
	define('CMD_STATUS',   '/var/www/cmdstat.txt');
}

define('SECURITY_KEY_LEN_MIN',		1);
define('SECURITY_KEY_LEN_MAX',		62);


/**
 * SYSCONFIGのユニット名称更新
 * @param type $system_conf		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_system_config_unit_name($system_conf, $new_config)
{
	// 入力チェック
	if( 31 < strlen($new_config['unitname']) ){
		return array('RESULT'  => false,
					 'MESSAGE' => '製品名称の設定が長すぎます。半角文字で31文字以内で設定してください。');
	}
	
	// 設定値を登録
	$system_conf['DBSSystem']['UnitName']		 = $new_config['unitname'];
	
	// ファイルに書き込み
	$filename['Setup']	 = SYSTEM_CONF;
	$filename['Save']	 = SYSTEM_CONF_SD;
	$result =  save_ini_file_setup_save( $filename, $system_conf );
	if( $result['RESULT'] == true ){
		$result['MESSAGE'] = '設定が正常に更新されました。変更した設定を有効にするためには機器のスイッチOFF/ONを実行してください。';
	}
	return $result;
}

/**
 * SYSCONFIGのユニット名称更新
 * @param type $system_conf		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_log_up_load_setting($system_conf, $new_config)
{
	// 入力情報のチェック
	if( $new_config['Enable'] != 0 ){
		// 有効にしたのに空の入力がある場合
		if( (0 == strlen($new_config['Server'])) ||
			(0 == strlen($new_config['KeyCode']))){
			
			return array('RESULT'  => false,
						 'MESSAGE' => 'ログアップロードサーバ、セキュリティキーはすべて指定してください。');
		}
	}
	
	// URLチェック
	mb_internal_encoding("UTF-8");
	$new_config['Server'] = trim( mb_convert_kana( $new_config['Server'], 's') );
	if( 0 != preg_match( '/^(https?)(:\/\/[-_.!~*\'()a-zA-Z0-9;\/?:\@&=+\$,%#<>]+)$/', strlen($new_config['Server'] ) ) ){
		return array('RESULT'  => false,
					 'MESSAGE' => 'URLの入力形式が不正です。');
	}
	
	// セキュリティキーチェック
	$new_config['KeyCode'] = trim( mb_convert_kana( $new_config['KeyCode'], 's') );
	if( ( strlen($new_config['KeyCode']) < SECURITY_KEY_LEN_MIN ) ||
		( SECURITY_KEY_LEN_MAX < strlen($new_config['KeyCode']) )){
		return array('RESULT'  => false,
					 'MESSAGE' => 'セキュリティキーの長さが不正です。' . SECURITY_KEY_LEN_MIN . ' ～ ' . SECURITY_KEY_LEN_MAX . ' 文字で入力してください。');
	}
	
	// 設定値を登録
	$system_conf['LogUpLoad']['Enable']		 = $new_config['Enable'];
	$system_conf['LogUpLoad']['Server']		 = $new_config['Server'];
	$system_conf['LogUpLoad']['KeyCode']	 = $new_config['KeyCode'];
	$system_conf['LogUpLoad']['UpLoadTime']	 =  sprintf( "%02d:%02d:00", $new_config['UpLoadTime_h'], $new_config['UpLoadTime_m'] );
	
	// ファイルに書き込み
	$filename['Setup']	 = LOGUPLOAD_CONF;
	$filename['Save']	 = LOGUPLOAD_CONF_SD;
	$result =  save_ini_file_setup_save( $filename, $system_conf, false );
	if( $result['RESULT'] == true ){
		$result['MESSAGE'] = '設定が正常に更新されました。';
		
		system( "echo '[LogUpLoadSet]\n' > ".MAINCONTROL );
	}
	return $result;
}

function start_log_up_load(){
	system( "echo '[LogUpLoadRun]\n' > ".MAINCONTROL );
	
	$result['RESULT']	 = true;
	$result['MESSAGE']	 = 'アップロード処理を開始しました。';
	return $result;
}

function dumper($obj)
{
   ob_start();
   var_dump($obj);
   $ret = ob_get_contents();
   ob_end_clean();
   return $ret;
}
?>
