<?php
define('PSI_TV_NUM_START', '1');
define('PSI_TV_NUM_END', '4');
define('PSI_TV_NUM_INC', '1');

define('PSI_REMOCON_KEY_START', '1');
define('PSI_REMOCON_KEY_END', '12');
define('PSI_REMOCON_KEY_INC', '1');

define('PSI_PROGRAM_NUM_START', 1);
define('PSI_PROGRAM_NUM_END', 8);
define('PSI_PROGRAM_NUM_INC', 1);

define('PSI_BUSINESS_PERSON_MAX', 32);
define('PSI_PROGRAM_NAME_MAX', 32);

// EPGファイル（仮のファイル名）
define('EPG_FILE_PATH', SD_DIR.'\eit_epg.txt');
define('EPG_NUM_START', PSI_TV_NUM_START);
define('EPG_NUM_END', PSI_TV_NUM_END);
define('EPG_NUM_INC', PSI_TV_NUM_INC);

define('EPG_NAME_MAX', 32);
define('EPG_CONTENTS_MAX', 100);

// EPGファイル置き場所（仮）
if( $_SERVER['DOCUMENT_ROOT'] == '/var/www/' ){
	define( 'EPG_SETUP_PATH',       '/usr/hirotech/conf/' );
}else{
	define( 'EPG_SETUP_PATH',       'C:\xampp\htdocs\xampp\tmp\\' );
}

define('EPG_PID_START', 1);
define('EPG_PID_END', 8);
define('EPG_PID_INC', 1);

define('PID_MAX',		0x1FFF);

define('BML_RATE_START', '10');		// 1.0Mbps
define('BML_RATE_END',   '100');	// 10.0Mbps
define('BML_RATE_INC',   '1');		// 0.1Mbps刻み
define('BML_RATE_LSB',   '0.1');	// LSBは0.1Mbps

define('MUX_RATE_MAX',150);
define('MUX_RATE_LSB', 0.1);

define('DVB_START', 1);
define('DVB_END',   8);
define('DVB_INC',   1);

define('DBV_TS_BIT_START',  10);
define('DBV_TS_BIT_END',    100);
define('DBV_TS_BIT_INC',    1);
define('DBV_TS_BIT_LSB',    0.1);

define('DVB_PID_START', 1);
define('DVB_PID_END', 8);
define('DVB_PID_INC', 1);

define('INPUT_PID_START', 1);
define('INPUT_PID_END', 16);
define('INPUT_PID_INC', 1);

// BMLファイル置き場所（仮）
if( $_SERVER['DOCUMENT_ROOT'] == '/var/www/' ){
	define( 'BML_SETUP_PATH',       '/usr/hirotech/conf/' );
}else{
	define( 'BML_SETUP_PATH',       'C:\xampp\htdocs\xampp\tmp\\' );
}

// Setup_04_01.ini の BASEINPUT定義
$base_inputs_ini = array('無し', 'ASI', 'チューナ', 'VoIP Rx', 'SATA', 'SD', 'USB');

// DBS_SystemのSystemInfoに使用可能な入力機器
$base_inputs = array( '00000001' => 2,
					  '00000002' => 3);

/**
 * PSIの設定情報保存
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_psi( &$old_config, $new_config, $filename ){
	// 入力情報のチェック
	// 事業者名長チェック
	if( PSI_BUSINESS_PERSON_MAX < strlen( $new_config['business_person'] ) ){
		return array('RESULT'  => false,
					 'MESSAGE' => '事業者名の入力文字数が多すぎます。最大'.PSI_BUSINESS_PERSON_MAX.'文字(半角)まで登録可能です。');
	}
	
	// プログラム名長チェック
	for( $tv_no = PSI_TV_NUM_START ; $tv_no <= PSI_TV_NUM_END ; $tv_no += PSI_TV_NUM_INC ){
		if( PSI_PROGRAM_NAME_MAX < strlen( $new_config['tv'.$tv_no.'_prg_name'] )){
			return array('RESULT'  => false,
						 'MESSAGE' => 'プログラム名の入力文字数が多すぎます。最大'.PSI_PROGRAM_NAME_MAX.'文字(半角)まで登録可能です。');
		}
	}
	
	$old_config['PSI']['REMOCON_KEY']     = $new_config['remocon_key'];
	$old_config['PSI']['BUSINESS_PERSON'] = $new_config['business_person'];
	$old_config['PSI']['AREA_CODE']	      = $new_config['area_code'];
	$old_config['PSI']['AREA_BUS_PERSON'] = $new_config['area_bus_person'];
	
	for( $tv_no = PSI_TV_NUM_START ; $tv_no <= PSI_TV_NUM_END ; $tv_no += PSI_TV_NUM_INC ){
		$old_config['TV'.$tv_no]['STATUS']   = $new_config['tv'.$tv_no.'_prg_status'];
		$old_config['TV'.$tv_no]['NUMBER']   = $new_config['tv'.$tv_no.'_prg_number'];
		$old_config['TV'.$tv_no]['NAME']     = $new_config['tv'.$tv_no.'_prg_name'];
		$old_config['TV'.$tv_no]['SCRAMBLE'] = $new_config['tv'.$tv_no.'_prg_scramble'];
		$old_config['TV'.$tv_no]['COPY']     = $new_config['tv'.$tv_no.'_prg_copy'];
	}
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}


/**
 * EPGの設定情報保存
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_epg( &$old_config, $new_config, $filename ){
	// 入力情報のチェック
	if($new_config['status'] == 1){		// 固定データのチェック
		// 番組名・内容長チェック
		for( $epg_no = EPG_NUM_START ; $epg_no <= EPG_NUM_END ; $epg_no += EPG_NUM_INC ){
			if( EPG_NAME_MAX < mb_strlen( $new_config['epg_name'][$epg_no], "UTF-8" ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '番組名の入力文字数が多すぎます。最大'.EPG_NAME_MAX.'文字(半角)まで登録可能です。');
			}
			if( EPG_CONTENTS_MAX < mb_strlen( $new_config['epg_cont'][$epg_no], "UTF-8" ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '内容の入力文字数が多すぎます。最大'.EPG_CONTENTS_MAX.'文字(半角)まで登録可能です。');
			}
		}
	}
	
	// 設定方法後毎の設定
	if($new_config['status'] == 0){
		// 無し
	}else if($new_config['status'] == 1){
		// 固定
		for( $epg_no = EPG_NUM_START ; $epg_no <= EPG_NUM_END ; $epg_no += EPG_NUM_INC ){
			$old_config['EPG'.$epg_no]['NAME'] = $new_config['epg_name'][$epg_no];
			$old_config['EPG'.$epg_no]['CONTENTS'] = $new_config['epg_cont'][$epg_no];
		}
	}else{
		// ファイル 
		$old_config['EPG_FILE_PID']['DVB_NO'] = $new_config['dvb_ts_no'];
		
		//ファイルは別途アップロード処理を行てそこでパスなどを設定する
	}
	
	$old_config['EPG']['STATUS'] = $new_config['status'];
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * EPGファイルパス設定保存
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_epg_file( &$old_config, $new_file, $filename ){
	$old_config['EPG_FILE_PID']['FILE_PATH'] = $new_file;
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * BMLの設定
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_bml( &$old_config, $new_config, $filename ){
	$old_config['BML']['SELECT'] = $new_config['select'];
	$old_config['BML']['RATE'] = $new_config['rate'];
	$old_config['BML']['RESTRICTION'] = $new_config['restriction'];
	$old_config['BML']['DVB_NO'] = $new_config['dvb_ts_no'];
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * EPGファイルパス設定保存
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_bml_file( &$old_config, $new_file, $filename ){
	$old_config['BML']['FILE'] = $new_file;
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * 入力設定
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_input( &$old_config, $new_config, $filename ){
	// 入力情報のチェック

	// 設定値を保存
	$old_config['INPUT']['STATUS'] = $new_config['status'];
	$old_config['INPUT']['TYPE'] = $new_config['type'];
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * DVB TS設定
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_dvb_ts( &$old_config, $new_config, $filename ){
	// 入力情報のチェック
	
	for($dvb_no = DVB_START ; $dvb_no <= DVB_END ; $dvb_no += DVB_INC){
		for( $pid_no = DVB_PID_START ; $pid_no <= DVB_PID_END ; $pid_no += DVB_PID_INC ){
			// 入力文字チェック
			if( !(preg_match("/^[0-9a-fA-F]+$/", $new_config['dvb_pid_input'][$dvb_no][$pid_no]) ) ||
				!(preg_match("/^[0-9a-fA-F]+$/", $new_config['dvb_pid_changed'][$dvb_no][$pid_no]))){
				return array('RESULT'  => false,
							 'MESSAGE' => 'PIDが16進数で設定されていません。PIDは16進数で設定してください。');
			}

			// 最大値チェック
			if( ( PID_MAX < hexdec( $new_config['dvb_pid_input'][$dvb_no][$pid_no] ) ) ||
				( PID_MAX < hexdec( $new_config['dvb_pid_changed'][$dvb_no][$pid_no] ) ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '入力されたPIDが最大値である'.sprintf("0x%04X", PID_MAX).'を超えています。');
			}

			// 設定値を保存
			$old_config['DVB_TS'.$dvb_no]['INPUT'.$pid_no] = '0x'.$new_config['dvb_pid_input'][$dvb_no][$pid_no];
			$old_config['DVB_TS'.$dvb_no]['CHANGED'.$pid_no] = '0x'.$new_config['dvb_pid_changed'][$dvb_no][$pid_no];
			$old_config['DVB_TS'.$dvb_no]['SETTING'.$pid_no] = $new_config['dvb_pid_setting'][$dvb_no][$pid_no];
		}
		$old_config['DVB_TS'.$dvb_no]['STATUS'] = $new_config['status'][$dvb_no];
		$old_config['DVB_TS'.$dvb_no]['BITRATE'] = $new_config['bitrate'][$dvb_no];
	}
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * 入力PIDの更新
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_input_pid( &$old_config, $new_config, $filename ){
	// 入力情報のチェック
	
	for( $pid_no = INPUT_PID_START ; $pid_no <= INPUT_PID_END ; $pid_no += INPUT_PID_INC ){
		// 入力文字チェック
		if( !(preg_match("/^[0-9a-fA-F]+$/", $new_config['input_pid_input'][$pid_no]) ) ||
			!(preg_match("/^[0-9a-fA-F]+$/", $new_config['input_pid_changed'][$pid_no]))){
			return array('RESULT'  => false,
						 'MESSAGE' => 'PIDが16進数で設定されていません。PIDは16進数で設定してください。');
		}

		// 最大値チェック
		if( ( PID_MAX < hexdec( $new_config['input_pid_input'][$pid_no] ) ) ||
			( PID_MAX < hexdec( $new_config['input_pid_changed'][$pid_no] ) ) ){
			return array('RESULT'  => false,
						 'MESSAGE' => '入力されたPIDが最大値である'.sprintf("0x%04X", PID_MAX).'を超えています。');
		}

		// 設定値を保存
		$old_config['PID']['INPUT'.$pid_no] = '0x'.$new_config['input_pid_input'][$pid_no];
		$old_config['PID']['CHANGED'.$pid_no] = '0x'.$new_config['input_pid_changed'][$pid_no];
		$old_config['PID']['SETTING'.$pid_no] = $new_config['input_pid_setting'][$pid_no];
	}
	$old_config['PID']['STATUS'] = $new_config['status'];

	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}
?>
