<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		$borad_info = get_board_info($function_conf, $_GET['board']);
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="mux_set_input_pid_ctrl.php" method="POST" name="set_input">
				<h3 class="table_caption"><?php echo $borad_info['Name']; ?> PID設定</h3>
				<table>
					<tr>
						<th width="100px">状態</th>
						<td>
							<select name="status">
								<option value="0"<?php echo (($setup_conf['PID']['STATUS'] == 0) ? " selected":""); ?>>停止</option>
								<option value="1"<?php echo (($setup_conf['PID']['STATUS'] == 1) ? " selected":""); ?>>起動</option>
							</select>							
						</td>
					</tr>
				</table>
				<br/>
				<table>
					<tr>
						<th>#</th>
						<th>入力PID</th>
						<th>変換後PID</th>
						<th>PMT組込<br/>設定</th>
					</tr>
<?php 
	for( $pid_no = INPUT_PID_START ; $pid_no <= INPUT_PID_END ; $pid_no += INPUT_PID_INC ){
?>
					<tr align="center">
						<th><?php echo $pid_no; ?></th>
						<td>
							0x<input type="text" size="3" name="input_pid_input[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf['PID']['INPUT'.$pid_no]); ?>" size="10"/>
						</td>
						<td>
							0x<input type="text" size="3" name="input_pid_changed[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf['PID']['CHANGED'.$pid_no]); ?>" size="10"/>
						</td>
						<td>
							<select name="input_pid_setting[<?php echo $pid_no; ?>]">
								<option value="0"<?php echo (($setup_conf['PID']['SETTING'.$pid_no] == 0) ? " selected":""); ?>>無効</option>
								<option value="1"<?php echo (($setup_conf['PID']['SETTING'.$pid_no] == 1) ? " selected":""); ?>>有効</option>
							</select>
						</td>
					</tr>
<?php
	}
?>
				</table>
				<input type="hidden" name="set_input_pid" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="設定">
			</form>			
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>

