<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../libarea.php");
	require_once("mux_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
		<script type="text/javascript" src="../js/magnum_hdsd.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="mux_set_psi_ctrl.php" method="POST">
				<h3 class="table_caption">PSI設定</h3>
				<table class="list">
					<tr>
						<th width="200px">リモコンキー</th>
						<td>
							<select name="remocon_key">
<?php
	for($i = PSI_REMOCON_KEY_START ; $i <= PSI_REMOCON_KEY_END ; $i += PSI_REMOCON_KEY_INC){
		echo "								<option value=\"" . $i . "\"" . (($setup_conf['PSI']['REMOCON_KEY']==$i) ? " selected" : "" ) . ">". $i ." ch</option>\n";
	}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>事業者(ネットワーク)名</th>
						<td>
							<input name="business_person" type="text" size="30" maxlength="10" value="<?php echo $setup_conf['PSI']['BUSINESS_PERSON']; ?>">
						</td>
					</tr>
					<tr>
						<th>地域番号</th>
						<td>
							<select name="area_code">
<?php
foreach( $area_table as $key => $val ){
	echo "								<option value=\"". $val ."\"" . (($setup_conf['PSI']['AREA_CODE'] == $val)?" selected":"") . ">".$key." ( ". $val ." ) "."</option>\n";
}
?>
							</select>						
						</td>
					</tr>
					<tr>
						<th>地域事業者識別</th>
						<td>
							<select name="area_bus_person">
<?php
foreach( $area_business_table as $key => $val ){
	echo "								<option value=\"". $val ."\"" . (($setup_conf['PSI']['AREA_BUS_PERSON'] == $val)?" selected":"") . ">".$key." ( ". $val ." ) "."</option>\n";
}
?>
							</select>
						</td>
					</tr>
				</table>
				<br/>
				<br/>
				<h3 class="table_caption">PSIプログラム設定</h3>
				<table>
					<tr>
						<th>#</th>
						<th>状態</th>
						<th>番号</th>
						<th>ﾌﾟﾛｸﾞﾗﾑ名</th>
						<th>ｽｸﾗﾝﾌﾞﾙ</th>
						<th>ｺﾋﾟｰ</th>
					</tr>
<?php 
	for( $tv_no = PSI_TV_NUM_START ; $tv_no <= PSI_TV_NUM_END ; $tv_no += PSI_TV_NUM_INC ){
?>
					<tr>
						<th><?php echo $tv_no; ?></th>
						<td>
							<select name="tv<?php echo $tv_no; ?>_prg_status">
								<option value="0" <?php echo (($setup_conf['TV'.$tv_no]['STATUS'] == 0) ? " selected":""); ?>>無効</option>
								<option value="1" <?php echo (($setup_conf['TV'.$tv_no]['STATUS'] == 1) ? " selected":""); ?>>有効</option>
							</select>
						</td>
						<td>
							<select name="tv<?php echo $tv_no; ?>_prg_number">
<?php
	for( $i = PSI_PROGRAM_NUM_START ; $i <= PSI_PROGRAM_NUM_END ; $i++ ){
	echo "								<option value=\"". $i ."\"" . (($setup_conf['TV'.$tv_no]['NUMBER'] == $i)?" selected":"") . ">". $i ."</option>\n";
	}
?>					
							</select>
						</td>
						<td><input type="text" name="tv<?php echo $tv_no; ?>_prg_name"  maxlength="10" value="<?php echo $setup_conf['TV'.$tv_no]['NAME']; ?>"  size="10"/></td>
						<td>
							<select name="tv<?php echo $tv_no; ?>_prg_scramble">
								<option value="0" <?php echo (($setup_conf['TV'.$tv_no]['SCRAMBLE']==0)?" selected":""); ?>> - NA - </option>
							</select>
						</td>
						<td>
							<select name="tv<?php echo $tv_no; ?>_prg_copy">
								<option value="0" <?php echo (($setup_conf['TV'.$tv_no]['COPY']==0)?" selected":""); ?>>フリー</option>
								<option value="1" <?php echo (($setup_conf['TV'.$tv_no]['COPY']==1)?" selected":""); ?>>1世代のみ</option>
								<option value="2" <?php echo (($setup_conf['TV'.$tv_no]['COPY']==2)?" selected":""); ?>>禁止</option>
								<option value="3" <?php echo (($setup_conf['TV'.$tv_no]['COPY']==3)?" selected":""); ?>>ﾀﾞﾋﾞﾝｸﾞ10</option>
							</select>
						</td>
					</tr>
<?php
	}
?>
				</table>
				<input type="hidden" name="set_psi" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="設定">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
