<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_in_lib.php");
	require_once("../libfreq.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );	// Languageファイル読み込み
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="mux_in_set_ctrl.php" method="post">
				<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
				<table class="list">
<?php
list($board_id,$board_subid) = explode("_",$_GET['board']);
if( BOARD_TYPE_MUX_IN == $board_id ){
?>
					<tr>
						<th width="150px"><?php echo $lng['TB0_TH0']; ?></th>
						<td>
							<select name="mode">
								<option value="0"<?php echo (($setup_conf['MUX']['MODE'] == 0)?" selected" : ""); ?>><?php echo $lng['LBL_MODE_THROU']; ?></option>
								<option value="1"<?php echo (($setup_conf['MUX']['MODE'] == 1)?" selected" : ""); ?>><?php echo $lng['LBL_MODE_HAND']; ?></option>
							</select>
						</td>
					</tr>
<?php
}else if(BOARD_TYPE_MUX_2 == $board_id) {
	$ofdm_exist = is_fucnction($function_conf,BOARD_TYPE_OFDM);
	if( false == $ofdm_exist ){
?>
					<tr>
						<th width="150px"><?php echo $lng['TB0_TH1']; ?></th>
						<td>
							<select name="mode">
								<option value="0"<?php echo (($setup_conf['MUX']['MODE'] == 0)?" selected" : ""); ?>><?php echo $lng['LBL_MODE_13']; ?></option>
								<option value="1"<?php echo (($setup_conf['MUX']['MODE'] == 1)?" selected" : ""); ?>><?php echo $lng['LBL_MODE_1_12']; ?></option>
								<option value="2"<?php echo (($setup_conf['MUX']['MODE'] == 2)?" selected" : ""); ?>><?php echo $lng['LBL_MODE_1_NULL']; ?></option>
								<option value="3"<?php echo (($setup_conf['MUX']['MODE'] == 3)?" selected" : ""); ?>><?php echo $lng['LBL_MODE_1']; ?></option>
							</select>
						</td>
					<tr>
					<tr>
						<th width="150px"><?php echo $lng['TB0_TH2']; ?></th>
						<td>
							<select name="freq">
<?php
		foreach( $freq_table as $key => $val ){
			echo "								<option value=\"". $val ."\"" . (($setup_conf['MUX']['FREQ'] == $val)?" selected":"") . ">".$key." ( ". $val ."MHz ) "."</option>\n";
		}
?>
							</select>
						</td>
					</tr>
<?php
	}
	if( (false == $ofdm_exist) || (0 != $setup_conf['MUX']['DEBUG']) ){
?>
					<tr>
						<th width="150px"><?php echo $lng['TB0_TH3']; ?></th>
						<td>
<?php
		printf("								<input type=\"text\" name=\"rate\" size=\"5\" value=\"%.1f\"/>&nbsp;&nbsp;[Mbps]\n", $setup_conf['MUX']['RATE']/1000/1000 );
?>
						<p class="table_notes"> 1.0 ～ 150.0 [Mbps]</p>
						</td>
					</tr>
<?php
	}
?>
<?php
	if( isset($_GET['debug']) && (true == $_GET['debug']) ){
?>
					<tr>
						<th width="150px">debug</th>
						<td>
							<select name="debug">
								<option value="0"<?php echo (($setup_conf['MUX']['DEBUG'] == 0)?" selected" : ""); ?>>OFF</option>
								<option value="1"<?php echo (($setup_conf['MUX']['DEBUG'] == 1)?" selected" : ""); ?>>ON</option>
							</select>
						</td>
					</tr>
<?php
	}
?>
<?php
}else{
	
}
?>
				</table>
				<input type="submit" value="<?php echo $clng['SUBMIT']; ?>">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="hidden" name="mux_in_set" value="true">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>

