<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_in_lib.php");
	
	$loading = false;
	$ts_no = 0;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		$board_type = substr( $_GET['board'], 0, 2 );
		$board_no = substr( $_GET['board'], 3, 2 );
		if($board_type == BOARD_TYPE_OFDM){
			// OFDMのMUXはファイル名が固定
			$ini_file = sprintf( STATUS_OFDM_MUX_CONF, $board_no );
		}else{
			// Setupファイル名を取得
			$ini_file = get_status_file( $function_conf, $_GET['board'] );
		}
		
		if( is_file( $ini_file ) ){
			$status = my_parse_ini_file( $ini_file );
			if( NULL == $status ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			//echo "INI File Not Found(". $ini_file .")<br>\n";
			//exit(1);
			$loading = true;
		}
		$borad_info = get_board_info($function_conf, $_GET['board']);
	}
	
	if( OEM_YOOZMA != $system_conf[ 'DBSSystem' ][ 'CustumInfo' ] ){
		// クッキーからビットレートの最大値を取得
		if( isset($_COOKIE[ COOKIE_BITRATE_MAX ] ) ){
			$bitrate_graph_max = $_COOKIE[ COOKIE_BITRATE_MAX ];
		}else{
			$bitrate_graph_max = ( intval( $status['OUTPUT_STATUS']['TOTAL_TSP_RATE'] / ( MUX_IN_BITRATE_UNIT * MUX_IN_BITRATE_LSB) ) + 1 ) * MUX_IN_BITRATE_UNIT;
			$bitrate_graph_max *= MUX_IN_BITRATE_LSB;
	// ここでクッキーを保存すると実機でエラーが出るのでコメントアウト
	//		setcookie( COOKIE_BITRATE_MAX, $bitrate_graph_max );
		}
	}else{
		$bitrate_graph_max = MUX_IN_BITRATE_MAX_YZM * MUX_IN_BITRATE_LSB;
	}
	
	function show_mux_in_graph( $label, $bitrate, $err_bitrate = -1, $wrn_bitrate = -1, $data_limit = -1 ){
		global $bitrate_graph_max;
		
		if( ( $wrn_bitrate == -2 ) && ( $err_bitrate == -2 ) ){
			$base_css = "graph_mux_in_graph_base_white";
			$graph_div_css = 'graph_div_white';
		}else if( ( $err_bitrate != -1 ) && ( $err_bitrate <= $bitrate ) ){
			$base_css = "graph_mux_in_graph_base_ng";
			$graph_div_css = 'graph_div_ng';
		}else if( ( $wrn_bitrate != -1 ) && ( $wrn_bitrate <= $bitrate ) ){
			$base_css = "graph_mux_in_graph_base_wrn";
			$graph_div_css = 'graph_div_wrn';
		}else {
			$base_css = "graph_mux_in_graph_base_ok";
			$graph_div_css = 'graph_div_ok';
		}
?>
				<tr>
					<th style="padding:0.5em; font-size:10px; width: 30%;"><?php echo $label; ?></th>
					<td class="<?php echo $base_css; ?>" style="padding:0.5em; font-size:10px; width: 20%;"><?php echo sprintf("%03.03fMbps", floor(($bitrate / 1000000.0)*1000)/1000 ); ?></td>
					<td class="<?php echo $base_css; ?>" style="padding:0em;padding-top:3px; padding-bottom:3px; width: 50%;">
<?php
		if( -1 != $data_limit && ( $data_limit > $bitrate ) ){	// データリミットのグラフを背景に表示する場合
				// draw_graph( 0, MUX_IN_BITRATE_MAX , floatval( $data_limit )  / MUX_IN_BITRATE_LSB , 'graph_div_white' );
				draw_graph( 0, $bitrate_graph_max / MUX_IN_BITRATE_LSB , floatval( $data_limit ) / MUX_IN_BITRATE_LSB , 'graph_div_white' );
				draw_graph( 0, $data_limit / MUX_IN_BITRATE_LSB , floatval( $bitrate )  / MUX_IN_BITRATE_LSB , $graph_div_css ); 
		}else{
?>
						<?php //draw_graph( 0, MUX_IN_BITRATE_MAX , floatval( $bitrate )  / MUX_IN_BITRATE_LSB, $graph_div_css ); ?>
						<?php draw_graph( 0, $bitrate_graph_max / MUX_IN_BITRATE_LSB , floatval( $bitrate )  / MUX_IN_BITRATE_LSB, $graph_div_css ); ?>
<?php
		}
?>

					</td>
				</tr>
<?php
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="5">
<?php view_jquery_sub();?>
<script type="text/javascript">
<!--
$(function(){
	jQuery.event.add(window, "load", function(){
	});
	
	$(".bitrate_max").change(function(){
		document.cookie = '<?php echo COOKIE_BITRATE_MAX; ?>='+$(".bitrate_max").val();
		location.reload();
	});
});
//-->
</script>
			
	</head>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
	<body>
		<div class="page_body">
<?php
	if( $borad_info['BoadID'] != BOARD_TYPE_MUX ) {
		// 内部MUXの場合
?>		
			<h3 class="table_caption">マルチプレクサ動作状態</h3>
			<table>
				<tr>
					<th>状態</th>
					<td>
<?php
switch($borad_info['BoadID']){
	default:
	case BOARD_TYPE_MUX_IN:
		// 0x88
		echo (($status['MUX']['MODE'] == 0) ? "スルーモード\n":"手動設定\n");
		break;
	case BOARD_TYPE_MUX_2:
		// 0x93
		$temp = hexdec($system_conf['DBSSystem']['OptionInfo']);
		if( $temp & OPTION_MUX_IN2_REMUX ){
			// remux option
			echo "再多重モード";
		}else{
			// normal mode
			echo $layer_mode[ intval($status['MUX']['MODE']) ];
		}
		break;
}
?>
					</td>
				</tr>
			</table>
			<br/>
<?php
	}
?>			
			<h3 class="table_caption">ビットレート</h3>
<?php
	if( OEM_YOOZMA != $system_conf[ 'DBSSystem' ][ 'CustumInfo' ] ){
?>
			<div style="font-size: 12px; padding-bottom: 0.5em; color: black; ">
				<input style="width:150px;" type="range" name="bitrate_max" class="bitrate_max" id="bitrate_max"  min="<?php echo MUX_IN_BITRATE_MIN * MUX_IN_BITRATE_LSB;?>" max="<?php echo MUX_IN_BITRATE_MAX * MUX_IN_BITRATE_LSB;?>" step="<?php echo MUX_IN_BITRATE_STEP * MUX_IN_BITRATE_LSB; ?>"  value="<?php echo $bitrate_graph_max; ?>" width="400px" />
				<span style="margin-left:20px;"></span>
				Range : 0.0 - <?php echo sprintf( "%.1f",$bitrate_graph_max / MUX_IN_BITRATE_LSB ); ?> Mbps
			</div>
<?php
	}
?>
			<table>
<?php
	show_mux_in_graph( "出力TSレート", $status['OUTPUT_STATUS']['TOTAL_TSP_RATE'] );
//	show_mux_in_graph( "データレートリミット",		 $status['OUTPUT_STATUS']['VALID_TSP_RATE'], -2, -2 );
	show_mux_in_graph( "有効データレート",		 $status['OUTPUT_STATUS']['OUTPUT_TSP_RATE'], $status['OUTPUT_STATUS']['VALID_TSP_RATE'] * ENABLE_RATE_ERROR, $status['OUTPUT_STATUS']['VALID_TSP_RATE'] * ENABLE_RATE_WARNING, $status['OUTPUT_STATUS']['VALID_TSP_RATE'] );
//	show_mux_in_graph( "出力データレート",		 $status['OUTPUT_STATUS']['OUTPUT_TSP_RATE'] );
	
	// 有効データレートがデータリミットを超過する場合、喪失データレートを表示
	// 喪失データレート = 有効データレート - 出力データレート
	if( $status['OUTPUT_STATUS']['VALID_TSP_RATE'] < $status['OUTPUT_STATUS']['INPUT_TSP_RATE'] ){
		$loss = intval( $status['OUTPUT_STATUS']['INPUT_TSP_RATE'] ) - intval( $status['OUTPUT_STATUS']['OUTPUT_TSP_RATE'] );
		$loss = ( $loss < 0 ) ? 0 : $loss;
		show_mux_in_graph( "破棄データレート",		$loss, 0, 0 );
	}
	
	show_mux_in_graph( "0x1FFF(NULL)",	 $status['OUTPUT_STATUS']['NULL_TSP_RATE'] );
	
	$i = 0;
	$pid_out_array = array();
	for( $i = 0 ; $i < MUX_IN_OUT_PID_NUM ; $i++ ){
		$pid = "PID" . sprintf("%02d", $i);
		if( isset( $status['OUTPUT_PID'][$pid] ) && '1FFF' != $status['OUTPUT_PID'][$pid]  && '1FF0' != $status['OUTPUT_PID'][$pid] ){
			$rate = "RATE" . sprintf("%02d", $i);
			$val = array( sprintf( "0x%04X", hexdec( $status['OUTPUT_PID'][$pid] ) ) => $status['OUTPUT_PID'][$rate] );
			$pid_out_array = array_merge( $pid_out_array, $val );
		}
	}
	if( count($pid_out_array) ){
		ksort($pid_out_array);
		foreach ($pid_out_array as $key => $value) {
			show_mux_in_graph($key, $value);
		}
	}
?>
			</table>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>

