<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_inputsrc_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );	// Languageファイル読み込み
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	if($_GET['board'] != ''){
		$borad_info = get_board_info($function_conf, $_GET['board']);
		if( isset( $borad_info['FilterSetup'] )){
			if( is_file( $borad_info['FilterSetup'] ) ){
				$setup_conf = parse_ini_file( $borad_info['FilterSetup'], true );
			}else {
				echo "INI File Not Found(". $borad_info['FilterSetup'] .")<br>\n";
				exit(1);
			}
		}
	}
	
	if( $borad_info['BoadID'] == BOARD_TYPE_MUX_IN ){
		// マルチプレクサのモード設定を取得する
		$setup_conf_mux = parse_ini_file( $borad_info['Setup'], true );
	}else{
		$setup_conf_mux = null;
	}
	// TRUE:変更不可状態, FALSE:変更可能状態
	if( $borad_info['BoadID'] == BOARD_TYPE_MUX ){
		// 外部MUXの場合は全てのPIDを変更可能
		$fixed_in_pid_ts1 = array(
			0   => FALSE,	1   => FALSE,	2   => FALSE,
			3   => FALSE,	4   => FALSE,	5   => FALSE,
			6   => FALSE,	7   => FALSE,	8   => FALSE,
			9   => FALSE,	10  => FALSE,	11  => FALSE,
			12  => FALSE,	13  => FALSE,	14  => FALSE,
			15  => FALSE,	16  => FALSE,	17  => FALSE,
			18  => FALSE,	19  => FALSE,
		);
		$fixed_in_pid_ts2 = array(
			0   => FALSE,	1   => FALSE,	2   => FALSE,
			3   => FALSE,	4   => FALSE,	5   => FALSE,
			6   => FALSE,	7   => FALSE,	8   => FALSE,
			9   => FALSE,	10  => FALSE,	11  => FALSE,
			12  => FALSE,	13  => FALSE,	14  => FALSE,
			15  => FALSE,	16  => FALSE,	17  => FALSE,
			18  => FALSE,	19  => FALSE,
		);
	}else{
		// 内部MUXの場合はフィルター後PIDを変更できないようにする
		$fixed_in_pid_ts1 = array(
			0   => TRUE,	1   => TRUE,	2   => TRUE,
			3   => TRUE,	4   => TRUE,	5   => TRUE,
			6   => TRUE,	7   => TRUE,	8   => TRUE,
			9   => TRUE,	10  => TRUE,	11  => TRUE,
			12  => FALSE,	13  => FALSE,	14  => FALSE,
			15  => FALSE,	16  => FALSE,	17  => FALSE,
			18  => FALSE,	19  => FALSE,
		);
		$fixed_in_pid_ts2 = array(
			0   => TRUE,	1   => TRUE,	2   => TRUE,
			3   => FALSE,	4   => FALSE,	5   => FALSE,
			6   => FALSE,	7   => FALSE,	8   => FALSE,
			9   => FALSE,	10  => FALSE,	11  => FALSE,
			12  => FALSE,	13  => FALSE,	14  => FALSE,
			15  => FALSE,	16  => FALSE,	17  => FALSE,
			18  => FALSE,	19  => FALSE,
		);
	}
	if( ($borad_info['BoadID'] == BOARD_TYPE_MUX) ||
		($borad_info['BoadID'] == BOARD_TYPE_MUX_2) ){
		// 外部MUX又は内部MUX ver2の時のみ定義する
		// フルセグ側PIDフィルタ定義
		$note_label1 = array(
			"SV1 Video",	"SV1 Audio",	"SV1 PCR",
			"SV2 Video",	"SV2 Audio",	"SV2 PCR",
			"SV3 Video",	"SV3 Audio",	"SV3 PCR",
			"SV4 Video",	"SV4 Audio",	"SV4 PCR",
			"Free",			"Free",			"Free",
			"Free",			"Free",			"Free",
			"Free",			"Free",
		);
		// ワンセグ側PIDフィルタ定義
		$note_label2 = array(
			"SV1 Video",	"SV1 Audio",	"SV1 PCR",
			"Free",			"Free",			"Free",
			"Free",			"Free",			"Free",
			"Free",			"Free",			"Free",
			"Free",			"Free",			"Free",
			"Free",			"Free",			"Free",
			"Free",			"Free",
		);
	}
	
	require_once './mux_inputsrc_set_pid_func.php';
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="mux_inputsrc_set_pid_ctrl.php" method="POST" name="set_input">
<?php
	if( $borad_info['BoadID'] == BOARD_TYPE_MUX_2 ){
		mux2_input_set_show_table($borad_info['Name'].$lng['TC0'] , 'FILTER0', $note_label1);
	}else{
		mux_inputsrc_set_show_table( $borad_info['Name'] . $lng['TC0'], 'FILTER0', 1 );
	}
?>
				<input type="hidden" name="set_input_pid" value="true">
				<input type="hidden" name="ts" value="1">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>">
			</form>	
			
<?php
	if( $borad_info['BoadID'] != BOARD_TYPE_HDSD ){
 ?>
			<br/>
			<br/>
			<form action="mux_inputsrc_set_pid_ctrl.php" method="POST" name="set_input">
<?php
		if( $borad_info['BoadID'] == BOARD_TYPE_MUX_2 ){
			mux2_input_set_show_table($borad_info['Name'].$lng['TC1'] , 'FILTER1', $note_label2);
		}else{
			mux_inputsrc_set_show_table( $borad_info['Name'] . $lng['TC1'], 'FILTER1', 2 );
		}
?>
				<input type="hidden" name="set_input_pid" value="true">
				<input type="hidden" name="ts" value="2">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>"> 
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>">
			</form>	
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>

