<?php
if ($borad_info['BoadID'] == BOARD_TYPE_MUX_IN) {
    // マルチプレクサのモード設定を取得する
    $setup_conf_mux = parse_ini_file($borad_info['Setup'], true);
} else {
    $setup_conf_mux = null;
}

// MUX INPUTSRC テーブル表示関数
function mux_inputsrc_set_show_table($title, $filter, $ts_no) {
    global $setup_conf;
    global $fixed_in_pid_ts1;
    global $fixed_in_pid_ts2;
    global $setup_conf_mux;
    global $borad_info;
    global $system_conf;
    global $function_conf;
    global $note_label1;
    global $note_label2;

    require( get_lang_file(__FILE__) ); // Languageファイル読み込み

    $note_label = NULL;
    if ($ts_no == 1) {
        $fixed_in_pid_ts = $fixed_in_pid_ts1;
        if (NULL != $note_label1) {
            $note_label = $note_label1;
        }
    } else {
        $fixed_in_pid_ts = $fixed_in_pid_ts2;
        if (NULL != $note_label2) {
            $note_label = $note_label2;
        }
    }
    ?>
    <h3 class="table_caption"><?php echo $title; ?></h3>
    <table>
        <tr>
            <th width="100px"><?php echo $lng['TB0_TH0']; ?></th>
            <td>
                <select name="status">
                    <option value="0"<?php echo (($setup_conf[$filter]['STATUS'] == 0) ? " selected" : ""); ?>><?php echo $lng['LBL_DISABLE']; ?></option>
                    <option value="1"<?php echo (($setup_conf[$filter]['STATUS'] == 1) ? " selected" : ""); ?>><?php echo $lng['LBL_ENABLE']; ?></option>
                </select>							
            </td>
        </tr>
    </table>
    <br/>
    <?php
    if (NULL != $note_label) {
        ?>
        <table style="width:500px">
            <?php
        } else {
            ?>
            <table>
                <?php
            }
            ?>
            <tr>
                <th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH0']; ?></th>
                <th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH1']; ?></th>
                <th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH2']; ?></th>
                <th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH3']; ?></th>
                <th style="text-align: center;"><span title="<?php echo $lng['TITLE_ST']; ?>"><?php echo $lng['TB1_TH4']; ?></span></th>
                <th style="text-align: center;"><span title="<?php echo $lng['TITLE_CT']; ?>"><?php echo $lng['TB1_TH5']; ?></span></th>
                <?php
                if (NULL != $note_label) {
                    ?>
                    <th style="text-align: center; padding: 0.1em; width:100px;"><?php echo $lng['TB1_TH6']; ?></th>
                    <?php
                }
                ?>
            </tr>
            <?php
            for ($pid_no = INPUT_PID_START; $pid_no <= INPUT_PID_END; $pid_no += INPUT_PID_INC) {
                if (!isset($setup_conf[$filter]['SETTING' . $pid_no])) {
                    break;
                }
                ?>
                <tr align="center">
                    <th style="text-align: center; padding: 0em;"><?php echo $pid_no; ?></th>
                    <td style="text-align: center; padding: 0em;">
                        <?php
                        if (( $borad_info['BoadID'] == BOARD_TYPE_MUX_IN ) && ( 0 == $setup_conf_mux['MUX']['MODE'] )) {
                            ?>
            <?php echo ($setup_conf[$filter]['SETTING' . $pid_no]) ? "ON" : "OFF"; ?>

                            <input type="hidden" name="input_pid_enable[<?php echo $pid_no; ?>]" value="<?php echo ($setup_conf[$filter]['SETTING' . $pid_no]) ? "1" : "0"; ?>" />
                            <?php
                        } else {
                            ?>
                            <input type="checkbox" name="input_pid_enable[<?php echo $pid_no; ?>]" <?php echo ($setup_conf[$filter]['SETTING' . $pid_no]) ? "checked" : ""; ?> />
                            <?php
                        }
                        ?>
                    </td>						
                    <td style="text-align: center; padding: 0.1em;">
                        <?php
                        if (( $borad_info['BoadID'] == BOARD_TYPE_MUX_IN)) {
                            echo "							0x" . str_replace("0x", "", $setup_conf[$filter]['INPUT' . $pid_no]) . "\n";
                            ?>
                            <input type="hidden" name="input_pid_input[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf[$filter]['INPUT' . $pid_no]); ?>" />
                            <?php
                        } else {
                            ?>
                            0x<input type="text" size="5" name="input_pid_input[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf[$filter]['INPUT' . $pid_no]); ?>" size="10"/>
                            <?php
                        }
                        ?>
                    </td>
                    <td style="text-align: center; padding: 0.1em;">
                        <?php
                        if (( isset($fixed_in_pid_ts[$pid_no]) && $fixed_in_pid_ts[$pid_no] && ( $borad_info['BoadID'] != BOARD_TYPE_MUX_IN ) ) ||
                                ( ( $borad_info['BoadID'] == BOARD_TYPE_MUX_IN ) && ( 0 == $setup_conf_mux['MUX']['MODE'] ) )) {
                            $hex_pid = str_replace("0x", "", $setup_conf[$filter]['CHANGED' . $pid_no]);
                            echo '							0x' . $hex_pid . "\n";
                            echo '							<input type="hidden" name="input_pid_changed[' . $pid_no . ']" value="' . $hex_pid . '">' . "\n";
                        } else {
                            ?>
                            0x<input type="text" size="5" name="input_pid_changed[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf[$filter]['CHANGED' . $pid_no]); ?>" size="10"/>
                            <?php
                        }
                        ?>
                    <td style="text-align: center; padding: 0.1em;">
                        <?php
                        if (( isset($fixed_in_pid_ts[$pid_no]) && $fixed_in_pid_ts[$pid_no] && ( $borad_info['BoadID'] != BOARD_TYPE_MUX_IN ) ) ||
                                ( $borad_info['BoadID'] == BOARD_TYPE_MUX_IN ) && ( 0 == $setup_conf_mux['MUX']['MODE'] )) {
                            ?>
                            0x<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['STREAM_TYPE' . $pid_no])); ?>

                            <input type="hidden" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['STREAM_TYPE' . $pid_no])); ?>" name="input_pid_stream_type[<?php echo $pid_no; ?>]"  />
                            <?php
                        } else {
                            ?>
                            0x<input type="text" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['STREAM_TYPE' . $pid_no])); ?>" name="input_pid_stream_type[<?php echo $pid_no; ?>]" size="1" maxlength="2" />
                            <?php
                        }
                        ?>
                    </td>
                    <td style="text-align: center; padding: 0.1em;">
                        <?php
                        if (( isset($fixed_in_pid_ts[$pid_no]) && $fixed_in_pid_ts[$pid_no] && ( $borad_info['BoadID'] != BOARD_TYPE_MUX_IN ) ) ||
                                ( $borad_info['BoadID'] == BOARD_TYPE_MUX_IN ) && ( 0 == $setup_conf_mux['MUX']['MODE'] )) {
                            ?>
                            0x<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['COMPONENT_TAG' . $pid_no])); ?>

                            <input type="hidden" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['COMPONENT_TAG' . $pid_no])); ?>" name="input_pid_component_tag[<?php echo $pid_no; ?>]" />
                            <?php
                        } else {
                            ?>
                            0x<input type="text" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['COMPONENT_TAG' . $pid_no])); ?>" name="input_pid_component_tag[<?php echo $pid_no; ?>]" size="1" maxlength="2" />
                            <?php
                        }
                        ?>
                    </td>
                    <?php
                    if (NULL != $note_label) {
                        ?>
                        <td style="text-align: center; padding: 0.1em;"><?php echo $note_label[$pid_no]; ?></td>
                        <?php
                    }
                    ?>
                </tr>
                <?php
            }
            ?>
        </table>
        <?php
    }
    ?>

<?php
    // MUX Version2 テーブル表示関数 上記mux_inputsrc_set_show_table()関数と共通にしたかったが、
	// 条件分岐が複雑すぎるので別関数とした。
    function mux2_input_set_show_table($title, $filter, $note_label) {
	    global $setup_conf;
		global $setup_conf_mux;
		global $borad_info;
		global $system_conf;
		global $function_conf;

		require( get_lang_file(__FILE__) ); // Languageファイル読み込み
?>
    <h3 class="table_caption"><?php echo $title; ?></h3>
    <table>
        <tr>
            <th width="100px"><?php echo $lng['TB0_TH0']; ?></th>
            <td>
                <select name="status">
                    <option value="0"<?php echo (($setup_conf[$filter]['STATUS'] == 0) ? " selected" : ""); ?>><?php echo $lng['LBL_DISABLE']; ?></option>
                    <option value="1"<?php echo (($setup_conf[$filter]['STATUS'] == 1) ? " selected" : ""); ?>><?php echo $lng['LBL_ENABLE']; ?></option>
                </select>							
            </td>
        </tr>
    </table>
    <br/>
	<table style="width:500px">
            <tr>
                <th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH0']; ?></th>
                <th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH1']; ?></th>
                <th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH2']; ?></th>
                <th style="text-align: center; padding: 0.1em;"><?php echo $lng['TB1_TH3']; ?></th>
                <th style="text-align: center;"><span title="<?php echo $lng['TITLE_ST']; ?>"><?php echo $lng['TB1_TH4']; ?></span></th>
                <th style="text-align: center;"><span title="<?php echo $lng['TITLE_CT']; ?>"><?php echo $lng['TB1_TH5']; ?></span></th>
                <th style="text-align: center; padding: 0.1em; width:100px;"><?php echo $lng['TB1_TH6']; ?></th>
            </tr>
			<?php
			for ($pid_no = INPUT_PID_START; $pid_no <= INPUT_PID_END; $pid_no += INPUT_PID_INC) {
				if (!isset($setup_conf[$filter]['SETTING' . $pid_no])) {
                    break;
                }
            ?>
                <tr align="center">
                    <th style="text-align: center; padding: 0em;"><?php echo $pid_no; ?></th>
                    <td style="text-align: center; padding: 0em;">
                        <input type="checkbox" name="input_pid_enable[<?php echo $pid_no; ?>]" <?php echo ($setup_conf[$filter]['SETTING' . $pid_no]) ? "checked" : ""; ?> />
                    </td>
                    <td style="text-align: center; padding: 0.1em;">
                        0x<input type="text" size="5" name="input_pid_input[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf[$filter]['INPUT' . $pid_no]); ?>" />
                    </td>
                    <td style="text-align: center; padding: 0.1em;">
                        0x<input type="text" size="5" name="input_pid_changed[<?php echo $pid_no; ?>]" value="<?php echo str_replace("0x", "", $setup_conf[$filter]['CHANGED' . $pid_no]); ?>" />
                    <td style="text-align: center; padding: 0.1em;">
                        0x<input type="text" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['STREAM_TYPE' . $pid_no])); ?>" name="input_pid_stream_type[<?php echo $pid_no; ?>]" size="1" maxlength="2" />
                    </td>
                    <td style="text-align: center; padding: 0.1em;">
                        0x<input type="text" value="<?php echo sprintf("%02X", hexdec($setup_conf[$filter]['COMPONENT_TAG' . $pid_no])); ?>" name="input_pid_component_tag[<?php echo $pid_no; ?>]" size="1" maxlength="2" />
                    </td>
                    <td style="text-align: center; padding: 0.1em;"><?php echo $note_label[$pid_no]; ?></td>
                </tr>
            <?php
            }// for() end
            ?>
	</table>
<?php
    }// function mux2_input_set_show_table() end
?>