<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("mux_inputsrc_lib.php");
	
	if($_GET['service_no'] != '' ){
		// 指定 service_noがある場合
		$service_no = $_GET['service_no'];
		$psi_txt_file = sprintf("%s/PMT_%d.txt", TS_SECTION , $service_no );
		if( file_exists($psi_txt_file) ){
			$PMT_file = parse_ini_file($psi_txt_file,true);
			if( file_exists(SDT_TXT) ){
				$SDT_file = parse_ini_file(SDT_TXT,true);
			}
		}else{
			echo "PMT info not found.\n";
			exit();
		}
	}else{
		echo "Please set PMT number.";
		exit();
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<h3 class="table_caption">サービス情報</h3>
			<table>
<?php
	if( isset($SDT_file[ 'sdt_loop'.$service_no ]) ){
		echo "				<tr><td>サービス名</td><td>".mb_convert_encoding($SDT_file['sdt_loop'.$service_no]['service_name'], "UTF-8", "SJIS")."</td></tr>\n";
	}else{
		echo "				<tr><td>サービス名</td><td>---</td><tr>\n";
	}
?>
				<tr><td>サービスID</td><td>0x<?php echo $PMT_file['basic']['program_number']?></td></tr>
				<tr><td>PMT-PID</td><td>0x<?php echo $PMT_file['basic']['PMT_PID']?></td></tr>
<?php
// ECM_PIDはPMT中に記述がない場合がある
if( $PMT_file['basic']['ECM_PID'] != NON_PID ){
	echo "				<tr><td>ECM-PID</td><td>0x".$PMT_file['basic']['ECM_PID']."</td></tr>\n";
}else{
	echo "				<tr><td>ECM-PID</td><td>---</td></tr>\n";
}
?>
				
				<tr><td>PCR-PID</td><td>0x<?php echo $PMT_file['basic']['PCR_PID']?></td></tr>
			</table>
			<h3 class="table_caption">Elementary Stream</h3>
			<table>
				<tr><th>ES-PID</th><th>Stream type</th><th>Component tag</th></tr>
<?php
	for( $i = 0 ; $i < MAX_ELEMENTARY_STREAM ; $i++){
		if( isset($PMT_file['ES_loop'.$i]) ){
			echo "				<tr><td>0x".$PMT_file['ES_loop'.$i]['elementary_PID']."</td><td>0x".$PMT_file['ES_loop'.$i]['stream_type']."</td><td>0x".$PMT_file['ES_loop'.$i]['component_tag']."</td></tr>\n";
		}else{
			break;
		}
	}
?>
			</table>
		</div>
	</body>
</html>