<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../libfreq.php");
	require_once("ofdm_lib.php");
	
	// 設定情報の読み込み
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = my_parse_ini_file( $ini_file['Setup'] );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	// Ofdm_XX.iniファイルを読み込み
	$setup_conf['FileLink']['Setup_File'] = basename($setup_conf['FileLink']['Setup_File']);
	if(file_exists(CONF_DIR ."/". $setup_conf['FileLink']['Setup_File'])){
		$rf_setup_conf = my_parse_ini_file( CONF_DIR ."/".$setup_conf['FileLink']['Setup_File'] );
	}else{
		echo "INI File Not Found(". $setup_conf['FileLink']['Setup_File'] .")<br>\n";
		exit(1);
	}
	$ofdm_version = OFDM_BOARD_VER1;
	if( isset( $rf_setup_conf[OFDM_BOARD_VER2] ) ){
		$ofdm_version = OFDM_BOARD_VER2;
	}else if( isset( $rf_setup_conf[OFDM_BOARD_VER3] ) ){
		$ofdm_version = OFDM_BOARD_VER3;
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="ofdm_set_base_ctrl.php" method="post" enctype="multipart/form-data">
				<h3 class="table_caption">OFDM 基本設定</h3>
				<table class="list">
					<tr>
						<th width="150px">状態</th>
						<td>
							<select name="enable">
								<option value="0"<?php echo (($setup_conf['OFDM']['Enable'] == 0)?" selected" : ""); ?>>無効</option>
								<option value="1"<?php echo (($setup_conf['OFDM']['Enable'] == 1)?" selected" : ""); ?>>有効</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>OFDMモード</th>
						<td>
<?php
$temp_option = hexdec($system_conf['DBSSystem']['OptionInfo']);
if( $temp_option & OPTION_MUX_IN2_REMUX ){
	$temp_str = $layer_mode[$setup_conf['OFDM']['OFDM_Mode']];
	echo "							<input type=\"text\" value=\"".$temp_str."\" onFocus=\"this.blur()\" style=\"background:#CCCCCC\">\n";
}else{
	if($rf_setup_conf[$ofdm_version]['Debug_Mode']){
		echo "							<!-- デバッグモード時は13セグでしか動作できない。 -->\n";
		echo "							<input type=\"text\" value=\"13セグモード\" onFocus=\"this.blur()\" style=\"background:#CCCCCC\">\n";
		echo "							<input type=\"hidden\" name=\"ofdm_mode\" value=\"0\">\n";
	}else{
?>
							<select name="ofdm_mode">
								<option value="0"<?php echo (($setup_conf['OFDM']['OFDM_Mode'] == 0)?" selected" : ""); ?>>13セグメント</option>
								<option value="1"<?php echo (($setup_conf['OFDM']['OFDM_Mode'] == 1)?" selected" : ""); ?>>1+12セグメント</option>
								<option value="2"<?php echo (($setup_conf['OFDM']['OFDM_Mode'] == 2)?" selected" : ""); ?>>1セグメント(NULL)</option>
								<option value="3"<?php echo (($setup_conf['OFDM']['OFDM_Mode'] == 3)?" selected" : ""); ?>>1セグメント</option>
							</select>
<?php
	}
}
?>
						</td>
					</tr>
					<tr>
						<th>クロック選択</th>
						<td>
							
<?php
if( (OEM_YOOZMA == $system_conf[ 'DBSSystem' ][ 'CustumInfo' ]) ||
	(OEM_DKK == $system_conf[ 'DBSSystem' ][ 'CustumInfo' ]) ){
	// YOOZMAまたは電気興業の場合は10[MHz]クロック入力端子がある
	echo "						<select name=\"sel_clock\">\n";
	switch($setup_conf['OFDM']['Sel_Clock']){
		case 0:
		default:
			echo "							<option value=\"0\" selected>内部クロック</option>\n";
			echo "							<option value=\"1\">外部10MHzクロック</option>\n";
			break;
		case 1:
			echo "							<option value=\"0\">内部クロック</option>\n";
			echo "							<option value=\"1\" selected>外部10MHzクロック</option>\n";
			break;
	}
	echo "						</select>\n";
}else{
	// 自社製品の場合10[MHz]クロック入力端子はない
	echo "							<input type=\"hidden\" name=\"sel_clock\" value=\"0\">\n";
	echo "							<input type=\"text\" value=\"内部クロック\" onFocus=\"this.blur()\" style=\"background:#CCCCCC\">\n";
}
?>
						</td>
					</tr>
				</table>
<?php
	$func = get_function_file_info($function_conf, $_GET['board']);
	$func_dec = hexdec($func['Func']);
	if( FUNCTION_SFN_MSK & $func_dec ){		// GPSロック時
?>
				<br/>
				<br/>
				<h3 class="table_caption">SFN設定</h3>
				<table class="list">
					<tr>
						<th width="150px">GPSロック</th>
						<td>
							<select name="gps_lock">
								<option value="0"<?php echo (($setup_conf['SFN']['GPS_Lock'] == 0)?" selected" : ""); ?>>OFF</option>
								<option value="1"<?php echo (($setup_conf['SFN']['GPS_Lock'] == 1)?" selected" : ""); ?>>ON</option>
							</select>
						</td>
					</tr>
<?php
	if( FUNCTION_SFN_SRC == ( FUNCTION_SFN_MSK & hexdec( $func['Func'] ) ) ){		// TXのみ
?>
					<tr>
						<th>ネットワークディレイ設定</th>
						<td>
							<input type="text" name="network_delay" size="8" maxlength="8" value="<?php echo sprintf( "%.3f", $setup_conf['SFN']['Maximum_Delay'] / 1000 ); ?>"/>ms
							<p class="table_notes"><?php echo sprintf("%.3f", NETWORK_DELAY_MIN / 1000 ); ?> ～ <?php echo sprintf("%.3f", NETWORK_DELAY_MAX / 1000); ?>ms</p>
						</td>
					</tr>
<?php
	}
?>
					<tr>
						<th width="150px">TS入力選択</th>
						<td>
							<select name="ts_select">
								<option value="0"<?php echo (($setup_conf['SFN']['TS_Select'] == 0)?" selected" : ""); ?>>IP</option>
								<option value="1"<?php echo (($setup_conf['SFN']['TS_Select'] == 1)?" selected" : ""); ?>>ASI</option>
							</select>
						</td>
					</tr>
					<tr>
						<th width="150px">SFN遅延出力</th>
						<td>
							<select name="sfn_mode">
								<option value="0"<?php echo (($setup_conf['SFN']['SFN_Mode'] == 0)?" selected" : ""); ?>>OFF</option>
								<option value="1"<?php echo (($setup_conf['SFN']['SFN_Mode'] == 1)?" selected" : ""); ?>>ON</option>
							</select>
						</td>
					</tr>
					<tr>
						<th width="150px">TS入力レート</th>
						<td>
							<select name="input_rate">
								<option value="0"<?php echo (($setup_conf['SFN']['Input_Rate'] == 0)?" selected" : ""); ?>>1セグメント</option>
								<option value="1"<?php echo (($setup_conf['SFN']['Input_Rate'] == 1)?" selected" : ""); ?>>13セグメント</option>
							</select>
						</td>
					</tr>
				</table>
<?php
	}
?>
				<input type="submit" value="設定">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="hidden" name="ofdm_base" value="true">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
