<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("../libfreq.php");
	require_once("ofdm_lib.php");
	
	// 設定情報の読み込み
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = my_parse_ini_file($ini_file['Setup']);
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	// Ofdm_XX.iniファイルを読み込み
	$setup_conf['FileLink']['Setup_File'] = basename($setup_conf['FileLink']['Setup_File']);
	if(file_exists(CONF_DIR ."/". $setup_conf['FileLink']['Setup_File'])){
		$rf_setup_conf = my_parse_ini_file(CONF_DIR ."/".$setup_conf['FileLink']['Setup_File']);
	}else{
		echo "INI File Not Found(". $setup_conf['FileLink']['Setup_File'] .")<br>\n";
		exit(1);
	}
	
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="ofdm_set_rf_ctrl.php" method="post" enctype="multipart/form-data">
				<h3 class="table_caption">RF設定</h3>
				<table class="list">
					<tr>
						<th width="150px">出力チャンネル</th>
						<td>
							<select name="output_ch">
<?php
foreach( $freq_table as $key => $val ){
	echo "								<option value=\"". $val ."\"" . (($setup_conf['RF']['RF'] == $val)?" selected":"") . ">".$key." ( ". $val ."MHz ) "."</option>\n";
}
?>
							</select>
						</td>
					</tr>
					<tr>
						<th>出力ゲイン(レベル)</th>
						<td>
<?php
	$max = $gain_max[ $setup_conf['OFDM']['OFDM_Mode'] ] * OUTPUT_GAIN_LSB;
	$gain = ( $max < ($setup_conf['RF']['Gain'] * OUTPUT_GAIN_LSB) ) ? $max : $setup_conf['RF']['Gain'] * OUTPUT_GAIN_LSB;
?>
							<input type="text" name="output_gain" size="5" value="<?php echo $gain; ?>" /> dBμV
							<p class="table_notes"><?php echo OUTPUT_GAIN_START; ?> ～ <?php echo sprintf("%.1f", $max); ?>dBμV</p>
						</td>
					</tr>
<?php
	$func = get_function_file_info($function_conf, $_GET['board']);
?>
<?php
	if( is_fact() ){
?>
					<tr>
						<th>CWモード</th>
						<td>
							<select name="cw_mode">
								<option value="0"<?php echo (($setup_conf['RF']['CW_Mode'] == 0)?"selected" : ""); ?>>OFF</option>
								<option value="1"<?php echo (($setup_conf['RF']['CW_Mode'] == 1)?"selected" : ""); ?>>ON</option>
							</select>
						</td>
					</tr>
<?php
	}
?>
				</table>
				<input type="submit" value="設定">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="hidden" name="ofdm_rf" value="true">
			</form>
<?php
	if( is_fact() ){
		$ofdm_version = OFDM_BOARD_VER1;
		if( isset( $rf_setup_conf[OFDM_BOARD_VER2] ) ){
			$ofdm_version = OFDM_BOARD_VER2;
		}else if( isset( $rf_setup_conf[OFDM_BOARD_VER3] ) ){
			$ofdm_version = OFDM_BOARD_VER3;
		}
?>
			<br/>
			<form action="ofdm_set_rf_ctrl.php" method="post" enctype="multipart/form-data">			
				<h3 class="table_caption">RF工場出荷設定</h3>
				<table class="list">
					<tr>
						<th width="150px">RFチャンネル中心周波数用オフセット値 (全チャンネル共通)</th>
						<td>
							<input type="text" style="ime-mode: disabled;" size="20" name="ch_offset" value="<?php echo $rf_setup_conf[$ofdm_version]['CH_Offset']; ?>"/>
						</td>
					</tr>
					<tr>
						<th>RFチャンネルゲイン1</th>
						<td>
							<input type="text" style="ime-mode: disabled;" size="20" name="rf_ch_gain1" value="<?php echo $rf_setup_conf[$ofdm_version]['RF_CH_Gain1']; ?>"/>
						</td>
					</tr>
					<tr>
						<th>RFチャンネルゲイン2</th>
						<td>
							<input type="text" style="ime-mode: disabled;" size="20" name="rf_ch_gain2" value="<?php echo $rf_setup_conf[$ofdm_version]['RF_CH_Gain2']; ?>"/>
						</td>
					</tr>
<?php
	if( isset( $rf_setup_conf[OFDM_BOARD_VER1] ) || isset( $rf_setup_conf[OFDM_BOARD_VER2] ) ){
?>					
					<tr>
						<th>出力ゲイン 最大周波数95db</th>
						<td>
							<input type="text" style="ime-mode: disabled;" size="20" name="og_max_95db" value="<?php echo $rf_setup_conf[$ofdm_version]['Level_Max_95']; ?>"/>
						</td>
					</tr>
					<tr>
						<th>出力ゲイン 最大周波数110db</th>
						<td>
							<input type="text" style="ime-mode: disabled;" size="20" name="og_max_110db" value="<?php echo $rf_setup_conf[$ofdm_version]['Level_Max_110']; ?>"/>
						</td>
					</tr>
<?php
	}else {
?>
					<tr>
						<th>出力ゲイン 最大周波数80db</th>
						<td>
							<input type="text" style="ime-mode: disabled;" size="20" name="og_max_80db" value="<?php echo $rf_setup_conf[$ofdm_version]['Gain_80dvuv']; ?>"/>
						</td>
					</tr>
					<tr>
						<th>出力ゲイン 最大周波数110db</th>
						<td>
							<input type="text" style="ime-mode: disabled;" size="20" name="og_max_110db" value="<?php echo $rf_setup_conf[$ofdm_version]['Gain_110dvuv']; ?>"/>
						</td>
					</tr>

<?php
	}
?>
					<tr>
						<th>CWモードGain Offset (db)</th>
						<td>
							<input type="text" style="ime-mode: disabled;" size="20" name="cw_offset_db" value="<?php echo $rf_setup_conf[$ofdm_version]['CW_Offset']; ?>"/>
						</td>
					</tr>
					<tr>
						<th>VCXO調整値</th>
						<td>
							<input type="text" style="ime-mode: disabled;" size="20" name="vcxo_adjust" value="<?php echo $rf_setup_conf[$ofdm_version]['VCXO_Adj']; ?>"/>
						</td>
					</tr>
					<tr>
						<th>VCXO自動調整機能</th>
						<td>
							<select name='vcxo_auto'>
								<option value="0"<?php echo (($rf_setup_conf[$ofdm_version]['VCXO_Auto'] == 0) ? " selected":""); ?>>OFF</option>
								<option value="1"<?php echo (($rf_setup_conf[$ofdm_version]['VCXO_Auto'] == 1) ? " selected":""); ?>>ON</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>デバッグモード</th>
						<td>
							<select name='debug_mode'>
								<option value="0"<?php echo (($rf_setup_conf[$ofdm_version]['Debug_Mode'] == 0) ? " selected":""); ?>>ノーマルモード(外部TS)</option>
								<option value="1"<?php echo (($rf_setup_conf[$ofdm_version]['Debug_Mode'] == 1) ? " selected":""); ?>>デバッグモード(内部TS)</option>
							</select>
						</td>
					</tr>
					<tr>
						<th>周波数カウンター65[Mhz] </th>
						<td>
							<select name='freq_65mhz'>
								<option value="0"<?php echo (($rf_setup_conf[$ofdm_version]['Freq_65Mhz'] == 0) ? " selected":""); ?>>未確定</option>
								<option value="1"<?php echo (($rf_setup_conf[$ofdm_version]['Freq_65Mhz'] == 1) ? " selected":""); ?>>確定</option>
							</select>
						</td>
					</tr>
					
				</table>				
				<input type="submit" value="設定">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="hidden" name="ofdm_rf_fact" value="true">
			</form>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
