<?php
if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	define( 'PSI_SI_TEXT_FILE',		'C:\xampp\htdocs\xampp\tmp\Setup_Psi_01' );
	define( 'PSI_SI_TEXT_FILE_SD',	'C:\xampp\htdocs\xampp\tmp\Setup_Psi_01_sd' );
	define( 'PSI_SI_BIN_FILE',		'C:\xampp\htdocs\xampp\tmp\generic_psi_bse' );
	define( 'PSI_SI_BIN_FILE_SD',	'C:\xampp\htdocs\xampp\tmp\generic_psi_bse_sd' );
	define( 'PSI_SI_BIN_CMP_NAME',	'mem.tar.gz' );
	define( 'PSI_SI_BIN_CMP_FILE',	'C:\xampp\htdocs\xampp\tmp\\' . PSI_SI_BIN_CMP_NAME );
}else{
	define( 'PSI_SI_TEXT_FILE',		'/home/pi/conf/Setup_PSI_01.ini' );
	define( 'PSI_SI_TEXT_FILE_SD',	'/usr/hirotech/conf/Setup_PSI_01.ini' );
	define( 'PSI_SI_BIN_FILE',		'/home/pi/conf/generic_psi.bse' );
	define( 'PSI_SI_BIN_FILE_SD',	'/usr/hirotech/conf/generic_psi.bse' );
	define( 'PSI_SI_BIN_CMP_NAME',	'mem.tar.gz' );
	define( 'PSI_SI_BIN_CMP_FILE',	'/tmp/' . PSI_SI_BIN_CMP_NAME );
}

define('PSI_TV_NUM_START', '1');
define('PSI_TV_NUM_END', '4');
define('PSI_TV_NUM_INC', '1');

define('PSI_REMOCON_KEY_START', '1');
define('PSI_REMOCON_KEY_END', '12');
define('PSI_REMOCON_KEY_INC', '1');

define('PSI_PROGRAM_NUM_START', 1);
define('PSI_PROGRAM_NUM_END', 8);
define('PSI_PROGRAM_NUM_INC', 1);

define('PSI_BUSINESS_PERSON_MAX', 32);
define('PSI_PROGRAM_NAME_MAX', 32);

define ('OUTPUT_GAIN_START', '95');
define ('OUTPUT_GAIN_END',   '110');
define ('OUTPUT_GAIN_LSB',   '1');

// EPGファイル（仮のファイル名）
define('EPG_FILE_PATH', SD_DIR.'\eit_epg.txt');
define('EPG_NUM_START', PSI_TV_NUM_START);
define('EPG_NUM_END', PSI_TV_NUM_END);
define('EPG_NUM_INC', PSI_TV_NUM_INC);

define('EPG_NAME_MAX', 40);
define('EPG_CONTENTS_MAX', 80);

define('TOT_ADJUST_MIN',	-10);
define('TOT_ADJUST_MAX',	10);

define('AREA_POINT_NUM_MAX',	3);
define('STATION_ID_MAX',		0x3FFFFF);
define('LOCATION_CODE_MAX',		99999);
define('HEIGHT_MIN',			0x01);
define('HEIGHT_MAX',			0xFE);
define('HEIGHT_GRD',			0x00);	// 地下
define('HEIGHT_NON',			0xFF);	// 無効
define('HEIGHT_LSB',			2.5);
define('LATITUDE_MAX',			0x36EE80);
define('LONGITUDE_MAX',			0x6DDD00);
define('BITMAP_MAX',			0xFFFFFFFF);
define('MAX_DISTANCE_MIN',		0x0);
define('MAX_DISTANCE_MAX',		0xFF);
define('MAX_DISTANCE_LSB',		10);
define('EMISSION_POWER_MAX',	0xFFFF);
define('EMISSION_POWER_LSB',	0.01);

$psi_si_binary_file = array(
		array( 'label' => "PSI TSパケットファイル",
		       'filename' => "PSI_TS_Packet.mem",
		),
		array( 'label' => "12セグメントスケジュールファイル",
		       'filename' => "Schedule_12Seg.mem",
		),
		array( 'label' => "13セグメントスケジュールファイル",
		       'filename' => "Schedule_13Seg.mem",
		),
		array( 'label' => "1セグメントスケジュールファイル",
		       'filename' => "Schedule_1Seg.mem",
		),
	);

/**
 * PSI/SI基本情報設定
 * @param type $old_config
 * @param type $new_config
 * @param type $filename
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_psi( &$old_config, $new_config, $filename ) {
	// 入力情報のチェック
	// プログラム名長チェック
	for( $tv_no = PSI_TV_NUM_START ; $tv_no <= PSI_TV_NUM_END ; $tv_no += PSI_TV_NUM_INC ){
		if( PSI_PROGRAM_NAME_MAX < mb_strlen( $new_config['tv'.$tv_no.'_prg_name'], "SJIS" )){
			return array('RESULT'  => false,
						 'MESSAGE' => 'プログラム名の入力文字数が多すぎます。最大'.PSI_PROGRAM_NAME_MAX.'文字(半角)まで登録可能です。');
		}
	}
	
	$old_config['PSI']['PSI_SW']			= $new_config['psi_sw'];
	$old_config['PSI']['REMOCON_KEY']		= $new_config['remocon_key'];
//	$old_config['PSI']['NETWORK_NAME']	    = mb_convert_encoding( $new_config['network_name'], "SJIS", "UTF-8");
//	$old_config['PSI']['TS_NAME']			= mb_convert_encoding( $new_config['ts_name'], "SJIS", "UTF-8");
	$old_config['PSI']['NETWORK_NAME']	    = $new_config['network_name'];
	$old_config['PSI']['TS_NAME']			= $new_config['ts_name'];
	$old_config['PSI']['AREA_CODE']			= $new_config['area_code'];
	
	if( 63 == $new_config['area_code'] ){
		if( !check_number_hex($new_config['area_code_nit'], 1.5) ){
			return array('RESULT'  => false,
						 'MESSAGE' => '地域番号には3桁(12bit)の16進数を設定してください。');
		}
		$old_config['PSI']['AREA_CODE_NIT']			= $new_config['area_code_nit'];
	}
	
	$old_config['PSI']['AREA_BUS_PERSON']	= $new_config['area_bus_person'];
	$old_config['PSI']['PREFECTURES_FLAG']	= $new_config['prefectures_flag'];
	if( isset( $new_config['tot_adjust'] ) ){
		$old_config['PSI']['TOT_ADJ']			= $new_config['tot_adjust'];
	}
	
	for( $tv_no = PSI_TV_NUM_START ; $tv_no <= PSI_TV_NUM_END ; $tv_no += PSI_TV_NUM_INC ){
		$old_config['TV'.$tv_no]['STATUS']   = $new_config['tv'.$tv_no.'_prg_status'];
		$old_config['TV'.$tv_no]['NUMBER']   = $new_config['tv'.$tv_no.'_prg_number'];
		$old_config['TV'.$tv_no]['KIND']     = $new_config['tv'.$tv_no.'_prg_kind'];
//		$old_config['TV'.$tv_no]['NAME']     = mb_convert_encoding( $new_config['tv'.$tv_no.'_prg_name'], "SJIS", "UTF-8");
		$old_config['TV'.$tv_no]['NAME']     = $new_config['tv'.$tv_no.'_prg_name'];
		$old_config['TV'.$tv_no]['SCRAMBLE'] = $new_config['tv'.$tv_no.'_prg_scramble'];
		$old_config['TV'.$tv_no]['COPY']     = $new_config['tv'.$tv_no.'_prg_copy'];
	}
	
	$old_config['ONESEG']['STATUS']   = $new_config['oneseg_prg_status'];
	// $old_config['ONESEG']['NUMBER']   = $new_config['oneseg_prg_number'];
	$old_config['ONESEG']['KIND']     = $new_config['oneseg_prg_kind'];
//	$old_config['ONESEG']['NAME']     = mb_convert_encoding( $new_config['oneseg_prg_name'], "SJIS", "UTF-8");
	$old_config['ONESEG']['NAME']     = $new_config['oneseg_prg_name'];
	$old_config['ONESEG']['SCRAMBLE'] = $new_config['oneseg_prg_scramble'];
	$old_config['ONESEG']['COPY']     = $new_config['oneseg_prg_copy'];
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * PSI/SI情報設定
 * @param type $old_config
 * @param type $new_config
 * @param type $filename
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function psi_si_save_conf( &$old_config, $new_config, $filename ) {
	// 入力情報反映
	$old_config['PSI']['PSI_SW'] = $new_config['psi_si_file_type'];

	// ファイルへ保存 RAMとSDに保存する
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * EPGの設定情報保存
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_epg( &$old_config, $new_config, $filename ){
	// 入力情報のチェック
	if($new_config['status'] == 1){		// 固定データのチェック
		// 番組名・内容長チェック
		for( $epg_no = EPG_NUM_START ; $epg_no <= EPG_NUM_END ; $epg_no += EPG_NUM_INC ){
			if( EPG_NAME_MAX < mb_strlen( $new_config['epg_name'][$epg_no], "SJIS" ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '番組名の入力文字数が多すぎます。最大'.EPG_NAME_MAX.'文字(半角)まで登録可能です。');
			}
			if( EPG_CONTENTS_MAX < mb_strlen( $new_config['epg_cont'][$epg_no], "SJIS" ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '内容の入力文字数が多すぎます。最大'.EPG_CONTENTS_MAX.'文字(半角)まで登録可能です。');
			}
		}
	}
	
	// 設定方法後毎の設定
	if($new_config['status'] == 0){
		// 無し
	}else if($new_config['status'] == 1){
		// 固定
		for( $epg_no = EPG_NUM_START ; $epg_no <= EPG_NUM_END ; $epg_no += EPG_NUM_INC ){
			//$old_config['TV'.$epg_no]['EPG_TITLE'] = mb_convert_encoding( $new_config['epg_name'][$epg_no], "SJIS", "UTF-8");
			//$old_config['TV'.$epg_no]['EPG_DATA'] = mb_convert_encoding( $new_config['epg_cont'][$epg_no], "SJIS", "UTF-8");
			$old_config['TV'.$epg_no]['EPG_TITLE'] = $new_config['epg_name'][$epg_no];
			$old_config['TV'.$epg_no]['EPG_DATA'] = $new_config['epg_cont'][$epg_no];
			
			// ワンセグ設定
			//$old_config['ONESEG']['EPG_TITLE'] = mb_convert_encoding( $new_config['epg_name'][EPG_NUM_END + 1], "SJIS", "UTF-8");
			//$old_config['ONESEG']['EPG_DATA'] = mb_convert_encoding( $new_config['epg_cont'][EPG_NUM_END + 1], "SJIS", "UTF-8");
			$old_config['ONESEG']['EPG_TITLE'] = $new_config['epg_name'][EPG_NUM_END + 1];
			$old_config['ONESEG']['EPG_DATA'] = $new_config['epg_cont'][EPG_NUM_END + 1];
		}
	}else{
		// ファイル 
		$old_config['EPG_FILE_PID']['DVB_NO'] = $new_config['dvb_ts_no'];
		
		//ファイルは別途アップロード処理を行てそこでパスなどを設定する
	}
	
	$old_config['EPG']['EPG_SW'] = $new_config['status'];
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * サービスIDの計算
 * @param type $area_code			地域番号
 * @param type $area_bus_person		地域事業者識別
 * @param type $prefectures_flag	県複フラグ
 * @param type $prg_king			サービス種別
 * @param type $prg_number			番号
 * @return	計算したサービスID
 */
function calcServiceID($area_code, $area_bus_person, $prefectures_flag, $prg_king, $prg_number){
	$ret = ( $area_code & 0x3F ) << 10;
	$ret += ( $prefectures_flag & 0x01 ) << 9;
	$ret += ( $prg_king & 0x03 ) << 7;
	$ret += ( $area_bus_person & 0x0F ) << 3;
	$ret += ( ( $prg_number - 1 ) & 0x07 ) << 0;
	
	return $ret;
}

/**
 * PSI/SI基本情報設定
 * @param type $old_config
 * @param type $new_config
 * @param type $filename
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_psi_area( &$old_config, $new_config, $filename ) {
	// 入力情報のチェック
	if( ( false == check_number_hex( $new_config[ 'station_id' ], 3 ) ) ||
		( !( ( 0 <= hexdec( $new_config[ 'station_id' ] ) ) &&
		   ( hexdec( $new_config[ 'station_id' ] ) <= STATION_ID_MAX ) ) ) ){
		return array('RESULT'  => false,
					 'MESSAGE' => 'エリア放送送信局識別IDは16進数で '. sprintf("0x%06X から 0x%06X", 0, STATION_ID_MAX) .' の範囲で入力してください。');
	}
	
	if( ( false == check_number( $new_config[ 'location_code' ] ) ) ||
		( !( ( 0 <= $new_config[ 'location_code' ] ) &&
		   ( $new_config[ 'location_code' ] <= LOCATION_CODE_MAX ) ) ) ){
		return array('RESULT'  => false,
					 'MESSAGE' => '全国地方公共団体コードは10進数で '. sprintf("%05d から %05d", 0, LOCATION_CODE_MAX) .' の範囲で入力してください。');
	}
	
	for( $i = 1 ; $i <= $new_config[ 'num_of_emission_point' ] ; $i++ ){
		if( 0 != $new_config[ 'area_pattern_flag_' . $i ] ) {
/*
			if( ( false == check_number_hex( $new_config[ 'bitmap_' . $i ], 4 ) ) ||
				( !( ( 0 <= hexdec( $new_config[ 'bitmap_' . $i ] ) ) &&
				   ( hexdec( $new_config[ 'bitmap_' . $i ] ) <= BITMAP_MAX ) ) ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => 'エリアパターンビットマップは16進数で '. sprintf("0x%08X から 0x%08X", 0, BITMAP_MAX) .' の範囲で入力してください。');
			}
 */
			if( ( false == check_number_hex( $new_config[ 'bitmap_' . $i ], 4 ) ) || 
				( 8 != strlen( $new_config[ 'bitmap_' . $i ] ) ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => 'エリアパターンビットマップは16進数で '. sprintf("0x%08X から 0x%08X", 0, BITMAP_MAX) .' の範囲で入力してください。');
			}
			
			if( ( false == check_number( $new_config[ 'max_distance_' . $i ] ) ) ||
				( !( ( MAX_DISTANCE_MIN * MAX_DISTANCE_LSB <= $new_config[ 'max_distance_' . $i ] * MAX_DISTANCE_LSB ) &&
				   ( $new_config[ 'max_distance_' . $i ] * MAX_DISTANCE_LSB <= MAX_DISTANCE_MAX * MAX_DISTANCE_LSB ) ) ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '最大受信距離は10進数で '. sprintf("%dm から %dm", MAX_DISTANCE_MIN * MAX_DISTANCE_LSB, MAX_DISTANCE_MAX * MAX_DISTANCE_LSB) .' の範囲で入力してください。');
			}
		}
		
		if( 0 != $new_config[ 'emission_power_flag_' . $i ] ) {
			if( ( false == check_number_hex( $new_config[ 'emission_power_' . $i ], 4 ) ) ||
				( !( ( 0 <= hexdec( $new_config[ 'emission_power_' . $i ] ) ) &&
				   ( hexdec($new_config[ 'emission_power_' . $i ] ) <= EMISSION_POWER_MAX ) ) ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '出力レベルは16進数で '. sprintf("0x%04X から 0x%04X", 0, EMISSION_POWER_MAX) .' の範囲で入力してください。');
			}
		}
		
		if( 0 != $new_config[ 'geodetic_system_' . $i ] ) {
			if( 2 == $new_config[ 'height_flag_' . $i ] ) {	// 値を指定している場合のみチェックする
				if( ( false == check_number_decimal( $new_config[ 'height_' . $i ], 1 ) ) ||
					( !( ( HEIGHT_MIN * HEIGHT_LSB <= $new_config[ 'height_' . $i ] ) &&
					   ( $new_config[ 'height_' . $i ] <= HEIGHT_MAX * HEIGHT_LSB ) ) ) ){
					return array('RESULT'  => false,
								 'MESSAGE' => '地上高は10進数で '. sprintf("%.1f から %.1f", HEIGHT_MIN * HEIGHT_LSB, HEIGHT_MAX * HEIGHT_LSB) .' の範囲で入力してください。');
				}
			}
			
			if( ( false == check_number_hex( $new_config[ 'latitude_' . $i ], 3 ) ) ||
				( !( ( 0 <= hexdec( $new_config[ 'latitude_' . $i ] ) ) &&
				   ( hexdec( $new_config[ 'latitude_' . $i ] ) <= LATITUDE_MAX ) ) ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '緯度は16進数で '. sprintf("0x%06X から 0x%06X", 0, LATITUDE_MAX) .' の範囲で入力してください。');
			}
			
			if( ( false == check_number_hex( $new_config[ 'logitude_' . $i ], 3 ) ) ||
				( !( ( 0 <= hexdec( $new_config[ 'logitude_' . $i ] ) ) &&
				   ( hexdec( $new_config[ 'logitude_' . $i ] ) <= LONGITUDE_MAX ) ) ) ){
				return array('RESULT'  => false,
							 'MESSAGE' => '経度は16進数で '. sprintf("0x%06X から 0x%06X", 0, LONGITUDE_MAX) .' の範囲で入力してください。');
			}
		}
	}
	
	// 値の設定
	$old_config['AREA_BROAD']['ENABLE']					= $new_config[ 'psi_area_enable' ];
	$old_config['AREA_BROAD']['STATION_ID']				= $new_config[ 'station_id' ];
	$old_config['AREA_BROAD']['LOCATION_CODE']			= $new_config[ 'location_code' ];
	$old_config['AREA_BROAD']['NUM_OF_EMISSION_POINT']	= $new_config[ 'num_of_emission_point' ];
	
	for( $i = 1 ; $i <= $new_config[ 'num_of_emission_point' ] ; $i++ ){
		$old_config['ADD_EMISSION'.$i]['OPEN_AIR_FLAG']		= $new_config[ 'open_air_flag_'.$i ];
		$old_config['ADD_EMISSION'.$i]['CLOSED_SPACE_FLAG']	= $new_config[ 'closed_space_flag_'.$i ];
		
		$old_config['ADD_EMISSION'.$i]['AREA_PATTERN_FLAG']	= $new_config[ 'area_pattern_flag_'.$i ];
		if( 0 != $new_config[ 'area_pattern_flag_' . $i ] ) {
			$old_config['ADD_EMISSION'.$i]['BITMAP']			= sprintf( "%08X", hexdec( $new_config[ 'bitmap_'.$i ] ) );
//			$old_config['ADD_EMISSION'.$i]['MAX_DISTANCE']		= sprintf( "%02X",  floatval($new_config[ 'max_distance_'.$i ]) );
			$old_config['ADD_EMISSION'.$i]['MAX_DISTANCE']		= intval($new_config[ 'max_distance_'.$i ] );
		}
		
		$old_config['ADD_EMISSION'.$i]['EMISSION_POWER_FLAG']	= $new_config[ 'emission_power_flag_'.$i ];
		if( 0 != $new_config[ 'emission_power_flag_' . $i ] ) {
			$old_config['ADD_EMISSION'.$i]['EMISSION_POWER']	= sprintf("%04X", hexdec( $new_config[ 'emission_power_'.$i ] ) );
		}
		
		$old_config['ADD_EMISSION'.$i]['GEODETIC_SYSTEM']	= $new_config[ 'geodetic_system_'.$i ];
		if( 0 != $new_config[ 'geodetic_system_' . $i ] ) {
			$old_config['ADD_EMISSION'.$i]['NORTH_SOUTH_FLAG']	= $new_config[ 'north_south_flag_'.$i ];
			$old_config['ADD_EMISSION'.$i]['WEST_EAST_FLAG']	= $new_config[ 'west_east_flag_'.$i ];
			
			if( 0 == $new_config[ 'height_flag_' . $i ] ) {			// 無効
				$old_config['ADD_EMISSION'.$i]['HEIGHT']		= sprintf( "%02X", HEIGHT_NON );
			}else if( 1 == $new_config[ 'height_flag_' . $i ] ) {	// 地下
				$old_config['ADD_EMISSION'.$i]['HEIGHT']		= sprintf( "%02X", HEIGHT_GRD );
			}else{													// 値指定
				$old_config['ADD_EMISSION'.$i]['HEIGHT']		= sprintf( "%02X", intval( $new_config[ 'height_'.$i ] / HEIGHT_LSB ) );
			}
			$old_config['ADD_EMISSION'.$i]['LATITUDE']		= sprintf( "%06X", hexdec( $new_config[ 'latitude_'.$i ] ) );
			$old_config['ADD_EMISSION'.$i]['LONGITUDE']		= sprintf( "%06X", hexdec( $new_config[ 'logitude_'.$i ] ) );
		}
	}
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}
?>
