<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoip_lib.php");
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
?>
		<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
		<style>
		<!--
			body{
				background-color: #fff;
				-webkit-text-size-adjust: 100%;
				margin:0;
				border: #FFF 0px solid;
			}
			.header{
				background-color:#6B8E23;
				color: #333333;
				margin:0;
				padding: 0.5em;
				background-repeat:repeat-x;
			}
			.company{
			}
			.model{
				font-family: Verdana;
				font-weight: bold;
				text-align: center;
				float:left;
			}
			.version{
				text-align: right;
				float:none;
			}
			.navi{
				color: #7BEE68;
				background-color: #304000;
				padding: 0.5em;
			}
			.operation{
				background-color:#FFF;
				color: #333333;
				margin:0;
				padding: 0em;
				background-repeat:repeat-x;
			}
			.footer{
				background-color:#6B8E23;
				color: #333333;
				margin:0;
				padding:0.5em;
				background-repeat:repeat-x;
			}
			.page_title{
				font-size: 15px;
				color: #000;
				background-color: #FFF;
				padding-left: 0.5em;
				padding-right:0.5em;
				font-weight: bold;
			}
			.page_body{
				margin: 0em;
				padding-left: 0.5em;
				padding-right: 0.5em;
			}
			.form_title{
				font-size: 15px;
				color: #004000;
				padding: 0.2em;
				background-color: #B5E61D;
				margin: 0px;
			}
			.form_input{
				font-size: 15px;	
				padding: 0.2em;
				background-color: #FFF;
				margin: 0px;
			}
			.form_note{
				font-size: 10px;	
				color: #F00;
				margin: 0px;
				padding-left: 0.5em;
				padding-right: 0.5em;
			}
			article{
				margin-bottom: 0.2em;
			}
			.footer_version{
				text-align: right;
				font-size:12px;
				padding:0.5em;
			}
		-->
		</style>
	</head>
	<body>
		<header class="page_title">
			<h1>VoIP Rx設定</h1>
		</header>
		<div class="page_body">
			<form action="./rvoip_network_set_ctrl.php" method="post">
				<article>
					<h2 class="form_title">状態</h2>
					<div class="form_input">
						<select name='status'>
							<option value="0"<?php echo (($setup_conf['VOIPRx']['Status'] == 0) ? " selected":""); ?>>停止</option>
							<option value="1"<?php echo (($setup_conf['VOIPRx']['Status'] == 1) ? " selected":""); ?>>再生</option>
						</select>
					</div>
				</article>
				
				<article>
					<h2 class="form_title">MACアドレス</h2>
					<div class="form_input">
						<?php echo $setup_conf['VOIPRx']['MAC']; ?>
					</div>
				</article>
				
				<article>
					<h2 class="form_title">受信IPアドレス</h2>
					<div class="form_input">
						<input type="text" name="setting_rx_ip" value="<?php echo $setup_conf['VOIPRx']['RxIP']; ?>">
					</div>
				</article>
				
				<article>
					<h2 class="form_title">マルチキャスト動作</h2>
					<div class="form_input">
						<input type="checkbox" name="enable_multicast" <?php echo ($setup_conf['VOIPRx']['EnableMultiCast'] == 1) ? "checked=\"checked\"" : "" ; ?>>有効</input>
					</div>
				</article>
				
				<article>
					<h2 class="form_title">マルチキャストIP</h2>
					<div class="form_input">
						<input type="text" name="setting_multicast" value="<?php echo $setup_conf['VOIPRx']['MultiCast']; ?>" />
					</div>
					<h3 class="form_note">※ 224.0.0.0 ～ 224.0.0.255は予約領域となります。基本的には使用しないでください。</h3>
				</article>
				
				<article>
					<h2 class="form_title">ポート番号</h2>
					<div class="form_input">
						<input type="text" name="setting_port" value="<?php echo $setup_conf['VOIPRx']['Port']; ?>" />
					</div>
				</article>
				
				<article>
					<h2 class="form_title">パケットサイズ</h2>
					<div class="form_input">
						<input type="text" name="setting_ipbuffsize" value="<?php echo $setup_conf['VOIPRx']['IPBuffSize']; ?>" />
					</div>
				</article>
				
				<input type="hidden" name="network_base" value="true" />
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>" />
				<input type="submit" value="設定" />
			</form>
		</div>
		<footer>
			<h2 class="footer_version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h2>
		<footer>
	</body>
</html>
