<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoip_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
	
	if( isset( $_GET['n'] ) ){
		$stream_no = $_GET['n'] - 1;
	}else{
		$stream_no = 0;
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
?>
	<script type="text/javascript">
	<!--
		$(function(){
			jQuery.event.add(window, "load", function(){
				$(this).updateStream(0);
				$(this).updateUseRedundant(<?php echo $setup_conf['RVOIPRx']['UseRedundant']; ?>);
			});
			
			$(".stream_select").change(function(){
				
				$(this).updateStream($('.stream_select option:selected').val());
			});
			
			jQuery.fn.extend({
				updateStream:function(sel){

				}
			});
			
			$(".use_redundant").change(function(){
				var sel = $(".use_redundant").val();
				$(this).updateUseRedundant(sel);
			});
			
			jQuery.fn.extend({
				updateUseRedundant:function(sel){
					if( sel == '1' ){
						$(".stream_redundant").show();
					}else{
						$(".stream_redundant").hide();
					}
				}
			});
		});
	-->
	</script>
	</head>
	<body>
		<div class="page_body">
			<form action="./rvoip_network_set_ctrl.php" method="POST">
				<h3 class="table_caption"><?php echo sprintf( $lng['TC0'], $stream_no + 1 ); ?></h3>
				<table>
<?php
	$i = $stream_no;
?>					<tr class="stream<?php echo $i; ?>">
						<th><?php echo $lng['TB0_TH1'] ?></th>
						<td>
							<input name="rx_your_ip_addr<?php echo $i; ?>" type="text" value="<?php echo $setup_conf['STREAM' . $i]['RxYourIPAddr'] ?>" />
						</td>
					</tr>
					<tr class="stream<?php echo $i; ?>">
						<th><?php echo $lng['TB0_TH2'] ?></th>
						<td>
							<input name="rx_udp_port<?php echo $i; ?>" type="text" value="<?php echo $setup_conf['STREAM' . $i]['UdpPort'] ?>" size="6" />
						</td>
					</tr>
					<tr class="stream<?php echo $i; ?>">
						<th><?php echo $lng['TB0_TH4'] ?></th>
						<td>
							<input name="saving_time<?php echo $i; ?>" type="text" value="<?php echo $setup_conf['STREAM' . $i]['SavingTime'] ?>" size="6" />ms
							<p class="table_notes"><?php echo sprintf( $lng['TB0_NOTE1'], SAVING_TIME_MIN, SAVING_TIME_MAX, 10 ); ?></p>
						</td>
					</tr>
<?php
		if(is_debug()){
?>
					<tr class="stream<?php echo $i; ?>">
						<th><?php echo $lng['TB0_TH5'] ?></th>
						<td>
							0x<input name="rx_pid<?php echo $i; ?>" type="text" value="<?php echo $setup_conf['STREAM' . $i]['MesureVideoPid'] ?>" size="6" />
							<p class="table_notes"><?php echo $lng['TB0_NOTE2']; ?></p>
						</td>
					</tr>
<?php
		}
?>
				</table>
				<!-- SSRCは16進数で0x67452301とする -->
				<input type="hidden" name="rx_ssrc0" value="1732584193">
				<input type="hidden" name="src" value="true">
				<input type="hidden" name="stream_no" value="<?php echo $i;?>">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT']; ?>">
			</form>
			<br/>
			<br/>
			
			<form action="./rvoip_network_set_ctrl.php" method="POST">
				<h3 class="table_caption"><?php echo $lng['TC1_COUNTER_RESET']; ?></h3>
				<table>
					<tr class="stream<?php echo $i; ?>">
						<th width="150"><?php echo $lng['TB1_TH_SUBMIT'] ?></th>
						<td>
							<input type="submit" value="<?php echo $clng['RESET']; ?>">
							<p class="table_notes"><?php echo $lng['TB0_NOTE_RESET']; ?></p>
						</td>
					</tr>					
				</table>
				<input type="hidden" name="counter_reset" value="true">
				<input type="hidden" name="stream_no" value="<?php echo $i;?>">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
			</form>

			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
