<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoip_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	$loading = false;

	// ネットワーク情報の読み込み
	if( is_file( NETWORK_CONF ) ){		// ネットワーク情報
		$network_conf = my_parse_ini_file( NETWORK_CONF );
		if( NULL == $network_conf ){
			echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
			echo "Now loading...";
			exit(1);
		}
	}else{
		//echo "INI File Not Found(".NETWORK_CONF.")<br>\n";
		//exit(1);
		$loading = true;
	}
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			echo "INI File Not Found(". $ini_file .")<br>\n";
			exit(1);
		}
	}
	$boards = preg_split( "/_/" , $_GET['board'] );
	$board_id = intval( $boards[1] );
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "Loading...";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
<?php	if( isset( $_GET['bk'] ) && ( 't' == $_GET['bk'] ) ){ show_back_button(); } ?>
<?php
	if( 1 < $board_id ){
?>
			<h3 class="table_caption"><?php echo sprintf($lng['TC0_ID'], $board_id - 1); ?></h3>
<?php
	}else{
?>
			<h3 class="table_caption"><?php echo $lng['TC0'] ?></h3>
<?php
	}
?>
			<h4 class="table_caption"><?php echo $lng['TC0_0'] ?></h4>
			<table class="list">
				<tr>
					<th width="180px"><?php echo $lng['TB0_TH0'] ?></th>
					<td class=<?php echo ($status_conf['RVOIPRx']['Status'])? "\"on\"":"\"off\""; ?>><?php echo ($status_conf['RVOIPRx']['Status'])? $lng['LBL_PLAY']:$lng['LBL_STOP']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH1'] ?></th>
					<td class=<?php echo ($status_conf['RVOIPRx']['Link'])? "\"on\"":"\"off\""; ?>>
<?php
	if( $status_conf['RVOIPRx']['Link'] == 0 ){
?>
						Link Down
<?php
	}else{
		$speed = array( 1 => '10BASE', 2 => '100BASE', 3 => '1000BASE' );
		$duples = array( 0 => 'Full', 1 => 'Half' );
?>
						<?php echo $speed[ $status_conf['RVOIPRx']['Speed'] ]; ?> - <?php echo $duples[ $status_conf['RVOIPRx']['Duplex'] ]; ?>
						
<?php
	}
?>
					</td>
				</tr>
				
				<tr>
					<th><?php echo $lng['TB0_TH2'] ?></th>
					<td class="on"><?php echo $status_conf['RVOIPRx']['MAC']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH3'] ?></th>
					<td class="on"><?php echo $status_conf['RVOIPRx']['RxIP']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH4'] ?></th>
					<td class="on"><?php echo $status_conf['RVOIPRx']['Mask']; ?></td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH5'] ?></th>
					<td class="on"><?php echo $status_conf['RVOIPRx']['GwIP']; ?></td>
				</tr>
<?php
	if(is_debug()){
?>
				<tr>
					<th><?php echo $lng['TB0_TH6'] ?></th>
					<td class="on"><?php echo $status_conf['RVOIPRx']['GwMAC']; ?></td>
				</tr>
<?php
	}
?>
				<tr>
					<th><?php echo $lng['TB0_TH7'] ?></th>
					<td class="on"><?php echo $firewall_label[ $status_conf['RVOIPRx']['Firewall'] ]; ?></td>
				</tr>
				
			</table>
			<br/>
			<br/>
			<h4 class="table_caption"><?php echo $lng['TC1_1'] ?></h4>
			<table class="list">
				<tr>
					<th><?php echo $lng['TB1_TH0'] ?></th>
					<td class=<?php echo ( 0 < $status_conf['RVOIPRx']['RxRecRate'] )? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 <  $status_conf['RVOIPRx']['RxRecRate'] ) ? $lng['LBL_IP_RECV'] : $lng['LBL_IP_NOT_RECV']; ?>
					</td>
				</tr>
				<tr>
<?php
	$bitrate_max = ( $status_conf['RVOIPRx']['RxRecRate'] <  TS_IP_BITRATE_MAX ) ? TS_IP_BITRATE_MAX : TS_IP_BITRATE_MAX_G ;
	$bitrate = $status_conf['RVOIPRx']['RxRecRate'] / 1000 / 1000;
?>
					<th width="180px" rowspan="2"><?php echo $lng['TB1_TH1'] ?><p class="table_notes">range : 0 - <?php echo sprintf("%d", $bitrate_max / 1000 / 1000) ?> Mbps</p></th>
					<td class=<?php echo ( 0 < $status_conf['RVOIPRx']['RxRecRate'] )? "\"on\"":"\"off\""; ?>>
						<?php echo sprintf( "%3.3f" , $bitrate ); ?> Mbps
					</td>
				</tr>
				<tr>
					<td class="graph_base" style="padding-top: 0.5em; padding-bottom: 0.5em;">
						<?php draw_graph( TS_BITRATE_MIN, $bitrate_max, $status_conf['RVOIPRx']['RxRecRate'], "graph_div_ok" ); ?>
					</td>
				</tr>
<?php
	$num = get_voip_stream_num();
	$error = 0;
	for( $i = 0 ; $i < $num ; $i++ ){
		if( $status_conf['STREAM' . $i]['RxBufferOver'] != 0 ){
			$error = 1;
			break;
		}
	}
	if( 0 != $error ){
		
	}
?>
				<tr>
					<th><?php echo $lng['TB1_TH2'] ?></th>
					<td class=<?php echo ( 0 == $error )? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $error ) ? $lng['LBL_RECV_OK'] : $lng['LBL_RECV_BUF_OVR']; ?>
					</td>
				</tr>
			</table>
			<br/>
			<br/>
			<h4 class="table_caption"><?php echo $lng['TC2_1'] ?></h4>
			<table class="list">
				<tr>
					<th style="text-align: center; width : 30px ; padding: 0px;"><?php echo $lng['TB2_TH0'] ?></th>
					<th style="text-align: center; width : 50px ;"><?php echo $lng['TB2_TH1'] ?></th>
					<th style="text-align: center;" colspan="2"><?php echo $lng['TB2_TH2'] ?></th>
					<th style="text-align: center; width : 50px ; padding: 0px;"><?php echo $lng['TB2_TH3'] ?></th>
					
				</tr>
<?php
	for( $i = 0 ; $i < $num ; $i++ ){
?>				
				<tr>
					<td class="on" style="text-align: center; width : 0px ; padding: 0px;"><?php echo $i + 1; ?></td>
					<td class=<?php echo ($status_conf['STREAM' . $i]['ValidRtpPacket'])? "\"on\"":"\"off\""; ?> style="text-align: center;">
						<?php echo ($status_conf['STREAM' . $i]['ValidRtpPacket'])? $lng['LBL_RECV']:$lng['LBL_NOT_RECV']; ?>
					</td>
					<td class="on" style="text-align: center; width:110px; padding: 0px;"><?php echo sprintf( "%.3f", $status_conf['STREAM' . $i]['TsBitRate'] / 1000000 ); ?> Mbps</td>
					<td class="graph_base"><?php draw_graph( TS_BITRATE_MIN, TS_BITRATE_MAX, $status_conf['STREAM' . $i]['TsBitRate'], "graph_div_ok" ); ?></td>
					<td style="text-align: center; width : 0px ; padding: 0px; "><a style="text-decoration: none" href="./rvoip_status_detail.php?board=<?php echo $_GET['board']; ?>&n=<?php echo $i + 1; ?>"><?php echo $lng['LBL_DISPLAY'] ?></a></td>
				</tr>
<?php
	}
?>
			</table>
<?php
	$boards = preg_split( "/_/" , $_GET['board'] );
	$board_id = intval( $boards[1] );
	if( 4 == $board_id ){		// Sub IDが4の場合にのみ設定画面を表示
?>
			<br/>
			<br/>
			<h4 class="table_caption">ASIステータス</h4>
			<table class="list">
				<tr>
					<th>ASI選択0</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiSelect0'] ) ? 'ポート1 IP選択' : '外部TS選択'; ?></td>
				</tr>
				<tr>
					<th>ASI選択1</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiSelect1'] ) ? 'ポート2 IP選択' : '外部TS選択'; ?></td>
				</tr>
				<tr>
					<th>ASI選択2</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiSelect2'] ) ? 'ポート3 IP選択' : '外部TS選択'; ?></td>
				</tr>
				<tr>
					<th>ASI選択3</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiSelect3'] ) ? 'ポート4 IP選択' : '外部TS選択'; ?></td>
				</tr>
				<tr>
					<th>ASI0入出力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiTxMode0'] ) ? 'ASI入力' : 'ASI出力'; ?></td>
				</tr>
				<tr>
					<th>ASI1入出力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiTxMode1'] ) ? 'ASI入力' : 'ASI出力'; ?></td>
				</tr>
				<tr>
					<th>ASI2入出力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiTxMode2'] ) ? 'ASI入力' : 'ASI出力'; ?></td>
				</tr>
				<tr>
					<th>ASI0入力</th>
					<td class=<?php echo ($status_conf['RVOIPRx']['AsiInPresent0'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $status_conf['RVOIPRx']['AsiInPresent0'] ) ? 'なし' : 'あり'; ?>
					</td>
				</tr>
				<tr>
					<th>ASI0入力</th>
					<td class=<?php echo ($status_conf['RVOIPRx']['AsiInPresent1'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $status_conf['RVOIPRx']['AsiInPresent1'] ) ? 'なし' : 'あり'; ?>
					</td>
				</tr>
				<tr>
					<th>ASI0入力</th>
					<td class=<?php echo ($status_conf['RVOIPRx']['AsiInPresent2'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $status_conf['RVOIPRx']['AsiInPresent2'] ) ? 'なし' : 'あり'; ?>
					</td>
				</tr>
				<tr>
					<th>外部TS入力</th>
					<td class=<?php echo ($status_conf['RVOIPRx']['ExtTsPresent'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $status_conf['RVOIPRx']['ExtTsPresent'] ) ? 'なし' : 'あり'; ?>
					</td>
				</tr>
				<tr>
					<th>ASI0入力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiPacketMode0'] ) ? 'バースト' : 'パケット（最高速）'; ?></td>
				</tr>
				<tr>
					<th>ASI1入力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiPacketMode1'] ) ? 'バースト' : 'パケット（最高速）'; ?></td>
				</tr>
				<tr>
					<th>ASI2入力モード</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['AsiPacketMode2'] ) ? 'バースト' : 'パケット（最高速）'; ?></td>
				</tr>
				<tr>
					<th>ASI0パケットサイズ</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['Asi204Byte0'] ) ? '188' : '204'; ?> Byte</td>
				</tr>
				<tr>
					<th>ASI1パケットサイズ</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['Asi204Byte1'] ) ? '188' : '204'; ?> Byte</td>
				</tr>
				<tr>
					<th>ASI2パケットサイズ</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['Asi204Byte2'] ) ? '188' : '204'; ?> Byte</td>
				</tr>
				<tr>
					<th>外部TSパケットサイズ</th>
					<td><?php echo ( 0 == $status_conf['RVOIPRx']['ExtTs204Byte'] ) ? '188' : '204'; ?> Byte</td>
				</tr>
			</table>
<?php
	}
?>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
