<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoip_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		// Statusファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			echo "INI File Not Found(". $ini_file .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "Loading...";
		echo "</body></html>";
		exit();
	}
	$i = $_GET['n'] - 1;
?>
		<div class="page_body">
			<h3 class="table_caption"><?php echo sprintf( $lng['TC0'], $i + 1 ); ?></h3>
			<table>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH0'];?></th>
					<td class=<?php echo ($status_conf['STREAM' . $i]['ValidRtpPacket'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['STREAM' . $i]['ValidRtpPacket'])? $lng['LBL_RECV']:$lng['LBL_NOT_RECV']; ?>
					</td>
				</tr>
<?php
/*
				<tr class="stream<?php echo $i; ?>">
					<th>TS出力ポート</th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['TsPort'] ?>
					</td>
				</tr>
*/
?>
				<tr class="stream<?php echo $i; ?>">
					<th width="180px"><?php echo $lng['TB0_TH1'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['RxYourIPAddr'] ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH2'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['UdpPort'] ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH3'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['RxPacketSize'] ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH4'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['RxTsPIp'] ?>
					</td>
				</tr>
<!--				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH5'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['Ssrc'] ?>
					</td>
				</tr>
-->
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH6'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['RxRowFecValue'] ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH7'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['RxColumnFecValue'] ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th rowspan="2"><?php echo $lng['TB0_TH8'];?></th>
					<td class="on"><?php echo sprintf( "%.3f", $status_conf['STREAM' . $i]['TsBitRate'] / 1000000 ); ?> Mbps</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<td class="graph_base" style="padding-top: 0.5em; padding-bottom: 0.5em;">
						<?php draw_graph( TS_BITRATE_MIN, TS_BITRATE_MAX, $status_conf['STREAM' . $i]['TsBitRate'], "graph_div_ok" ); ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th rowspan="2"><?php echo $lng['TB0_TH9'];?></th>
					<td class="on">
<?php
	$buffer_recv_size = $status_conf['STREAM' . $i]['WaterGuage'] * $status_conf['STREAM' . $i]['RxPacketSize'] * $status_conf['STREAM' . $i]['RxTsPIp'];
	if( 0 < $status_conf['STREAM' . $i]['TsBitRate'] ) {
		$buff_msec = ( ( $buffer_recv_size * 8 ) / $status_conf['STREAM' . $i]['TsBitRate'] ) * 1000;
	}else{
		$buff_msec = 0.0;
	}
?>
						<?php echo sprintf( "%.1f", $buff_msec ); ?> ms / <?php echo $setup_conf['STREAM0']['SavingTime'] ?> ms
					</td>
				</tr>
				<tr>
					<td class="graph_base" style="padding-top: 0.5em; padding-bottom: 0.5em;">
<?php
	if( $buff_msec > $setup_conf['STREAM0']['SavingTime'] ){
?>
						<?php draw_graph( 0, 1200, $buff_msec, "graph_div_ng" ); ?>
						<?php draw_graph( 0, $buff_msec, $setup_conf['STREAM0']['SavingTime'], "graph_div_ok" ); ?>
<?php
	}else{
		if( 0 < $buff_msec ) {
?>
						<?php draw_graph( 0, 1200, $setup_conf['STREAM0']['SavingTime'], "graph_div_white" ); ?>
						<?php draw_graph( 0, $setup_conf['STREAM0']['SavingTime'], $buff_msec, "graph_div_ok" ); ?>
<?php
		}else{
?>
						<?php draw_graph( 0, 0, 0, "graph_div_ok" ); ?>
<?php
		}
	}
?>
					</td>
				</tr>
					<th><?php echo $lng['TB0_TH10'];?></th>
					<td class=<?php echo ( 0 == $status_conf['STREAM' . $i]['RxBufferOver'] )? "\"on\"":"\"off\""; ?>>
						<?php echo ( 0 == $status_conf['STREAM' . $i]['RxBufferOver'] ) ? $lng['LBL_RECV_OK']: $lng['LBL_RECV_BUF_OVR']; ?>
					</td>
				</tr>
				
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH11'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['MissPacket'] ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH12'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['RecoverPacket'] ?>
					</td>
				</tr>
<?php
		if(is_debug()){
?>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH13'];?></th>
					<td class="on">
						0x<?php echo $status_conf['STREAM' . $i]['MesureVideoPid'] ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH14'];?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['CcError'] ?>
					</td>
				</tr>
<?php
		}
?>
			</table>
			<a style="text-decoration: none" href="./rvoip_status.php?board=<?php echo $_GET['board']; ?>"><?php echo $clng['BACK'];?></a>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
