<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("rvoiptx_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file( __FILE__ ) );
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file(  $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			echo "INI File Not Found(". $ini_file .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "Loading...";
		echo "</body></html>";
		exit();
	}
	$i = $_GET['n'] - 1;
?>
		<div class="page_body">
			<h3 class="table_caption"><?php echo sprintf( $lng['TC0'], $i + 1 );?></h3>
			<table>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH0'] ?></th>
					<?php
	if( $status_conf['STREAM' . $i]['EnableTs'] ){
		if( 0 == check_address($status_conf,$status_conf['STREAM' . $i]['YourIpAddr']) ){
			// 異なるネットワーク （GW MACを確認）
			$check_mac = $status_conf['RVOIPTx']['GwMAC'];
		}else{
			// 同じネットワーク （相手のMACを確認）
			$check_mac = $status_conf['STREAM' . $i]['YourMacAddr'];
		}
		if( ( !check_multicast_ip( $status_conf['STREAM' . $i]['YourIpAddr'] ) ) &&						// マルチキャストの場合は必ず00なので除外する
			( 0 == strcmp( '00:00:00:00:00:00', $check_mac ) ) ){
?>
					<td class="warn">
<?php
			echo $lng['LBL_SEARCH'];
		}else{
?>
					<td class="on">
<?php
			echo $lng['LBL_SEND'];
		}
			
	}else{
?>
					<td class="off">
<?php
			echo $lng['LBL_NOT_SEND'];
	}
?>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH1'] ?></th>
					<td class=<?php echo ($status_conf['STREAM' . $i]['TsValid'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['STREAM' . $i]['TsValid'])? $lng['LBL_INPUT']:$lng['LBL_NOT_INPUT']; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH6'] ?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['PacketSize'] ?>
					</td>
				</tr>
<?php
		$bitrate = ($status_conf['STREAM' . $i]['ValidPacketNum']) * $status_conf['STREAM' . $i]['PacketSize'] * 8;
		$bitrate *= TX_BITRATE_TIMES;
		$bitrate_all = ($status_conf['STREAM' . $i]['NullPacketNum'] + $status_conf['STREAM' . $i]['ValidPacketNum']) * $status_conf['STREAM' . $i]['PacketSize'] * 8;
		$bitrate_all *= TX_BITRATE_TIMES;
?>
				<tr class="stream<?php echo $i; ?>">
					<th rowspan="2"><?php echo $lng['TB0_TH8'] ?></th>
					<td class="on"><?php echo sprintf( "%.3f", $bitrate_all / 1000000 ); ?> Mbps</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<td class="graph_base" style="padding-top: 0.5em; padding-bottom: 0.5em;">
						<?php draw_graph( TS_BITRATE_MIN, TS_BITRATE_MAX, $bitrate_all, "graph_div_ng" ); ?>
						<?php draw_graph( TS_BITRATE_MIN, $bitrate_all, $bitrate, "graph_div_ok" ); ?>
					</td>
				</tr>				
<?php
	$bitrate_valid = ($status_conf['STREAM' . $i]['ValidPacketNum']) * $status_conf['STREAM' . $i]['PacketSize'] * 8;
	$bitrate_valid *= TX_BITRATE_TIMES;
	$bitrate_null = ($status_conf['STREAM' . $i]['NullPacketNum']) * $status_conf['STREAM' . $i]['PacketSize'] * 8;
	$bitrate_null *= TX_BITRATE_TIMES;
?>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH9'] ?></th>
					<td class="on"><?php echo sprintf( "%.3f", $bitrate_valid / 1000000 ); ?> Mbps</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH10'] ?></th>
					<td class="on"><?php echo sprintf( "%.3f", $bitrate_null / 1000000 ); ?> Mbps</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th width="180px"><?php echo $lng['TB0_TH2'] ?></th>
					<td class="on">
<?php
	if( check_multicast_ip( $status_conf['STREAM' . $i]['YourIpAddr'] ) ){
						// マルチキャストIPだとオール0になるのでソフトウェアで変換
?>
						<?php echo make_multicast_mac( $status_conf['STREAM' . $i]['YourIpAddr'] ); ?>
<?php
	}else{
						// マルチキャストIPでなければそのまま表示
?>
						<?php echo $check_mac ?>
<?php
	}
?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th width="180px"><?php echo $lng['TB0_TH3'] ?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['YourIpAddr'] ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH4'] ?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['YourUdpPort'] ?>
					</td>
				</tr>
<?php /* ?>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH5'] ?></th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['TsSendNo'] ?>
					</td>
				</tr>
<?php */ ?>
<!--				<tr class="stream<?php echo $i; ?>">
					<th>SSRC</th>
					<td class="on">
						<?php echo $status_conf['STREAM' . $i]['Ssrc'] ?>
					</td>
				</tr>
-->
<?php
	if(!check_tuner8toip()){
		$ip_bitrate_ts = $status_conf['STREAM' . $i]['RtpPacketNum'] * 8;
		$ip_bitrate_fec = $status_conf['STREAM' . $i]['FecPacketNum'] * 8;
		$ip_bitrate = $ip_bitrate_ts + $ip_bitrate_fec;
?>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH11'] ?></th>
					<td class="on"><?php echo sprintf( "%.3f", $ip_bitrate / 1000000 ); ?> Mbps</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH12'] ?></th>
					<td class="on"><?php echo sprintf( "%.3f", $ip_bitrate_ts / 1000000 ); ?> Mbps</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH13'] ?></th>
					<td class="on"><?php echo sprintf( "%.3f", $ip_bitrate_fec / 1000000 ); ?> Mbps</td>
				</tr>
<?php 
	}
?>
			</table>
			<a style="text-decoration: none" href="./rvoiptx_status.php?board=<?php echo $_GET['board']; ?>"><?php echo $clng['BACK'] ?></a>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
