<?php

define('SECURITY_KEY_LENGTH',		14);
define('SECURITY_KEY_LEN_MIN',		1);
define('SECURITY_KEY_LEN_MAX',		30);

define('DEBUG_OUT',					1);

define('SCD_PIPE_FILE',				'/home/root/scheduler');

$WEEK_OF_DAY = array( 0 => "次回",
					  1 => "日",
					  2 => "月",
					  3 => "火",
					  4 => "水",
					  5 => "木",
					  6 => "金",
					  7 => "土",
					);

$FILE_TYPE = array( 0 => "ﾀﾞｳﾝﾛｰﾄﾞﾘｽﾄ",
					1 => "映像",
					2 => "データ放送用",
					81 => "ﾌﾟﾚｲﾘｽﾄ",
					);

/*
$DL_STATUS = array( 0 => "なし（待ち）",
					1 => "ﾀﾞｳﾝﾛｰﾄﾞ待ち",
					2 => "ﾀﾞｳﾝﾛｰﾄﾞ中（完了待ち）",
					3 => "ﾘﾄﾗｲ待ち 即時",
					4 => "ﾘﾄﾗｲ待ち 次回",
					5 => "ﾀﾞｳﾝﾛｰﾄﾞ完了",
					6 => "ﾀﾞｳﾝﾛｰﾄﾞ断念",
					7 => "ﾀﾞｳﾝﾛｰﾄﾞ中止",
					8 => "ｽｷｯﾌﾟ",
					);
 */
$DL_STATUS = array( 0 => "未処理",
					1 => "未処理",
					2 => "処理中",
					3 => "ﾘﾄﾗｲ待ち",
					4 => "ﾘﾄﾗｲ待ち",
					5 => "成功",
					6 => "失敗",
					7 => "中止",
					8 => "既存",
					);


/**
 * スケジュール設定
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_schedule( &$old_config, $new_config, $filename ){
	// 入力情報のチェック
	if( $new_config['enable'] != 0 ){
		// 有効にしたのに空の入力がある場合
		if( (0 == strlen($new_config['url'])) ||
			(0 == strlen($new_config['key']))){
			
			return array('RESULT'  => false,
						 'MESSAGE' => 'サーバーアドレス、セキュリティキーはすべて指定してください。');
		}
	}
	
	// URLチェック
	mb_internal_encoding("UTF-8");
	$new_config['url'] = trim( mb_convert_kana( $new_config['url'], 's') );
	if( 0 != preg_match( '/^(https?)(:\/\/[-_.!~*\'()a-zA-Z0-9;\/?:\@&=+\$,%#<>]+)$/', strlen($new_config['url'] ) ) ){
		return array('RESULT'  => false,
					 'MESSAGE' => 'URLの入力形式が不正です。');
	}
	
	// セキュリティキーチェック
	$new_config['key'] = trim( mb_convert_kana( $new_config['key'], 's') );
	if( ( strlen($new_config['key']) < SECURITY_KEY_LEN_MIN ) ||
		( SECURITY_KEY_LEN_MAX < strlen($new_config['key']) )){
		return array('RESULT'  => false,
					 'MESSAGE' => 'セキュリティキーの長さが不正です。' . SECURITY_KEY_LEN_MIN . ' ～ ' . SECURITY_KEY_LEN_MAX . ' 文字で入力してください。');
	}
	
	// 設定値を保存
	$old_config['Schedule']['ENABLE']  = $new_config['enable'];
	$old_config['Schedule']['DL_TIME'] = sprintf( "%02d", $new_config['list_download_time_h'] ) . sprintf( "%02d", $new_config['list_download_time_m'] );
	$old_config['Schedule']['URL']     = $new_config['url'];
	$old_config['Schedule']['KEY']     = $new_config['key'];
	
	if( DEBUG_OUT ){
		$str = ( $new_config['enable'] != 0 ) ? "1," : "0," ;
		system( "echo \"" . $str . "\" > /usr/hirotech/conf/dbs7_init.txt");
		$str = $old_config['Schedule']['DL_TIME'].",0,".$old_config['Schedule']['URL'] ;
		system( "echo \"" . $str . "\" >> /usr/hirotech/conf/dbs7_init.txt");
		$str = $old_config['Schedule']['DL_TIME'].",1,".$old_config['Schedule']['URL'] ;
		system( "echo \"" . $str . "\" >> /usr/hirotech/conf/dbs7_init.txt");
		$str = "SecurityKey=" . $old_config['Schedule']['KEY'];
		system( "echo \"" . $str . "\" >> /usr/hirotech/conf/dbs7_init.txt");
		
		$str = ( $new_config['enable'] != 0 ) ? "1," : "0," ;
		system( "echo \"" . $str . "\" > /home/pi/conf/dbs7_init.txt");
		$str = $old_config['Schedule']['DL_TIME'].",0,".$old_config['Schedule']['URL'] ;
		system( "echo \"" . $str . "\" >> /home/pi/conf/dbs7_init.txt");
		$str = $old_config['Schedule']['DL_TIME'].",1,".$old_config['Schedule']['URL'] ;
		system( "echo \"" . $str . "\" >> /home/pi/conf/dbs7_init.txt");
		$str = "SecurityKey=" . $old_config['Schedule']['KEY'];
		system( "echo \"" . $str . "\" >> /home/pi/conf/dbs7_init.txt");
		
		system( "sync");
	}
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		system( "echo '[SetupChange]\nFileName=". $filename['Setup'] ."' > ". SCD_PIPE_FILE );
		
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

/**
 * リストダウンロードの開始処理
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function start_download_list(){
	system( "echo 'StartDownloadList' > ". SCD_PIPE_FILE );
	
	return array('RESULT'  => true,
				 'MESSAGE' => 'ダウンロードを開始しました。');
}

/**
 * リストダウンロードの停止処理
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function stop_download_list(){
	system( "echo 'STOP' > ". SCD_PIPE_FILE );
	
	return array('RESULT'  => true,
				 'MESSAGE' => 'ダウンロードを中断しました。');
}
?>
