<?php

define('DVB_NUM',		8		);
define('REPEAT_MAX',	0xFFFF	);

define('BITRATE_LSB',	1000);
define('BITRATE_MIN',	4000 / BITRATE_LSB);
define('BITRATE_MAX',	10000000 / BITRATE_LSB);

if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	define( 'DVB_SETUP_FILE',		'C:\xampp\htdocs\xampp\tmp\dvbe_%02d.ts' );
	define( 'DVB_DEFAULT_FILE',		'C:\xampp\htdocs\xampp\tmp\default_bml.ts' );
}else{
	define( 'DVB_SETUP_FILE',		'/home/pi/conf/dvbe_%02d.ts' );
	define( 'DVB_DEFAULT_FILE',		'/home/pi/conf/default_bml.ts' );
}


/**
 * 入力PIDの更新
 * @param type $old_config		変更前INI情報
 * @param type $new_config		更新するINI情報（POSTデータ）
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_simple_dvb( &$old_config, $new_config, $filename ){
	// 入力チェック
	
	for( $i = 0 ; $i < $old_config['DVBe']['DVBe_MAX'] ; $i++ ){
		if( !check_number($new_config['dvb' . $i . '_bitrate']) || !( BITRATE_MIN <= $new_config['dvb' . $i . '_bitrate'] && $new_config['dvb' . $i . '_bitrate'] <= BITRATE_MAX ) ){
			return array('RESULT'  => false,
						 'MESSAGE' => 'ビットレートは '. BITRATE_MIN .'(' . BITRATE_MIN * BITRATE_LSB .  'bps)から ' . BITRATE_MAX . '(' . BITRATE_MAX * BITRATE_LSB .  'bps)までの数値が入力可能です。' );
		}
		
		if( !check_number($new_config['dvb' . $i . '_repeat']) || !( 0 <= $new_config['dvb' . $i . '_repeat'] && $new_config['dvb' . $i . '_repeat'] <= REPEAT_MAX ) ){
			return array('RESULT'  => false,
						 'MESSAGE' => 'リピート回数は 0 から ' . REPEAT_MAX . ' までの数値が入力可能です。' );
		}
		
		if( $i == $new_config[ 'set_dvb_no' ] ){
			$old_config['Index'.$i]['Layer']   = $new_config['dvb' . $i . '_layer'];
			$old_config['Index'.$i]['BitRate'] = $new_config['dvb' . $i . '_bitrate'] * BITRATE_LSB;
			$old_config['Index'.$i]['Play'] = $new_config['dvb' . $i . '_control'];
			$old_config['Index'.$i]['Repeat'] = $new_config['dvb' . $i . '_repeat'];
		}
	}
	
	// ファイルへ保存
	if( false == save_ini_file( $filename['Setup'], $old_config, false ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $old_config, false ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		system( "echo '[DvbUpdate]\nFileName=". $filename['Setup'] ."\nDvbNo=". $_POST['set_dvb_no'] ."\n' > ".MAINCONTROL );
		
if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	echo "echo '[DvbUpdate]\nFileName=". $filename['Setup'] ."\nDvbNo=". $_POST['set_dvb_no'] ."\n' > ".MAINCONTROL;
}

		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}


/**
 * 入力PIDの更新
 * @param type $setup_conf		変更前INI情報
 * @param type $dvb_no			DVB番号
 * @param type $dvb_file_name	BMLファイル名
 * @param type $is_save			SDｶｰﾄﾞへの保存有無
 * @param type $filename		INIファイル名
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function save_conf_simple_dvb_file_save( &$setup_conf, $dvb_no, $dvb_file_name, $is_save, $filename )
{
	$setup_conf['Index'.$dvb_no]['FileSave'] = $is_save;
	$setup_conf['Index'.$dvb_no]['FileName'] = $dvb_file_name;
	
	// ファイルへ書き出し
	if( false == save_ini_file( $filename['Setup'], $setup_conf, false ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}
	if( false == save_ini_file( $filename['Save'], $setup_conf, false ) ) {
		return array('RESULT'  => false,
					 'MESSAGE' => '設定ファイルへの書き込みに失敗しました。');
	}else{
		system( "echo '[DvbUpdate]\nFileName=". $filename['Setup'] ."\nDvbNo=". $dvb_no ."\n' > ".MAINCONTROL );

if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	echo "echo '[DvbUpdate]\nFileName=". $filename['Setup'] ."\nDvbNo=". $dvb_no ."\n' > ".MAINCONTROL;
}
		return array('RESULT'  => true,
					 'MESSAGE' => '設定が正常に終了しました。');
	}
}

?>
