<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("./simple_dvb_lib.php");
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// 設定情報を読み込み
		
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		// Filterファイル名を取得
		$borad_info = get_board_info($function_conf, $_GET['board']);
		if( isset( $borad_info['FilterSetup'] )){
			if( is_file( $borad_info['FilterSetup'] ) ){
				$filter_conf = parse_ini_file( $borad_info['FilterSetup'], true );
			}else {
				echo "INI File Not Found(". $borad_info['FilterSetup'] .")<br>\n";
				exit(1);
			}
		}
		
		// PSIの拡張機能の設定ファイルを取得する
		$status_file = get_status_file($function_conf, $_GET['board']);
		if( is_file( $status_file ) ){
			$status = my_parse_ini_file( $status_file );
		}else {
			$loading = true;
		}
	}
	
	$service_label = array(
		'00' => 'PMT1～4',
		'01' => 'ワンセグ',
		'10' => 'PMT1',
		'20' => 'PMT2',
		'30' => 'PMT3',
		'40' => 'PMT4',
	);
?>
	<head>
		<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	<style type="text/css">
	<!--
	.dvb_no{ padding: 0em; width: 1.5em; text-align: center; }
	.dvb_limit{ padding-left: 0.5em; padding-right: 0.5em; text-align: center; }
	.dvb_layer{ padding-left: 0.5em; padding-right: 0.5em; text-align: center; }
	-->
	</style>
	</head>
	<body>
<?php
	if( $loading ){
		echo "起動中です。少々お待ちください。。。";
		echo "</body></html>";
		exit();
	}
?>
		<div class="page_body">
			<h3 class="table_caption">簡易DVBステータス</h3>
			<table>
				<tr>
					<th class="dvb_no">#</th>
					<th class="dvb_layer">サービス</th>
					<th class="dvb_limit" center;">リミット<br/>(MB)</th>
					<th style="text-align: center; padding-left:0.5em; padding-right:0.5em;">ビットレート<br/>(kbps)</th>
					<th style="text-align: center; padding-left:0.5em; padding-right:0.5em;">状態</th>
					<th style="text-align: center; padding-left:0.5em; padding-right:0.5em;">TS Sync</th>
				</tr>
<?php
	for( $i = 0 ; $i < $status['DVBe']['DVBe_MAX'] ; $i++ ){
?>
				<tr>
					<th class="dvb_no"><?php echo $i; ?></th>
					<td class="dvb_layer">
						<?php echo $service_label[$status['Index'.$i]['Layer']];?>
					</td>
					<td class="on" style="text-align: center;">
						<?php echo $status['Index'.$i]['MemorySize']; ?>
						
					</td>
					<td class="on" style="text-align: right; padding-left:0.5em; padding-right:0.5em;">
						<?php echo number_format( sprintf( "%d", $status['Index'.$i]['BitRate'] / BITRATE_LSB ) ); ?>
						
					</td>
					<td class="<?php echo (($status['Index'.$i]['Play'] != 0) ? "on":"off"); ?>" style="text-align: center; padding-left:0.5em; padding-right:0.5em;">
						<?php echo (($status['Index'.$i]['Play'] != 0) ? "再生":"停止"); ?>
						
					</td>
<?php
	if( ($status['Index'.$i]['Play'] != 0) && ( $filter_conf['FILTER'.$i]['STATUS'] != 0 ) ){
?>
					<td class="<?php echo (($status['Index'.$i]['SyncError'] == 0) ? "on":"off"); ?>" style="text-align: center; padding-left:0.5em; padding-right:0.5em;">
						<?php echo (($status['Index'.$i]['SyncError'] == 0) ? "正常":"エラー"); ?>
<?php
	}else{
?>
					<td class="on" style="text-align: center;">
						-
<?php
	}
?>
						
					</td>
				</tr>
<?php
	}
?>				
			</table>			
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
