<?php
// 共通情報の読み込み
require_once("../libdefault.php");
require_once("../libfunction.php");
require_once("../liberror.php");

/**
 * RF設定のファイルを取得
 * @param type $function_conf	DBS_Function情報
 * @param type $sub_id			OFDM変調器のSubID
 * @return 連想配列				[Ssetup]RAM上の設定ファイル
 *								[Save]SDカード上の設定ファイル
 */
function get_rf_setup_file( $function_conf, $sub_id ){
	$board = sprintf( "01_%02X", $sub_id );
	$filename = CONF_DIR . "/Setup_" . $board . ".ini";
	if( file_exists( $filename ) ){
		// ファイル読み込み
		return get_setup_file( $function_conf, $board );
	}else{
		return null;
	}
}

/**
 * Setupファイル読込
 * @param type $function_conf	DBS_Function情報
 * @return 連想配列				Setup_01_XX.iniの情報
 */
function get_rf_conf_file($function_conf){
	$setup_conf = array();
	
	for( $i = 1 ; $i <= EXP_BOARD_MAX ; $i++ ){
		$ini_file = get_rf_setup_file($function_conf, $i);
		if( null != $ini_file ){
			if( is_file( $ini_file['Setup'] ) ){
				$setup_conf[$i] = parse_ini_file( $ini_file['Setup'], true );
			}
		}
	}
	return $setup_conf;
}
?>
