<?php
// 共通情報の読み込み
require_once("../libdefault.php");
require_once("../libfunction.php");
require_once("../liberror.php");

define( 'DEV0_CHECK_DRIVER0',	'/dev/sda' );
define( 'DEV1_CHECK_DRIVER0',	'/dev/sdb' );
define( 'DEV0_CHECK_DRIVER1',	'/dev/sda1' );
define( 'DEV1_CHECK_DRIVER1',	'/dev/sdb1' );
define( 'DEV0_CHECK_FILE',		'/media/sda1/DBS_HDD' );
define( 'DEV1_CHECK_FILE',		'/media/sdb1/DBS_HDD' );

define( 'SD_CARD_MMC1',			'/dev/mmcblk1' );
define( 'SD_CARD_MMC1P1',		'/dev/mmcblk1p1' );

$process_array = array(
		'FORMAT_HDD0' => 
          	array ( 'GREP_NAME' => 'format_disk.sh /dev/sda',
					'PROC_LABEL' => 'HDD/SSD 0 フォーマット中',
			),
		'FORMAT_HDD1' => 
			array ( 'GREP_NAME' => 'format_disk.sh /dev/sdb',
					'PROC_LABEL' => 'HDD/SSD 1 フォーマット中',
			),
		'COPY_SD' => 
			array ( 'GREP_NAME' => 'copy_sd.sh',
					'PROC_LABEL' => 'SDカード複製中',
			),
		'COPY_SD_P1' => 
			array ( 'GREP_NAME' => 'copy_sdp1.sh',
					'PROC_LABEL' => 'SDカード複製中',
			),
);

/**
 * デバイス（HDD/SSD、SDカード）操作
 * @param type $control			制御情報
 * @return 連想配列				['RESULT']  実行結果
 *                              ['MESSAGE'] メッセージ
 */
function device_control( $control )
{
	switch( $_POST['type'] ){
		case 'hdd0_format':
			system( "echo '[DeviceControl]\nType=FORMAT_HDD0'  > MAINCONTROL" );
			return array('RESULT'  => true,
						 'MESSAGE' => 'HDD/SSD 0のフォーマットを開始しました。');
			break;
		case 'hdd1_format':
			system( "echo '[DeviceControl]\nType=FORMAT_HDD1'  > MAINCONTROL" );
			return array('RESULT'  => true,
						 'MESSAGE' => 'HDD/SSD 1のフォーマットを開始しました。');
			break;
		case 'copy_sd':
			system( "echo '[DeviceControl]\nType=COPY_SD'  > MAINCONTROL" );
			return array('RESULT'  => true,
						 'MESSAGE' => 'SDカードの複製を開始しました。');
			break;
		case 'copy_sdp1':
			system( "echo '[DeviceControl]\nType=COPY_SDP1'  > MAINCONTROL" );
			return array('RESULT'  => true,
						 'MESSAGE' => 'SDカードの複製を開始しました。');
			break;
		default:
			return array('RESULT'  => false,
						 'MESSAGE' => '不正な操作です。');
			break;
	}
}

/**
 * デバイス操作状況を取得
 * @return		操作内容を返す　空の場合はそうさなし
 */
function get_control_status()
{
	global $process_array;
	
	foreach( $process_array as $key => $value ){
		// プロセスの実行中チェック
		if( check_process( $value[ 'GREP_NAME' ] ) ){
			return $value['PROC_LABEL'];
		}
	}
	
	return "";
}
?>
