<?php
define( 'DVDD_VOLTAGE',			3.3 );
define( 'INTER_FREQ_LSB',		0.000001 );		// MHzで表示する
define( 'SYMBOL_RATE_LSB',		0.000001 );		// MHzで表示する

if( $_SERVER['DOCUMENT_ROOT'] == 'C:/xampp/htdocs' ){
	define( 'CHANNEL_LIST_PATH',		'C:\xampp\htdocs\xampp\tmp\channel_list.csv' );				// ChListのパス（アップロード時に使用する）
}else{
	define( 'CHANNEL_LIST_PATH',		'/home/pi/conf/channel_list.csv' );						// ChListのパス（アップロード時に使用する）
}

define( 'CH_LIST_DATA_NUM',		6 );			// Chリストの要素数

$dvb_type = array(
	0 => "Unknown",
	1 => "DVB-S",
	2 => "DVB-S2",
);

$modulation = array(
	0 => "Unknown",
	1 => "QPSK",
	2 => "8PSK",
);

$lnb_setup = array(
	0 => "Vertical High",
	1 => "Vertical Low",
	2 => "Horizontal High",
	3 => "Horizontal Low",
);

function save_conf_tuner_dvb( &$old_config, $new_config, $filename ){
	// 入力チェック

/*	とりあえず同じチャンネルを設定してもOKとする
	// 同じチャンネルが選択されていない？
	for( $i = 0 ; $i < $old_config['base']['TunerNum'] ; $i++ ){
		if( 0 == $new_config['channel'.$i] ) {	// Channel 0 はStopとして判定外
			continue;
		}
		for( $j = $i + 1 ; $j < $old_config['base']['TunerNum'] ; $j++ ){
			if( $new_config['channel'.$i] == $new_config['channel'.$j] ){
				// 同じチャンネルが選択されている場合はエラーとして終了する
				return array('RESULT'  => false,
							 'MESSAGE' => 'Tuner '. $i . ' と Tuner ' . $j . ' で同じチャンネルが選択されています。' );
			}
		}
	}
 */
	
	// チャンネルリストを読み込み
	$list = read_csv_file( $old_config['base']['ChList'] );
	for( $i = 0 ; $i < $old_config['base']['TunerNum'] ; $i++ ){
		if( 0 == $new_config['channel'.$i] ){
			$old_config[ 'tuner' . $i ][ 'Status' ]	 = 0;
			$old_config[ 'tuner' . $i ][ 'Ch' ]		 = 0;
		} else {
			foreach( $list as $key => $val ){
				if( $val[ 0 ] == $new_config['channel'.$i] ){
					$old_config[ 'tuner' . $i ][ 'Status' ]		 = 1;
					$old_config[ 'tuner' . $i ][ 'Ch' ]			 = $val[ 0 ];
					$old_config[ 'tuner' . $i ][ 'InterFreq' ]	 = $val[ 1 ];
					$old_config[ 'tuner' . $i ][ 'Lnb' ]		 = $val[ 2 ];
					$old_config[ 'tuner' . $i ][ 'SymbolRate' ]	 = $val[ 3 ];
					$old_config[ 'tuner' . $i ][ 'DvbType' ]	 = $val[ 4 ];
					$old_config[ 'tuner' . $i ][ 'Provider' ]	 = $val[ 5 ];
				}
			}
		}
	}
	
	return save_ini_file_setup_save( $filename, $old_config );
}

// AGCゲインを算出する
// $agc_hex:0x1FFF => DVDD[V]
// $agc_hex:0x1000 => DVDD/2[V]
// $agc_hex:0x0000 => 0.00[V]
function calc_agc_gain( $agc ){
	return round( $agc * ( DVDD_VOLTAGE / 2 ) / 0x1000, 3 );
}
?>
