<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require("tuner_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );
		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
	view_jquery_sub();
	
	// チャンネルリストを読み込み
	$list = read_csv_file( $setup_conf['base']['ChList'], CH_LIST_DATA_NUM );
?>
		<script type="text/javascript" src="channel_sel.js"></script>
	</head>
	<body>
		<div class="page_body">
			<form action="./tuner_set_ctrl.php" method="POST">
				<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
<?php
	if( !$list || 0 == count( $list ) ){
?>
				<div class="warning">
					<?php echo $lng['LBL_CH_LIST_ERR'] ?>
				</div>
			</form>
<?php
	} else {
?>
				<table class="list">
					<tr>
						<th style="width:20%; text-align: center;"><?php echo $lng['TB0_TH0']; ?></th>
						<th style="text-align: center;"><?php echo $lng['TB0_TH1']; ?></th>
					</tr>
<?php
		for( $i = 0 ; $i < $setup_conf['base']['TunerNum'] ; $i++ ){
?>
					<tr>
						<td style="text-align: center;"><?php echo $i ?></td>
						<td>
							<select name="channel<?php echo $i;?>">
								<option value="0"<?php echo ( 0 == $setup_conf['tuner'.$i]['Ch'] ) ? " selected": ""; ?>>STOP</option>
<?php
			foreach( $list as $key => $val ){
?>
								<option value="<?php echo $val[0] ?>"<?php echo ( $val[0] == $setup_conf['tuner'.$i]['Ch'] ) ? " selected": ""; ?>><?php echo sprintf( '%04d : %s', $val[0], $val[5] );  ?></option>
<?php
			}
?>
							</select>
						</td>
					</tr>
<?php
		}
?>
				</table>
				<input type="hidden" name="tuner_dvb" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>">
			</form>
<?php
	}
?>
			<br />
			<form action="tuner_set_ctrl.php" method="post" enctype="multipart/form-data">
				<h3 class="table_caption"><?php echo $lng['TC1'] ?></h3>
				<table class="list">
					<tr>
						<th nowrap align="center"><?php echo $lng['TB1_TH0'] ?></th>
						<td valign="bottom">
							<input type="file" name="upfile" size="25" />
						</td>
					</tr>
				</table>
				<input type="hidden" name="channel_list_upload" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $clng['SUBMIT'] ?>">
			</form>
		</div>
	</body>
</html>
