<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("tuner_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );
	
	$loading = false;
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
		
		// Statusファイル名を取得
		$ini_file = get_status_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file ) ){
			$status_conf = my_parse_ini_file( $ini_file );
			if( NULL == $status_conf ){
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1\">";
				echo "Now loading...";
				exit(1);
			}
		}else {
			echo "INI File Not Found(". $ini_file .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_right_sub();
?>
		<META HTTP-EQUIV="Refresh" CONTENT="3">
	</head>
	<body>
<?php
	if( $loading ){
		echo "Loading...";
		echo "</body></html>";
		exit();
	}
	$i = $_GET['n'];
?>
		<div class="page_body">
			<h3 class="table_caption"><?php echo sprintf( $lng['TC0'], $i ); ?></h3>
			<table>
				<tr>
					<th><?php echo $lng['TB0_TH0'] ?></th>
					<td class=<?php echo ($status_conf['tuner' . $i]['Status'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['Status'])? "ON":"OFF"; ?>
					</td>
				</tr>
<?php
	if( $status_conf['tuner' . $i]['Status'] ){
?>
				<tr>
					<th><?php echo $lng['TB0_TH1'] ?></th>
					<td>
						<?php echo $status_conf['tuner' . $i]['Ch']; ?>
					</td>
				</tr>
				<tr>
					<th><?php echo $lng['TB0_TH2'] ?></th>
					<td>
						<?php echo $status_conf['tuner' . $i]['Provider']; ?>
					</td>
				</tr>
				<tr>
					<th>LNB</th>
					<td>
						<?php echo $lnb_setup[ $status_conf['tuner' . $i]['Lnb'] ]; ?>
					</td>
				</tr>
				<tr>
					<th>Inter Frequency</th>
					<td>
						<?php echo $status_conf['tuner' . $i]['InterFreq'] * INTER_FREQ_LSB . ' [MHz]'; ?>
					</td>
				</tr>
				<tr>
					<th>Symbol Rate</th>
					<td>
						<?php echo $status_conf['tuner' . $i]['SymbolRate'] * SYMBOL_RATE_LSB . ' [Msps]'; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB0_TH3'] ?></th>
					<td>
						<?php echo $dvb_type[ $status_conf['tuner' . $i]['DvbType'] ]; ?>
					</td>
				</tr>
<?php
	}
?>
			</table>
			<br/>
			<br/>
			<h3 class="table_caption"><?php echo sprintf( $lng['TC1'], $i ); ?></h3>
			<table>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB1_TH0'] ?></th>
					<td class=<?php echo ($status_conf['tuner' . $i]['Status'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['Status'])? "ON":"OFF"; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB1_TH1'] ?></th>
					<td class=<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ( $status_conf['tuner' . $i]['RfAgcLock'] ) ? $dvb_type[ $status_conf['tuner' . $i]['DvbTypeMonitor'] ] : "-" ; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB1_TH2'] ?></th>
					<td class=<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "Lock":"Unlock"; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th><?php echo $lng['TB1_TH3'] ?></th>
					<td class=<?php echo ($status_conf['tuner' . $i]['TsOutLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['TsOutLock'])? "Lock":"Unlock"; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th>AGC Gain</th>
					<td class=<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? sprintf( "%.02f", calc_agc_gain( $status_conf['tuner' . $i]['AgcGain'] ) ) . ' [V]':"-"; ?>
					</td>
				</tr>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th>Carrier Frequency Error</th>
					<td class=<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? sprintf( "%.0lf [Hz]",$status_conf['tuner' . $i]['CarrierFreqError'] ) : "-" ; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th>Symbol Rate Monitor</th>
					<td class=<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? $status_conf['tuner' . $i]['SymbolRateMonitor'] . ' [sps]':"-"; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th>Modulation</th>
					<td class=<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['RfAgcLock']) ? $modulation[ $status_conf['tuner' . $i]['Modulation'] ]:"-"; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th>Code Rate</th>
					<td class=<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['RfAgcLock']) ? $status_conf['tuner' . $i]['CodeRate']:"-"; ?>
					</td>
				</tr>
				<tr class="stream<?php echo $i; ?>">
					<th>Pilot Signal</th>
					<td class=<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['RfAgcLock']) ? ( ( $status_conf['tuner' . $i]['PilotSignal'] ) ? 'ON' : 'OFF' ):"-"; ?>
					</td>
				</tr>
<?php
	if( 0 == $status_conf['tuner' . $i]['BerMonitorValid'] ){
?>
				<tr>
					<th>BER</th>
					<td class="off">
						-
					</td>
				</tr>
				<tr>
					<th>FER</th>
					<td class="off">
						-
					</td>
				</tr>
<?php
	}else{
?>
				<tr>
					<th>BER</th>
					<td class="on">
						<?php echo $status_conf['tuner' . $i]['Ber']; ?>
					</td>
				</tr>
				<tr>
					<th>Bit Error Num</th>
					<td class="on">
						<?php echo $status_conf['tuner' . $i]['BitErrorNum']; ?>
					</td>
				</tr>
				<tr>
					<th>FER</th>
					<td class="on">
						<?php echo $status_conf['tuner' . $i]['Fer']; ?>
					</td>
				</tr>
				<tr>
					<th>Bit Error Num</th>
					<td class="on">
						<?php echo $status_conf['tuner' . $i]['FrameErrorNum']; ?>
					</td>
				</tr>
				
<?php
	}
?>
<?php
	if( 0 == $status_conf['tuner' . $i]['PerMonitorValid'] ){
?>
				<tr>
					<th>PER</th>
					<td class="off">
						-
					</td>
				</tr>
<?php
	}else{
?>
				<tr>
					<th>PER</th>
					<td class="on">
						<?php echo $status_conf['tuner' . $i]['Ber']; ?>
					</td>
				</tr>
				<tr>
					<th>Packet Error Num</th>
					<td class="on">
						<?php echo $status_conf['tuner' . $i]['BitErrorNum']; ?>
					</td>
				</tr>
<?php
	}
?>			
				<tr class="stream<?php echo $i; ?>">
					<th>I/Q Spectrum Polarity</th>
					<td class=<?php echo ($status_conf['tuner' . $i]['RfAgcLock'])? "\"on\"":"\"off\""; ?>>
						<?php echo ($status_conf['tuner' . $i]['RfAgcLock']) ? $status_conf['tuner' . $i]['IqSpectrumPolarity'] : "-" ; ?>
					</td>
				</tr>	
			</table>
			<a style="text-decoration: none" href="./tuner_status.php?board=<?php echo $_GET['board']; ?>"><?php echo $clng['BACK']; ?></a>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
