<?php
/*
 * バージョンルール
 * Major.Minor.Build
 * MAJOR_VERSION	2文字	大きな変更があった場合にUP
 * MINOR_VERSION	2文字	機能追加・変更があった場合にUP
 * BUILD_VERSION	4文字	不具合修正など細かい修正があった場合に (尚、下位が[D]の場合は開発版)
 *
 * バージョン「01000002」以降、version.hを参照すること
 */

/*
	00000001		日本アンテナ向け試作機バージョン1
	00000002		日本アンテナ向け試作機バージョン2
					オフセット値追加
					チューナーアンロック中は信号強度を赤にする
					チューナーアンロック中はBERを非表示にする
					ヘッダの更新間隔を1時間→10秒に変更
					ヘッダの時刻が1秒程度遅れるので修正
	00000003		チューナー改修による特性変更に伴う信号強度の閾値変更
	00000004		ファイルアップロード機能追加
					信号強度をグラフをやめてOK,NG判定に変更
	00000005		ステータス変更
					・ロック状態→受信状態
					・TOT取得状況追加
					・BERを値ではなく「正常」「異常」で表示するようにした
	00000006		ステータス変更
					・受信状態削除
					・BERを「OK]「Warning」で表示するようにした
	00000007		ステータス変更
					・TOT取得状況⇒ロック、アンロックで判定するようにした
					・チューナアンロックで「…」と表示するようにした
					・日アン要望によりオフセット値を削除
	00000008		ネットマスクの最下位制限をを0→252に変更
					3点リーダを...(ピリオド)に変更(文字化け防止)
					日アン要望により、ヘッダのロゴのリンクを削除(設置箇所はネットワーク断を想定)
	01000000		日本アンテナ向け出荷版 中身は00000008と同じ
	01000001		JST時間有効フラグが長時間取得できなかった場合にチューナリセットを行うようにした。
	01000002		以降、version.hを参照(バージョンも合わせる)
	
*/
// 以下バージョン「01000002」以降は未使用
define( 'MAJOR_VERSION',		'01'	);
define( 'MINOR_VERSION',		'00'	);
define( 'BUILD_VERSION',		'0006'	);

// 以下は日アンOEM用のバージョン
/*
 * 0100035F		工場出荷設定ボタンの動作を日アン向けに改修
 */
define( 'MAJOR_VERSION_JPNANT',	'01'	);
define( 'MINOR_VERSION_JPNANT',	'00'	);
define( 'BUILD_VERSION_JPNANT',	'0005'	);

// バージョン表示
function show_version(){
	echo MAJOR_VERSION . MINOR_VERSION . BUILD_VERSION;
}

// バージョン表示日アンOEM用
function show_version_jpnant(){
	echo MAJOR_VERSION_JPNANT . MINOR_VERSION_JPNANT . BUILD_VERSION_JPNANT;
}

?>
