<!DOCTYPE html PUBLIC "-//W3C//Dtd XHTML 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<?php
	// 共通情報の読み込み
	require_once("../libdefault.php");
	require_once("../libfunction.php");
	require_once("voip_lib.php");
	
	require_once( get_common_lang_file() );
	require_once( get_lang_file(__FILE__) );	// Languageファイル読み込み
	
	// DBS_Function.iniに保存されているファイル情報を取得する
	$ini_file = '';
	if($_GET['board'] != ''){
		// Setupファイル名を取得
		$ini_file = get_setup_file( $function_conf, $_GET['board'] );

		if( is_file( $ini_file['Setup'] ) ){
			$setup_conf = parse_ini_file( $ini_file['Setup'], true );
		}else {
			echo "INI File Not Found(". $ini_file['Setup'] .")<br>\n";
			exit(1);
		}
	}
?>
	<head>
<?php
	// 共通ヘッダー表示
	view_title( $system_conf );
	view_css_left_sub();
?>
	</head>
	<body>
		<div class="page_body">
			<form action="./voip_network_set_ctrl.php" method="POST">
				<h3 class="table_caption"><?php echo $lng['TC0']; ?></h3>
				<h4 class="table_caption"><?php echo $lng['TC0_0']; ?></h4>	
				<table class="list">
					<tr>
						<th style="width:40%;"><?php echo $lng['TB0_TH0']; ?></th>
						<td>
							<select name='status'>
								<option value="0"<?php echo (($setup_conf['VOIPRx']['Status'] == 0) ? " selected":""); ?>><?php echo $lng['LBL_STOP']; ?></option>
								<option value="1"<?php echo (($setup_conf['VOIPRx']['Status'] == 1) ? " selected":""); ?>><?php echo $lng['LBL_PLAY']; ?></option>
							</select>
						</td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH1']; ?></th>
						<td><?php echo $setup_conf['VOIPRx']['MAC']; ?></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH2']; ?></th>
						<td><input type="text" name="setting_rx_ip" value="<?php echo $setup_conf['VOIPRx']['RxIP']; ?>"></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH3']; ?></th>
						<td>
							<input type="checkbox" name="enable_multicast" <?php echo ($setup_conf['VOIPRx']['EnableMultiCast'] == 1) ? "checked=\"checked\"" : "" ; ?>><?php echo $lng['LBL_MULTI_ON']; ?></input>
						</td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH4']; ?></th>
						<td>
							<input type="text" name="setting_multicast" value="<?php echo $setup_conf['VOIPRx']['MultiCast']; ?>">
							<p class="table_notes"><?php echo $lng['TB0_NOTE3']; ?></p>
						</td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH5']; ?></th>
						<td><input type="text" name="setting_port" value="<?php echo $setup_conf['VOIPRx']['Port']; ?>"></td>
					</tr>
					<tr>
						<th><?php echo $lng['TB0_TH6']; ?></th>
						<td><input type="text" name="setting_ipbuffsize" value="<?php echo $setup_conf['VOIPRx']['IPBuffSize']; ?>"></td>
					</tr>
				</table>
				<input type="hidden" name="network_base" value="true">
				<input type="hidden" name="board" value="<?php echo $_GET['board'];?>">
				<input type="submit" value="<?php echo $lng['LBL_SUBMIT']; ?>">
			</form>
			<h1 class="version">Ver.<?php echo get_board_version($function_conf,$_GET['board']); ?></h1>
		</div>
	</body>
</html>
